
SW_ClassNames = {
	["HUNTER"] = "사냥꾼",
	["WARRIOR"] = "전사",
	["PALADIN"] = "성기사",
	["MAGE"] = "마법사",
	["done"] = true,
	["PRIEST"] = "사제",
	["WARLOCK"] = "흑마법사",
	["DRUID"] = "드루이드",
	["SHAMAN"] = "주술사",
	["ROGUE"] = "도적",
}
SW_Parser = {
	["eventMap"] = {
		["CHAT_MSG_SPELL_BREAK_AURA"] = {
			"AURADISPELOTHER", -- [1]
			"AURADISPELSELF", -- [2]
			"AURADISPELOTHER2", -- [3]
			"AURADISPELSELF2", -- [4]
			"AURADISPELOTHER3", -- [5]
			"AURADISPELSELF3", -- [6]
			"AURASTOLENOTHEROTHER", -- [7]
			"AURASTOLENSELFOTHER", -- [8]
		},
		["CHAT_MSG_SPELL_PERIODIC_PARTY_DAMAGE"] = {
			"SPELLPOWERLEECHOTHEROTHER", -- [1]
			"AURAAPPLICATIONADDEDOTHERHARMFUL", -- [2]
			"SPELLPOWERDRAINOTHEROTHER", -- [3]
			"PERIODICAURADAMAGEOTHEROTHER", -- [4]
			"SPELLLOGABSORBOTHEROTHER", -- [5]
			"AURAADDEDOTHERHARMFUL", -- [6]
			"PERIODICAURADAMAGESELFOTHER", -- [7]
			"PERIODICAURADAMAGEOTHER", -- [8]
		},
		["CHAT_MSG_COMBAT_FRIENDLYPLAYER_MISSES"] = {
			"VSPARRYOTHEROTHER", -- [1]
			"MISSEDOTHEROTHER", -- [2]
			"VSDODGEOTHEROTHER", -- [3]
			"VSBLOCKOTHEROTHER", -- [4]
			"VSABSORBOTHEROTHER", -- [5]
			"IMMUNEOTHEROTHER", -- [6]
			"VSEVADEOTHEROTHER", -- [7]
		},
		["CHAT_MSG_SPELL_PERIODIC_HOSTILEPLAYER_BUFFS"] = {
			"PERIODICAURAHEALOTHEROTHER", -- [1]
			"POWERGAINOTHEROTHER", -- [2]
			"AURAAPPLICATIONADDEDOTHERHELPFUL", -- [3]
			"AURAADDEDOTHERHELPFUL", -- [4]
		},
		["CHAT_MSG_SPELL_PERIODIC_HOSTILEPLAYER_DAMAGE"] = {
			"PERIODICAURADAMAGEOTHEROTHER", -- [1]
			"SPELLLOGABSORBOTHEROTHER", -- [2]
			"AURAAPPLICATIONADDEDOTHERHARMFUL", -- [3]
			"SPELLPOWERDRAINOTHEROTHER", -- [4]
			"PERIODICAURADAMAGESELFOTHER", -- [5]
			"SPELLLOGABSORBSELFOTHER", -- [6]
			"SPELLPOWERDRAINOTHERSELF", -- [7]
			"AURAADDEDOTHERHARMFUL", -- [8]
		},
		["CHAT_MSG_SPELL_PERIODIC_PARTY_BUFFS"] = {
			"POWERGAINOTHEROTHER", -- [1]
			"PERIODICAURAHEALOTHEROTHER", -- [2]
			"POWERGAINOTHERSELF", -- [3]
			"AURAAPPLICATIONADDEDOTHERHELPFUL", -- [4]
			"PERIODICAURAHEALSELFOTHER", -- [5]
			"AURAADDEDOTHERHELPFUL", -- [6]
		},
		["CHAT_MSG_COMBAT_CREATURE_VS_PARTY_MISSES"] = {
			"VSDODGEOTHEROTHER", -- [1]
			"VSPARRYOTHEROTHER", -- [2]
			"MISSEDOTHEROTHER", -- [3]
			"VSABSORBOTHEROTHER", -- [4]
			"VSBLOCKOTHEROTHER", -- [5]
			"IMMUNEOTHEROTHER", -- [6]
		},
		["CHAT_MSG_COMBAT_HOSTILEPLAYER_HITS"] = {
			"VSENVIRONMENTALDAMAGE_FALLING_OTHER", -- [1]
			"COMBATHITOTHEROTHER", -- [2]
			"COMBATHITCRITOTHEROTHER", -- [3]
			"COMBATHITOTHERSELF", -- [4]
			"COMBATHITCRITOTHERSELF", -- [5]
			"VSENVIRONMENTALDAMAGE_FIRE_OTHER", -- [6]
			"VSENVIRONMENTALDAMAGE_LAVA_OTHER", -- [7]
			"SPELLLOGOTHEROTHER", -- [8]
			"SPELLLOGCRITOTHEROTHER", -- [9]
			"SPELLLOGOTHERSELF", -- [10]
			"SPELLLOGCRITOTHERSELF", -- [11]
			"SPELLLOGSCHOOLOTHEROTHER", -- [12]
			"COMBATHITSCHOOLOTHEROTHER", -- [13]
			"COMBATHITCRITSCHOOLOTHEROTHER", -- [14]
			"COMBATHITSCHOOLOTHERSELF", -- [15]
			"COMBATHITCRITSCHOOLOTHERSELF", -- [16]
		},
		["CHAT_MSG_SPELL_DAMAGESHIELDS_ON_OTHERS"] = {
			"DAMAGESHIELDOTHEROTHER", -- [1]
			"SPELLRESISTOTHEROTHER", -- [2]
			"DAMAGESHIELDOTHERSELF", -- [3]
			"SPELLRESISTOTHERSELF", -- [4]
		},
		["CHAT_MSG_SPELL_PARTY_BUFF"] = {
			"HEALEDOTHEROTHER", -- [1]
			"HEALEDCRITOTHEROTHER", -- [2]
			"SIMPLECASTOTHEROTHER", -- [3]
			"SPELLRESISTOTHEROTHER", -- [4]
			"SPELLIMMUNEOTHEROTHER", -- [5]
			"DISPELFAILEDOTHEROTHER", -- [6]
			"HEALEDOTHERSELF", -- [7]
			"PROCRESISTOTHEROTHER", -- [8]
			"SPELLDODGEDOTHEROTHER", -- [9]
			"SPELLMISSOTHEROTHER", -- [10]
			"SPELLPARRIEDOTHEROTHER", -- [11]
			"SPELLTERSE_OTHER", -- [12]
			"POWERGAINOTHEROTHER", -- [13]
		},
		["CHAT_MSG_SPELL_SELF_DAMAGE"] = {
			"SPELLLOGSCHOOLSELFOTHER", -- [1]
			"SPELLLOGCRITSCHOOLSELFOTHER", -- [2]
			"SPELLRESISTSELFOTHER", -- [3]
			"SPELLCASTGOSELFTARGETTED", -- [4]
			"SPELLLOGSELFOTHER", -- [5]
			"SPELLLOGCRITSELFOTHER", -- [6]
			"SPELLMISSSELFOTHER", -- [7]
			"SPELLREFLECTSELFOTHER", -- [8]
			"SPELLLOGSCHOOLSELFSELF", -- [9]
			"SPELLLOGCRITSCHOOLSELFSELF", -- [10]
			"SPELLDODGEDSELFOTHER", -- [11]
			"SPELLIMMUNESELFOTHER", -- [12]
			"SPELLLOGABSORBSELFOTHER", -- [13]
			"PROCRESISTSELFSELF", -- [14]
			"SPELLINTERRUPTSELFOTHER", -- [15]
			"SPELLEVADEDSELFOTHER", -- [16]
			"IMMUNESPELLSELFOTHER", -- [17]
			"SIMPLEPERFORMSELFOTHER", -- [18]
			"SPELLBLOCKEDSELFOTHER", -- [19]
			"SPELLLOGABSORBSELFSELF", -- [20]
			"SPELLPARRIEDSELFOTHER", -- [21]
			"SIMPLEPERFORMSELFSELF", -- [22]
			"SIMPLECASTSELFSELF", -- [23]
			"COMBATHITSCHOOLOTHEROTHER", -- [24]
			"COMBATHITCRITSCHOOLOTHEROTHER", -- [25]
			"COMBATHITSCHOOLOTHERSELF", -- [26]
			"COMBATHITCRITSCHOOLOTHERSELF", -- [27]
		},
		["CHAT_MSG_COMBAT_HOSTILE_DEATH"] = {
			"UNITDIESOTHER", -- [1]
			"SELFKILLOTHER", -- [2]
			"PARTYKILLOTHER", -- [3]
			"UNITDESTROYEDOTHER", -- [4]
		},
		["CHAT_MSG_SPELL_HOSTILEPLAYER_DAMAGE"] = {
			"SPELLLOGOTHEROTHER", -- [1]
			"SPELLLOGOTHEROTHER", -- [2]
			"SPELLLOGCRITOTHEROTHER", -- [3]
			"SPELLRESISTOTHEROTHER", -- [4]
			"SPELLLOGSCHOOLOTHEROTHER", -- [5]
			"SPELLLOGCRITSCHOOLOTHEROTHER", -- [6]
			"SPELLLOGABSORBOTHEROTHER", -- [7]
			"SPELLIMMUNEOTHEROTHER", -- [8]
			"SPELLLOGABSORBOTHERSELF", -- [9]
			"SPELLLOGSCHOOLOTHERSELF", -- [10]
			"SPELLLOGCRITSCHOOLOTHERSELF", -- [11]
			"SPELLLOGCRITOTHERSELF", -- [12]
			"SPELLLOGOTHERSELF", -- [13]
			"SPELLRESISTOTHERSELF", -- [14]
			"SPELLMISSOTHEROTHER", -- [15]
			"SIMPLECASTOTHEROTHER", -- [16]
			"SPELLIMMUNEOTHERSELF", -- [17]
			"SPELLMISSOTHERSELF", -- [18]
			"SIMPLECASTOTHERSELF", -- [19]
			"SPELLDODGEDOTHEROTHER", -- [20]
			"SPELLBLOCKEDOTHEROTHER", -- [21]
			"SPELLDODGEDOTHERSELF", -- [22]
			"SPELLPOWERDRAINOTHEROTHER", -- [23]
			"SPELLPOWERDRAINOTHERSELF", -- [24]
			"SPELLCASTOTHERSTART", -- [25]
			"SPELLTERSEPERFORM_OTHER", -- [26]
			"SPELLPERFORMOTHERSTART", -- [27]
			"SPELLPARRIEDOTHEROTHER", -- [28]
			"SPELLTERSE_OTHER", -- [29]
			"SPELLINTERRUPTOTHERSELF", -- [30]
			"SPELLINTERRUPTOTHEROTHER", -- [31]
			"SPELLEVADEDOTHEROTHER", -- [32]
			"DISPELFAILEDOTHEROTHER", -- [33]
			"DISPELFAILEDOTHERSELF", -- [34]
			"INSTAKILLOTHER", -- [35]
			"SPELLPERFORMGOOTHERTARGETTED", -- [36]
			"SIMPLEPERFORMOTHERSELF", -- [37]
			"SPELLEXTRAATTACKSOTHER_SINGULAR", -- [38]
			"SPELLPARRIEDOTHERSELF", -- [39]
			"SPELLTERSEPERFORM_OTHER", -- [40]
			"COMBATHITSCHOOLOTHEROTHER", -- [41]
			"COMBATHITCRITSCHOOLOTHEROTHER", -- [42]
			"COMBATHITSCHOOLOTHERSELF", -- [43]
			"COMBATHITCRITSCHOOLOTHERSELF", -- [44]
			"SPELLBLOCKEDOTHERSELF", -- [45]
			"SPELLREFLECTOTHERSELF", -- [46]
		},
		["CHAT_MSG_COMBAT_FRIENDLYPLAYER_HITS"] = {
			"VSENVIRONMENTALDAMAGE_FALLING_OTHER", -- [1]
			"COMBATHITCRITOTHEROTHER", -- [2]
			"COMBATHITOTHEROTHER", -- [3]
			"VSENVIRONMENTALDAMAGE_FIRE_OTHER", -- [4]
			"VSENVIRONMENTALDAMAGE_LAVA_OTHER", -- [5]
			"SPELLLOGOTHEROTHER", -- [6]
			"SPELLLOGCRITOTHEROTHER", -- [7]
			"SPELLLOGSCHOOLOTHEROTHER", -- [8]
			"SPELLLOGCRITSCHOOLOTHEROTHER", -- [9]
		},
		["CHAT_MSG_SPELL_CREATURE_VS_SELF_DAMAGE"] = {
			"SPELLLOGSCHOOLOTHERSELF", -- [1]
			"SPELLLOGCRITSCHOOLOTHERSELF", -- [2]
			"SPELLPOWERLEECHOTHERSELF", -- [3]
			"SPELLLOGOTHERSELF", -- [4]
			"SPELLLOGCRITOTHERSELF", -- [5]
			"SPELLRESISTOTHERSELF", -- [6]
			"SPELLIMMUNEOTHERSELF", -- [7]
			"SPELLLOGABSORBOTHERSELF", -- [8]
			"SPELLDODGEDOTHERSELF", -- [9]
			"SPELLMISSOTHERSELF", -- [10]
			"SIMPLEPERFORMOTHERSELF", -- [11]
			"SPELLPERFORMGOOTHERTARGETTED", -- [12]
			"SPELLDODGEDOTHEROTHER", -- [13]
			"SPELLINTERRUPTOTHEROTHER", -- [14]
			"SPELLINTERRUPTOTHERSELF", -- [15]
			"SPELLLOGABSORBOTHEROTHER", -- [16]
			"SPELLLOGOTHEROTHER", -- [17]
			"SPELLLOGSCHOOLOTHEROTHER", -- [18]
			"SPELLMISSOTHEROTHER", -- [19]
			"SPELLPARRIEDOTHEROTHER", -- [20]
			"SPELLPARRIEDOTHERSELF", -- [21]
			"SPELLRESISTOTHEROTHER", -- [22]
			"SPELLPOWERDRAINOTHERSELF", -- [23]
			"SPELLLOGABSORBSELF", -- [24]
			"COMBATHITSCHOOLOTHERSELF", -- [25]
			"COMBATHITCRITSCHOOLOTHERSELF", -- [26]
		},
		["CHAT_MSG_SPELL_PET_DAMAGE"] = {
			"SPELLLOGSCHOOLOTHEROTHER", -- [1]
			"SPELLLOGCRITSCHOOLOTHEROTHER", -- [2]
			"SPELLRESISTOTHEROTHER", -- [3]
			"IMMUNESPELLOTHEROTHER", -- [4]
			"SIMPLECASTOTHEROTHER", -- [5]
			"SIMPLEPERFORMOTHERSELF", -- [6]
			"SPELLCASTOTHERSTART", -- [7]
			"SPELLDODGEDOTHEROTHER", -- [8]
			"SPELLIMMUNEOTHEROTHER", -- [9]
			"SPELLINTERRUPTOTHEROTHER", -- [10]
			"SPELLLOGABSORBOTHEROTHER", -- [11]
			"SPELLLOGCRITOTHEROTHER", -- [12]
			"SPELLLOGOTHEROTHER", -- [13]
			"SPELLLOGSCHOOLOTHERSELF", -- [14]
			"SPELLMISSOTHEROTHER", -- [15]
			"SPELLPARRIEDOTHEROTHER", -- [16]
			"SPELLREFLECTOTHEROTHER", -- [17]
		},
		["CHAT_MSG_SPELL_CREATURE_VS_CREATURE_DAMAGE"] = {
			"SPELLPOWERLEECHOTHEROTHER", -- [1]
			"SPELLLOGSCHOOLOTHEROTHER", -- [2]
			"SPELLLOGCRITSCHOOLOTHEROTHER", -- [3]
			"SPELLIMMUNEOTHEROTHER", -- [4]
			"SPELLRESISTOTHEROTHER", -- [5]
			"SPELLLOGOTHEROTHER", -- [6]
			"SPELLLOGCRITOTHEROTHER", -- [7]
			"SPELLLOGABSORBOTHEROTHER", -- [8]
			"SPELLDODGEDOTHEROTHER", -- [9]
			"SPELLMISSOTHEROTHER", -- [10]
			"SIMPLECASTOTHEROTHER", -- [11]
			"SPELLBLOCKEDOTHEROTHER", -- [12]
			"SPELLPERFORMOTHERSTART", -- [13]
			"SPELLPERFORMGOOTHERTARGETTED", -- [14]
			"SPELLPARRIEDOTHEROTHER", -- [15]
			"SPELLCASTOTHERSTART", -- [16]
			"IMMUNESPELLOTHEROTHER", -- [17]
			"SPELLPERFORMGOOTHERTARGETTED", -- [18]
			"SPELLINTERRUPTOTHEROTHER", -- [19]
			"SPELLTERSEPERFORM_OTHER", -- [20]
			"SPELLTERSE_OTHER", -- [21]
			"SPELLREFLECTOTHEROTHER", -- [22]
			"INSTAKILLOTHER", -- [23]
		},
		["CHAT_MSG_SPELL_PERIODIC_SELF_BUFFS"] = {
			"PERIODICAURAHEALSELFSELF", -- [1]
			"PERIODICAURAHEALOTHERSELF", -- [2]
			"AURAAPPLICATIONADDEDSELFHELPFUL", -- [3]
			"AURAADDEDSELFHELPFUL", -- [4]
			"AURAADDEDOTHERHELPFUL", -- [5]
			"PERIODICAURAHEALOTHEROTHER", -- [6]
			"PERIODICAURAHEALSELFOTHER", -- [7]
			"POWERGAINSELFSELF", -- [8]
		},
		["CHAT_MSG_SPELL_DAMAGESHIELDS_ON_SELF"] = {
			"DAMAGESHIELDSELFOTHER", -- [1]
			"SPELLRESISTSELFOTHER", -- [2]
		},
		["CHAT_MSG_COMBAT_CREATURE_VS_SELF_MISSES"] = {
			"VSABSORBOTHERSELF", -- [1]
			"VSDODGEOTHERSELF", -- [2]
			"MISSEDOTHERSELF", -- [3]
			"VSPARRYOTHERSELF", -- [4]
			"IMMUNEOTHERSELF", -- [5]
			"MISSEDOTHEROTHER", -- [6]
			"VSDODGEOTHEROTHER", -- [7]
			"VSABSORBOTHEROTHER", -- [8]
			"VSBLOCKOTHEROTHER", -- [9]
			"VSPARRYOTHEROTHER", -- [10]
		},
		["CHAT_MSG_COMBAT_HOSTILEPLAYER_MISSES"] = {
			"VSDODGEOTHEROTHER", -- [1]
			"MISSEDOTHEROTHER", -- [2]
			"VSABSORBOTHEROTHER", -- [3]
			"VSPARRYOTHEROTHER", -- [4]
			"IMMUNEOTHEROTHER", -- [5]
			"VSABSORBOTHERSELF", -- [6]
			"VSDODGEOTHERSELF", -- [7]
			"IMMUNEOTHERSELF", -- [8]
			"MISSEDOTHERSELF", -- [9]
			"VSBLOCKOTHEROTHER", -- [10]
			"VSPARRYOTHERSELF", -- [11]
			"VSEVADEOTHEROTHER", -- [12]
			"VSBLOCKOTHERSELF", -- [13]
		},
		["CHAT_MSG_SPELL_PERIODIC_FRIENDLYPLAYER_BUFFS"] = {
			"PERIODICAURAHEALOTHEROTHER", -- [1]
			"POWERGAINOTHEROTHER", -- [2]
			"AURAAPPLICATIONADDEDOTHERHELPFUL", -- [3]
			"AURAADDEDOTHERHELPFUL", -- [4]
			"PERIODICAURAHEALSELFOTHER", -- [5]
			"POWERGAINOTHERSELF", -- [6]
		},
		["CHAT_MSG_SPELL_SELF_BUFF"] = {
			"HEALEDSELFSELF", -- [1]
			"HEALEDCRITSELFSELF", -- [2]
			"POWERGAINSELFSELF", -- [3]
			"SPELLEXTRAATTACKSSELF", -- [4]
			"SIMPLECASTSELFSELF", -- [5]
			"SPELLCASTGOSELFTARGETTED", -- [6]
			"HEALEDSELFOTHER", -- [7]
			"HEALEDCRITSELFOTHER", -- [8]
			"SIMPLEPERFORMSELFSELF", -- [9]
			"SPELLEVADEDSELFOTHER", -- [10]
			"SPELLIMMUNESELFOTHER", -- [11]
			"SPELLLOGSELFOTHER", -- [12]
			"SIMPLEPERFORMSELFSELF", -- [13]
			"SIMPLECASTSELFSELF", -- [14]
			"SIMPLEPERFORMSELFOTHER", -- [15]
			"ITEMENCHANTMENTADDSELFSELF", -- [16]
			"ITEMENCHANTMENTADDSELFOTHER", -- [17]
		},
		["CHAT_MSG_SPELL_PERIODIC_CREATURE_BUFFS"] = {
			"POWERGAINOTHERSELF", -- [1]
			"POWERGAINOTHEROTHER", -- [2]
			"PERIODICAURAHEALOTHEROTHER", -- [3]
			"AURAADDEDOTHERHELPFUL", -- [4]
		},
		["CHAT_MSG_COMBAT_SELF_MISSES"] = {
			"MISSEDSELFOTHER", -- [1]
			"VSPARRYSELFOTHER", -- [2]
			"VSDODGESELFOTHER", -- [3]
			"VSBLOCKSELFOTHER", -- [4]
			"VSABSORBSELFOTHER", -- [5]
			"VSEVADESELFOTHER", -- [6]
			"VSIMMUNESELFOTHER", -- [7]
		},
		["CHAT_MSG_COMBAT_CREATURE_VS_PARTY_HITS"] = {
			"COMBATHITOTHEROTHER", -- [1]
			"COMBATHITCRITOTHEROTHER", -- [2]
			"COMBATHITCRITSCHOOLOTHEROTHER", -- [3]
			"COMBATHITSCHOOLOTHEROTHER", -- [4]
			"SPELLLOGOTHEROTHER", -- [5]
			"SPELLLOGCRITOTHEROTHER", -- [6]
		},
		["CHAT_MSG_COMBAT_FRIENDLY_DEATH"] = {
			"UNITDIESOTHER", -- [1]
			"UNITDIESSELF", -- [2]
			"UNITDESTROYEDOTHER", -- [3]
			"PARTYKILLOTHER", -- [4]
			"SELFKILLOTHER", -- [5]
		},
		["CHAT_MSG_SPELL_FRIENDLYPLAYER_DAMAGE"] = {
			"SPELLLOGCRITOTHEROTHER", -- [1]
			"SPELLLOGOTHEROTHER", -- [2]
			"SPELLLOGSCHOOLOTHEROTHER", -- [3]
			"SPELLLOGCRITSCHOOLOTHEROTHER", -- [4]
			"SPELLIMMUNEOTHEROTHER", -- [5]
			"SPELLDODGEDOTHEROTHER", -- [6]
			"SPELLMISSOTHEROTHER", -- [7]
			"SPELLRESISTOTHEROTHER", -- [8]
			"SPELLREFLECTOTHEROTHER", -- [9]
			"SPELLBLOCKEDOTHEROTHER", -- [10]
			"SIMPLECASTOTHEROTHER", -- [11]
			"SPELLLOGABSORBOTHEROTHER", -- [12]
			"SPELLLOGOTHEROTHER", -- [13]
			"SPELLLOGSCHOOLOTHERSELF", -- [14]
			"SPELLLOGCRITSCHOOLOTHERSELF", -- [15]
			"SPELLPOWERDRAINOTHEROTHER", -- [16]
			"SPELLPERFORMOTHERSTART", -- [17]
			"SPELLCASTOTHERSTART", -- [18]
			"SPELLPERFORMGOOTHERTARGETTED", -- [19]
			"SPELLTERSEPERFORM_OTHER", -- [20]
			"SPELLPARRIEDOTHEROTHER", -- [21]
			"SPELLINTERRUPTOTHEROTHER", -- [22]
			"SPELLEVADEDOTHEROTHER", -- [23]
			"SPELLTERSE_OTHER", -- [24]
			"INSTAKILLOTHER", -- [25]
			"DISPELFAILEDOTHEROTHER", -- [26]
			"IMMUNESPELLOTHEROTHER", -- [27]
			"SPELLTERSEPERFORM_OTHER", -- [28]
			"SPELLTERSE_OTHER", -- [29]
		},
		["CHAT_MSG_SPELL_CREATURE_VS_PARTY_BUFF"] = {
			"SIMPLECASTOTHEROTHER", -- [1]
			"SPELLRESISTOTHEROTHER", -- [2]
			"HEALEDOTHEROTHER", -- [3]
			"HEALEDCRITOTHEROTHER", -- [4]
			"PROCRESISTOTHEROTHER", -- [5]
			"SPELLMISSOTHEROTHER", -- [6]
			"SPELLPARRIEDOTHEROTHER", -- [7]
			"SPELLDODGEDOTHEROTHER", -- [8]
		},
		["CHAT_MSG_COMBAT_SELF_HITS"] = {
			"COMBATHITSELFOTHER", -- [1]
			"COMBATHITCRITSELFOTHER", -- [2]
			"VSENVIRONMENTALDAMAGE_FALLING_SELF", -- [3]
			"VSENVIRONMENTALDAMAGE_FIRE_SELF", -- [4]
			"VSENVIRONMENTALDAMAGE_DROWNING_SELF", -- [5]
			"VSENVIRONMENTALDAMAGE_FATIGUE_SELF", -- [6]
			"VSENVIRONMENTALDAMAGE_LAVA_SELF", -- [7]
			"VSENVIRONMENTALDAMAGE_SLIME_SELF", -- [8]
			"SPELLLOGOTHEROTHER", -- [9]
			"SPELLLOGCRITOTHEROTHER", -- [10]
			"SPELLLOGSCHOOLSELFOTHER", -- [11]
		},
		["CHAT_MSG_COMBAT_PET_HITS"] = {
			"COMBATHITCRITOTHEROTHER", -- [1]
			"COMBATHITOTHEROTHER", -- [2]
			"COMBATHITOTHERSELF", -- [3]
			"VSENVIRONMENTALDAMAGE_FIRE_OTHER", -- [4]
			"VSENVIRONMENTALDAMAGE_LAVA_OTHER", -- [5]
			"SPELLLOGOTHEROTHER", -- [6]
			"SPELLLOGCRITOTHEROTHER", -- [7]
		},
		["CHAT_MSG_SPELL_PARTY_DAMAGE"] = {
			"SPELLLOGSCHOOLOTHEROTHER", -- [1]
			"SPELLLOGCRITSCHOOLOTHEROTHER", -- [2]
			"SPELLRESISTOTHEROTHER", -- [3]
			"SPELLIMMUNEOTHEROTHER", -- [4]
			"SPELLMISSOTHEROTHER", -- [5]
			"SPELLDODGEDOTHEROTHER", -- [6]
			"SPELLLOGOTHEROTHER", -- [7]
			"SPELLLOGCRITOTHEROTHER", -- [8]
			"SPELLBLOCKEDOTHEROTHER", -- [9]
			"SPELLREFLECTOTHEROTHER", -- [10]
			"SIMPLECASTOTHEROTHER", -- [11]
			"SPELLLOGABSORBOTHEROTHER", -- [12]
			"SPELLPARRIEDOTHEROTHER", -- [13]
			"SPELLPERFORMGOOTHERTARGETTED", -- [14]
			"SPELLCASTOTHERSTART", -- [15]
			"SPELLINTERRUPTOTHEROTHER", -- [16]
			"SPELLEVADEDOTHEROTHER", -- [17]
			"DISPELFAILEDOTHEROTHER", -- [18]
			"IMMUNESPELLOTHEROTHER", -- [19]
			"SPELLPERFORMGOOTHERTARGETTED", -- [20]
			"COMBATHITSCHOOLOTHEROTHER", -- [21]
			"COMBATHITCRITSCHOOLOTHEROTHER", -- [22]
			"SPELLPOWERDRAINOTHEROTHER", -- [23]
		},
		["CHAT_MSG_SPELL_FRIENDLYPLAYER_BUFF"] = {
			"POWERGAINOTHEROTHER", -- [1]
			"HEALEDOTHEROTHER", -- [2]
			"HEALEDCRITOTHEROTHER", -- [3]
			"SIMPLECASTOTHEROTHER", -- [4]
			"SPELLEXTRAATTACKSOTHER_SINGULAR", -- [5]
			"SPELLEXTRAATTACKSOTHER_SINGULAR", -- [6]
			"SPELLIMMUNEOTHEROTHER", -- [7]
			"SPELLDODGEDOTHEROTHER", -- [8]
			"SPELLRESISTOTHEROTHER", -- [9]
			"SPELLCASTOTHERSTART", -- [10]
			"SPELLPERFORMOTHERSTART", -- [11]
			"SPELLTERSE_OTHER", -- [12]
			"SPELLPERFORMGOOTHERTARGETTED", -- [13]
			"SPELLTERSEPERFORM_OTHER", -- [14]
			"DISPELFAILEDOTHEROTHER", -- [15]
			"PROCRESISTOTHEROTHER", -- [16]
			"SIMPLECASTOTHERSELF", -- [17]
			"SPELLMISSOTHEROTHER", -- [18]
			"SPELLPARRIEDOTHEROTHER", -- [19]
			"SPELLPOWERLEECHOTHEROTHER", -- [20]
			"SPELLTERSE_OTHER", -- [21]
			"ITEMENCHANTMENTADDOTHEROTHER", -- [22]
		},
		["CHAT_MSG_SPELL_PERIODIC_SELF_DAMAGE"] = {
			"PERIODICAURADAMAGEOTHERSELF", -- [1]
			"SPELLLOGABSORBOTHERSELF", -- [2]
			"AURAAPPLICATIONADDEDSELFHARMFUL", -- [3]
			"AURAADDEDSELFHARMFUL", -- [4]
			"AURAADDEDOTHERHARMFUL", -- [5]
			"AURAAPPLICATIONADDEDOTHERHARMFUL", -- [6]
			"PERIODICAURADAMAGEOTHEROTHER", -- [7]
			"SPELLLOGSCHOOLSELFSELF", -- [8]
			"SPELLLOGABSORBOTHEROTHER", -- [9]
			"SPELLLOGABSORBSELFSELF", -- [10]
			"SPELLPOWERDRAINSELFOTHER", -- [11]
			"SPELLPOWERLEECHSELFOTHER", -- [12]
			"PERIODICAURADAMAGESELF", -- [13]
		},
		["CHAT_MSG_SPELL_HOSTILEPLAYER_BUFF"] = {
			"HEALEDOTHEROTHER", -- [1]
			"HEALEDCRITOTHEROTHER", -- [2]
			"POWERGAINOTHEROTHER", -- [3]
			"HEALEDOTHERSELF", -- [4]
			"HEALEDCRITOTHERSELF", -- [5]
			"SIMPLECASTOTHEROTHER", -- [6]
			"SPELLEXTRAATTACKSOTHER_SINGULAR", -- [7]
			"SIMPLECASTOTHERSELF", -- [8]
			"SPELLIMMUNEOTHERSELF", -- [9]
			"SPELLRESISTOTHEROTHER", -- [10]
			"SPELLRESISTOTHERSELF", -- [11]
			"SPELLEXTRAATTACKSOTHER_SINGULAR", -- [12]
			"SPELLIMMUNEOTHEROTHER", -- [13]
			"SPELLCASTOTHERSTART", -- [14]
			"SPELLPERFORMGOOTHERTARGETTED", -- [15]
			"SPELLTERSE_OTHER", -- [16]
			"SPELLPERFORMOTHERSTART", -- [17]
			"SPELLTERSEPERFORM_OTHER", -- [18]
			"DISPELFAILEDOTHEROTHER", -- [19]
			"SIMPLECASTOTHEROTHER", -- [20]
			"SPELLMISSOTHEROTHER", -- [21]
			"SPELLPOWERLEECHOTHEROTHER", -- [22]
			"ITEMENCHANTMENTADDOTHERSELF", -- [23]
			"DISPELFAILEDOTHERSELF", -- [24]
		},
		["CHAT_MSG_COMBAT_PARTY_MISSES"] = {
			"MISSEDOTHEROTHER", -- [1]
			"VSDODGEOTHEROTHER", -- [2]
			"VSPARRYOTHEROTHER", -- [3]
			"IMMUNEOTHEROTHER", -- [4]
			"VSABSORBOTHEROTHER", -- [5]
			"VSBLOCKOTHEROTHER", -- [6]
			"VSEVADEOTHEROTHER", -- [7]
		},
		["CHAT_MSG_SPELL_CREATURE_VS_PARTY_DAMAGE"] = {
			"SPELLPOWERLEECHOTHEROTHER", -- [1]
			"SPELLRESISTOTHEROTHER", -- [2]
			"SPELLLOGSCHOOLOTHEROTHER", -- [3]
			"SPELLLOGCRITSCHOOLOTHEROTHER", -- [4]
			"SPELLLOGOTHEROTHER", -- [5]
			"SPELLLOGCRITOTHEROTHER", -- [6]
			"SPELLMISSOTHEROTHER", -- [7]
			"SPELLDODGEDOTHEROTHER", -- [8]
			"SPELLIMMUNEOTHEROTHER", -- [9]
			"SPELLLOGABSORBOTHEROTHER", -- [10]
			"SIMPLECASTOTHEROTHER", -- [11]
			"SPELLPERFORMGOOTHERTARGETTED", -- [12]
			"SPELLPARRIEDOTHEROTHER", -- [13]
			"IMMUNESPELLOTHEROTHER", -- [14]
			"SPELLPERFORMGOOTHERTARGETTED", -- [15]
			"SPELLBLOCKEDOTHEROTHER", -- [16]
			"SPELLINTERRUPTOTHEROTHER", -- [17]
			"SPELLRESISTSELFOTHER", -- [18]
			"SPELLPOWERDRAINOTHEROTHER", -- [19]
			"COMBATHITCRITSCHOOLOTHEROTHER", -- [20]
			"COMBATHITSCHOOLOTHEROTHER", -- [21]
			"SPELLREFLECTOTHEROTHER", -- [22]
		},
		["CHAT_MSG_COMBAT_HONOR_GAIN"] = {
			"COMBATLOG_HONORAWARD", -- [1]
			"COMBATLOG_HONORGAIN", -- [2]
		},
		["CHAT_MSG_COMBAT_CREATURE_VS_CREATURE_HITS"] = {
			"COMBATHITOTHEROTHER", -- [1]
			"COMBATHITCRITOTHEROTHER", -- [2]
			"VSENVIRONMENTALDAMAGE_FIRE_OTHER", -- [3]
			"COMBATHITCRITSCHOOLOTHEROTHER", -- [4]
			"COMBATHITSCHOOLOTHEROTHER", -- [5]
			"SPELLLOGOTHEROTHER", -- [6]
			"SPELLLOGCRITOTHEROTHER", -- [7]
		},
		["CHAT_MSG_COMBAT_CREATURE_VS_SELF_HITS"] = {
			"COMBATHITOTHERSELF", -- [1]
			"COMBATHITCRITOTHERSELF", -- [2]
			"COMBATHITOTHEROTHER", -- [3]
			"COMBATHITCRITOTHEROTHER", -- [4]
			"COMBATHITCRITSCHOOLOTHEROTHER", -- [5]
			"COMBATHITCRITSCHOOLOTHERSELF", -- [6]
			"COMBATHITSCHOOLOTHEROTHER", -- [7]
			"COMBATHITSCHOOLOTHERSELF", -- [8]
			"SPELLLOGOTHEROTHER", -- [9]
			"SPELLLOGCRITOTHEROTHER", -- [10]
			"SPELLLOGSCHOOLOTHERSELF", -- [11]
			"SPELLLOGCRITSCHOOLOTHERSELF", -- [12]
		},
		["CHAT_MSG_COMBAT_CREATURE_VS_CREATURE_MISSES"] = {
			"VSDODGEOTHEROTHER", -- [1]
			"VSABSORBOTHEROTHER", -- [2]
			"VSPARRYOTHEROTHER", -- [3]
			"MISSEDOTHEROTHER", -- [4]
			"VSBLOCKOTHEROTHER", -- [5]
			"IMMUNEOTHEROTHER", -- [6]
		},
		["CHAT_MSG_SPELL_AURA_GONE_OTHER"] = {
			"AURAREMOVEDOTHER", -- [1]
		},
		["CHAT_MSG_SPELL_PERIODIC_FRIENDLYPLAYER_DAMAGE"] = {
			"PERIODICAURADAMAGEOTHEROTHER", -- [1]
			"SPELLLOGABSORBOTHEROTHER", -- [2]
			"SPELLPOWERDRAINOTHEROTHER", -- [3]
			"SPELLPOWERLEECHOTHEROTHER", -- [4]
			"AURAAPPLICATIONADDEDOTHERHARMFUL", -- [5]
			"AURAADDEDOTHERHARMFUL", -- [6]
			"PERIODICAURADAMAGESELFOTHER", -- [7]
			"SPELLLOGABSORBSELFOTHER", -- [8]
		},
		["CHAT_MSG_HONORPLUS"] = {
			"COMBATLOG_HONORGAIN", -- [1]
		},
		["CHAT_MSG_SPELL_CREATURE_VS_SELF_BUFF"] = {
			"HEALEDOTHERSELF", -- [1]
			"HEALEDCRITOTHERSELF", -- [2]
			"SIMPLECASTOTHERSELF", -- [3]
			"PROCRESISTOTHEROTHER", -- [4]
			"PROCRESISTOTHERSELF", -- [5]
			"SPELLRESISTOTHERSELF", -- [6]
			"POWERGAINOTHERSELF", -- [7]
		},
		["CHAT_MSG_SPELL_AURA_GONE_SELF"] = {
			"AURAREMOVEDSELF", -- [1]
			"AURAREMOVEDOTHER", -- [2]
		},
		["CHAT_MSG_SPELL_PERIODIC_CREATURE_DAMAGE"] = {
			"PERIODICAURADAMAGEOTHEROTHER", -- [1]
			"AURAAPPLICATIONADDEDOTHERHARMFUL", -- [2]
			"PERIODICAURADAMAGESELFOTHER", -- [3]
			"SPELLLOGABSORBOTHEROTHER", -- [4]
			"SPELLPOWERDRAINOTHEROTHER", -- [5]
			"AURAADDEDOTHERHARMFUL", -- [6]
			"SPELLLOGABSORBSELFOTHER", -- [7]
			"SPELLPOWERLEECHOTHERSELF", -- [8]
			"SPELLPOWERLEECHOTHEROTHER", -- [9]
		},
		["CHAT_MSG_COMBAT_PARTY_HITS"] = {
			"COMBATHITCRITOTHEROTHER", -- [1]
			"COMBATHITOTHEROTHER", -- [2]
			"VSENVIRONMENTALDAMAGE_FIRE_OTHER", -- [3]
			"VSENVIRONMENTALDAMAGE_LAVA_OTHER", -- [4]
			"SPELLLOGOTHEROTHER", -- [5]
			"SPELLLOGCRITOTHEROTHER", -- [6]
			"SPELLLOGSCHOOLOTHEROTHER", -- [7]
			"SPELLLOGCRITSCHOOLOTHEROTHER", -- [8]
			"COMBATHITSCHOOLOTHEROTHER", -- [9]
			"COMBATHITCRITSCHOOLOTHEROTHER", -- [10]
		},
		["CHAT_MSG_COMBAT_PET_MISSES"] = {
			"MISSEDOTHEROTHER", -- [1]
			"VSABSORBOTHEROTHER", -- [2]
			"VSBLOCKOTHEROTHER", -- [3]
			"VSDODGEOTHEROTHER", -- [4]
			"IMMUNEOTHEROTHER", -- [5]
			"VSPARRYOTHEROTHER", -- [6]
		},
		["CHAT_MSG_SPELL_CREATURE_VS_CREATURE_BUFF"] = {
			"HEALEDOTHEROTHER", -- [1]
			"HEALEDCRITOTHEROTHER", -- [2]
			"SPELLIMMUNEOTHEROTHER", -- [3]
			"SPELLEXTRAATTACKSOTHER_SINGULAR", -- [4]
			"SIMPLECASTOTHEROTHER", -- [5]
			"SPELLCASTOTHERSTART", -- [6]
			"SPELLTERSE_OTHER", -- [7]
			"DISPELFAILEDOTHEROTHER", -- [8]
			"PROCRESISTOTHEROTHER", -- [9]
			"SPELLPERFORMOTHERSTART", -- [10]
			"SPELLTERSEPERFORM_OTHER", -- [11]
			"SPELLTERSE_OTHER", -- [12]
		},
	},
	["fallbackBlock"] = {
	},
}
SW_SpellsNSchools = {
	{
		"성스러운 일격", -- [1]
		"정의의 문장", -- [2]
		"정의의 심판", -- [3]
		"지휘의 심판", -- [4]
		"지휘의 문장", -- [5]
		"천벌의 망치", -- [6]
		"신성화", -- [7]
		"신의 격노", -- [8]
		"신성한 폭발", -- [9]
		"퇴마술", -- [10]
		"신성한 일격", -- [11]
		"반사의 보호막", -- [12]
		"신성 충격", -- [13]
		"성스러운 복수", -- [14]
		"복수의 심판", -- [15]
		"응징", -- [16]
	}, -- [1]
	{
		"다이너마이트", -- [1]
		"화염 충격", -- [2]
		"공격", -- [3]
		"태양매의 징표", -- [4]
		"화염구", -- [5]
		"제물", -- [6]
		"불꽃의 공격", -- [7]
		"불의 비", -- [8]
		"핏빛 화살", -- [9]
		"화염 작렬", -- [10]
		"불타는 고통", -- [11]
		"작열", -- [12]
		"화염 숨결", -- [13]
		"불꽃 회오리", -- [14]
		"화염 보호막", -- [15]
		"불기둥", -- [16]
		"횃불 불꽃", -- [17]
		"관통 사격", -- [18]
		"영혼의 불꽃", -- [19]
		"타오르는 갑옷", -- [20]
		"불길의 제물", -- [21]
		"불타는 무기", -- [22]
		"불덩이 작렬", -- [23]
		"지옥소환사의 불의 비", -- [24]
		"불태우기", -- [25]
		"불화살", -- [26]
		"신성한 불꽃", -- [27]
		"화염 폭풍", -- [28]
		"화염 강타", -- [29]
		"폭발", -- [30]
		"화염 방사", -- [31]
		"횃불", -- [32]
		"뜨거운 용암", -- [33]
		"이글거리는 불화살", -- [34]
		"불폭풍", -- [35]
		"연발 화염구", -- [36]
		"불길", -- [37]
		"불똥", -- [38]
		"용암 토템", -- [39]
		"폭탄", -- [40]
		"폭발 사격", -- [41]
		"폭파 사격", -- [42]
		"화염포", -- [43]
		"용암 덩어리 소환", -- [44]
		"지옥의 불길 효과", -- [45]
		"지옥의 불길", -- [46]
		"화염 보호막 효과 III", -- [47]
		"폭발의 덫", -- [48]
		"이글거리는 불꽃", -- [49]
		"파도", -- [50]
		"대형 폭탄 투하", -- [51]
		"지옥 대포 작렬", -- [52]
		"지옥 불꽃", -- [53]
		"마술사의 불기둥", -- [54]
		"제물의 덫", -- [55]
		"용의 숨결", -- [56]
		"소각", -- [57]
		"지옥 불길", -- [58]
		"혼돈의 비", -- [59]
		"태우기", -- [60]
		"불꽃 돌풍", -- [61]
		"불꽃", -- [62]
		"원격폭탄 폭파", -- [63]
		"열기의 파도", -- [64]
		"불꽃송이", -- [65]
		"광물 녹이기", -- [66]
		"용해된 금속", -- [67]
		"점화", -- [68]
	}, -- [2]
	{
		"바람 강타", -- [1]
		"독사 쐐기", -- [2]
		"공포의 독", -- [3]
		"독", -- [4]
		"대지 충격", -- [5]
		"번개 보호막", -- [6]
		"천벌", -- [7]
		"번개 화살", -- [8]
		"방사선", -- [9]
		"휘감는 뿌리", -- [10]
		"착취의 독", -- [11]
		"부정의 광기", -- [12]
		"독화살", -- [13]
		"독침", -- [14]
		"독액", -- [15]
		"연쇄 번개", -- [16]
		"산성 숨결", -- [17]
		"순간 효과 독 IV", -- [18]
		"순간 효과 독 V", -- [19]
		"맹독 IV", -- [20]
		"사령의 산성 숨결", -- [21]
		"곤충 떼", -- [22]
		"특수 독액", -- [23]
		"맹독", -- [24]
		"산성 진흙", -- [25]
		"맹독 충격", -- [26]
		"맹독액", -- [27]
		"맹독 III", -- [28]
		"번개", -- [29]
		"번개 숨결", -- [30]
		"지독한 악취", -- [31]
		"급성 전염병", -- [32]
		"썩은 쓸개즙", -- [33]
		"전격", -- [34]
		"친구의 독", -- [35]
		"상처 감염 독", -- [36]
		"맹독 V", -- [37]
		"독액 뿌리기", -- [38]
		"순간 효과 독 VI", -- [39]
		"로밀로의 독", -- [40]
		"맹독 VII", -- [41]
		"순간 효과 독 VII", -- [42]
		"독살", -- [43]
		"정신 마취 독", -- [44]
		"기포나는 부패물", -- [45]
		"결속자 갈란드리아 나이트브리즈의 휘감는 뿌리", -- [46]
		"가시", -- [47]
		"부식성 안개", -- [48]
		"허리케인", -- [49]
		"시험관 폭발", -- [50]
		"갈래 번개 올가미", -- [51]
		"번개 올가미", -- [52]
		"전기 가죽", -- [53]
		"포자 구름", -- [54]
		"삼투", -- [55]
		"맹독 VI", -- [56]
		"조여오는 뿌리", -- [57]
		"곰팡이 부패", -- [58]
		"쐐기의 광기", -- [59]
		"전하 충전", -- [60]
		"독 구름", -- [61]
		"숨막히는 덩굴", -- [62]
		"마비 독", -- [63]
		"산성 물질 끼얹기", -- [64]
		"전갈독", -- [65]
		"벼락", -- [66]
	}, -- [3]
	{
		"얼음 화살", -- [1]
		"얼음 회오리", -- [2]
		"냉기 돌풍", -- [3]
		"얼음창", -- [4]
		"물화살", -- [5]
		"얼리기", -- [6]
		"연발 얼음 화살", -- [7]
		"냉기 충격", -- [8]
		"냉기의 무기 공격", -- [9]
		"냉기 사격", -- [10]
		"눈보라", -- [11]
		"물의 보호막", -- [12]
		"물기둥", -- [13]
	}, -- [4]
	{
		"어둠의 권능: 고통", -- [1]
		"어둠의 화살", -- [2]
		"부패", -- [3]
		"정신 분열", -- [4]
		"고통의 저주", -- [5]
		"영혼 흡수", -- [6]
		"연발 어둠의 화살", -- [7]
		"정신의 채찍", -- [8]
		"흡혈의 손길", -- [9]
		"생명력 착취", -- [10]
		"죽음의 고리", -- [11]
		"생명력 흡수", -- [12]
		"오그옴의 어둠의 권능: 고통", -- [13]
		"술트라제", -- [14]
		"고통의 채찍", -- [15]
		"마나 연소", -- [16]
		"악마의 룬", -- [17]
		"불안정한 고통", -- [18]
		"흡수의 화살", -- [19]
		"마력 연소", -- [20]
		"어둠의 일격", -- [21]
		"공허의 흡수", -- [22]
		"어둠의 권능: 죽음", -- [23]
		"권능: 죽음", -- [24]
		"파멸의 역병", -- [25]
		"부패의 씨앗", -- [26]
		"무력의 손길", -- [27]
		"어둠의 연소", -- [28]
		"강령술사의 어둠의 권능: 고통", -- [29]
		"배반의 오라", -- [30]
		"암흑의 채찍", -- [31]
		"사냥개의 생명력 흡수", -- [32]
		"활공의 일격", -- [33]
		"더러운 곰팡이", -- [34]
		"정신적 공포", -- [35]
		"창조자의 어둠의 권능: 고통", -- [36]
		"수행사제의 정신의 채찍", -- [37]
		"어둠의 수호", -- [38]
		"어둠의 격노", -- [39]
	}, -- [5]
	{
		"달빛 섬광", -- [1]
		"신비한 사격", -- [2]
		"신비한 화살", -- [3]
		"신비한 폭발", -- [4]
		"비전 작렬", -- [5]
		"비전 화살", -- [6]
		"연발 사격", -- [7]
		"별빛 섬광", -- [8]
		"별조각", -- [9]
		"수정의 일격", -- [10]
		"결속자 갈란드리아 나이트브리즈의 달빛 섬광", -- [11]
	}, -- [6]
	[0] = {
		"분쇄", -- [1]
		"치명상", -- [2]
		"독수리 발톱", -- [3]
		"들이받기", -- [4]
		"칼날발톱의 분쇄", -- [5]
		"채찍", -- [6]
		"아토프의 분쇄", -- [7]
		"파열", -- [8]
		"도려내기", -- [9]
		"암습 피해", -- [10]
		"배반자의 분쇄", -- [11]
		"친구의 파열", -- [12]
		"불안정", -- [13]
		"목조르기", -- [14]
		"전투견의 탐욕스러운 이빨", -- [15]
		"생채기", -- [16]
	},
	[200] = {
		"마법봉 발사", -- [1]
		"영웅의 일격", -- [2]
		"일격", -- [3]
		"천둥벼락", -- [4]
		"무력화", -- [5]
		"넘어뜨리기", -- [6]
		"승리의 돌진", -- [7]
		"꿰뚫기", -- [8]
		"죽음의 일격", -- [9]
		"제압", -- [10]
		"마무리 일격", -- [11]
		"뼈 파편", -- [12]
		"사악한 일격", -- [13]
		"격노의 이빨", -- [14]
		"할퀴기", -- [15]
		"물기", -- [16]
		"자동 사격", -- [17]
		"사격", -- [18]
		"랩터의 일격", -- [19]
		"후려치기", -- [20]
		"휘둘러치기", -- [21]
		"방패 가격", -- [22]
		"갈퀴 발톱", -- [23]
		"절개", -- [24]
		"복수", -- [25]
		"약점 공격", -- [26]
		"자루 공격", -- [27]
		"도발의 일격", -- [28]
		"약탈", -- [29]
		"발 구르기", -- [30]
		"회전베기", -- [31]
		"소용돌이", -- [32]
		"조준 사격", -- [33]
		"날개 절단", -- [34]
		"일제 사격", -- [35]
		"살쾡이의 이빨", -- [36]
		"봉쇄 기절", -- [37]
		"휩쓸기 일격", -- [38]
		"피의 갈증", -- [39]
		"흡혈", -- [40]
		"돌려차기", -- [41]
		"투척", -- [42]
		"보복", -- [43]
		"찢어발기기", -- [44]
		"짓이기기 (표범)", -- [45]
		"방패 밀쳐내기", -- [46]
		"방패 스파이크", -- [47]
		"과다출혈", -- [48]
		"영혼의 고리", -- [49]
		"성전사의 일격", -- [50]
		"고정 사격", -- [51]
		"회전 강타", -- [52]
		"발차기", -- [53]
		"폭풍의 칼날", -- [54]
		"반격", -- [55]
		"밟아 뭉개기", -- [56]
		"급강하", -- [57]
		"전투 발구르기", -- [58]
		"흉포한 이빨", -- [59]
		"짓이기기 (곰)", -- [60]
		"기습", -- [61]
		"격돌", -- [62]
		"휩쓸기", -- [63]
		"강력한 일격", -- [64]
		"올려치기", -- [65]
		"폭풍의 일격", -- [66]
		"질풍의 공격", -- [67]
		"날려버리기", -- [68]
		"지표 붕괴", -- [69]
		"돌진", -- [70]
		"매복", -- [71]
		"그림자 일격", -- [72]
		"갈고리 그물", -- [73]
		"압도", -- [74]
		"상처", -- [75]
		"음파 폭발", -- [76]
		"스패너 던지기", -- [77]
		"탐욕의 발톱", -- [78]
		"희생의 문장", -- [79]
		"해골 깨기", -- [80]
		"살상 명령", -- [81]
		"뼈 물어뜯기", -- [82]
		"톱날", -- [83]
		"날카로운 울음소리", -- [84]
		"가르기", -- [85]
		"독칼", -- [86]
		"절단", -- [87]
		"침묵의 사격", -- [88]
		"칼날 발톱", -- [89]
		"산탄 사격", -- [90]
		"죽음의 투척", -- [91]
		"폭풍 날개", -- [92]
		"고철 압축", -- [93]
		"쇄도", -- [94]
		"죽음의 상처", -- [95]
		"충격의 일격", -- [96]
		"강력한 베기", -- [97]
		"꼬리 채찍", -- [98]
		"이어진 족쇄", -- [99]
		"촉수 채찍", -- [100]
		"꼬리 휩쓸기", -- [101]
		"도끼 던지기", -- [102]
		"스마이트의 격돌", -- [103]
		"미스릴 방패 스파이크", -- [104]
	},
}
SW_HelpfulEffects = {
	["마나 보호막"] = true,
	["지옥 불길"] = true,
	["불완전한 갑옷"] = true,
	["돌진"] = false,
	["어둠의 권능: 죽음"] = true,
	["상급 지혜의 축복"] = true,
	["숨기"] = true,
	["약화된 영혼"] = false,
	["주문 강화"] = true,
	["연발 사격"] = false,
	["정조준 오라"] = true,
	["목조르기"] = false,
	["망상"] = true,
	["고약한 냄새"] = false,
	["위협"] = false,
	["은빛 초승달의 축복"] = true,
	["지혜"] = true,
	["추방"] = false,
	["피의 서약"] = true,
	["타오르는 갑옷"] = true,
	["로켓 장화 점화!"] = false,
	["해골 깨기"] = false,
	["성스러운 복수"] = false,
	["엘룬의 은총"] = true,
	["질주"] = true,
	["정령의 힘"] = true,
	["위협의 포효"] = false,
	["포효"] = false,
	["피의 욕망"] = true,
	["과대망상"] = true,
	["가시"] = true,
	["고통"] = false,
	["맹독 VI"] = false,
	["자연의 손아귀"] = true,
	["작열하는 피"] = false,
	["정의"] = true,
	["타락의 오라"] = false,
	["군마 소환"] = true,
	["자객 코스튬"] = true,
	["윈저의 광기"] = true,
	["최상급 힘"] = true,
	["야수의 격노"] = true,
	["피의 저주"] = false,
	["악마의 치유"] = true,
	["얼음 보호막"] = true,
	["전하 충전"] = false,
	["맹독 VII"] = false,
	["일급 민첩"] = true,
	["빛의 축복"] = true,
	["공포의 포효"] = false,
	["전술의 대가"] = true,
	["조여오는 뿌리"] = false,
	["보루"] = true,
	["신성한 힘"] = true,
	["불의 화신"] = true,
	["흐트러짐 없는 마음"] = true,
	["혼란의 고통"] = false,
	["지옥의 불길"] = true,
	["평온"] = true,
	["눈속임"] = true,
	["수정 섬광"] = false,
	["사형 선고"] = false,
	["화염 강타"] = false,
	["라그나로스의 격노"] = true,
	["고목의 저주"] = false,
	["반격 태세"] = false,
	["불똥"] = true,
	["의지 집중"] = true,
	["해방된 분노"] = true,
	["뼈 파편"] = true,
	["무력의 손길"] = false,
	["휩쓸기"] = false,
	["원숭이의 상"] = true,
	["정신의 결속"] = true,
	["자연의 완전무결함"] = true,
	["냉기 충격"] = false,
	["향상된 방패 막기"] = true,
	["달의 은총"] = true,
	["지표 붕괴"] = false,
	["상급 민첩"] = true,
	["실명"] = false,
	["공중 부유"] = false,
	["흡혈의 선물"] = false,
	["샤트라스로부터 추방"] = false,
	["뱀의 은총"] = true,
	["다이아몬드 물통"] = true,
	["신경 마비 독"] = false,
	["체력 증가"] = true,
	["대상 가속"] = true,
	["암흑계 수호"] = true,
	["내면의 집중력"] = true,
	["피해망상"] = true,
	["화염계 수호"] = true,
	["영혼의 치유"] = true,
	["도끼 던지기"] = false,
	["죽음의 통곡"] = false,
	["충만함"] = true,
	["암흑의 징표"] = false,
	["정신 집중"] = true,
	["정신력 누출"] = true,
	["관통 사격"] = false,
	["선장의 입맞춤"] = true,
	["전력 질주"] = true,
	["무력화 연마"] = false,
	["집중"] = true,
	["급소 가격"] = false,
	["아킨둔의 축복"] = true,
	["불안정한 고통"] = false,
	["위협의 외침"] = false,
	["공포마 소환"] = true,
	["가르기"] = false,
	["나루의 선물"] = true,
	["약점 포착"] = true,
	["폭풍의 칼날"] = true,
	["신속한 사냥"] = true,
	["요정의 불꽃 (야성)"] = false,
	["곰팡이 부패"] = false,
	["조준 사격"] = false,
	["갈고리 그물"] = false,
	["수리"] = true,
	["무력화 저주"] = false,
	["나무 변장"] = true,
	["분노의 기억"] = true,
	["충돌"] = false,
	["눈보라"] = true,
	["악마 감지"] = true,
	["산성 진흙"] = false,
	["아르코나린의 힘"] = true,
	["멧돼지 돌진"] = false,
	["깊은 잠"] = false,
	["수도사 회개"] = true,
	["피의 분노"] = true,
	["멧돼지의 기백"] = true,
	["정신 이상 유발"] = false,
	["후려치기"] = false,
	["총독의 마법"] = true,
	["곤충 떼"] = false,
	["암흑 보호막"] = true,
	["야생의 선물"] = true,
	["얼음 방패"] = true,
	["내면의 열정"] = true,
	["부패"] = false,
	["방패 막기"] = true,
	["사나운 울음소리"] = true,
	["냉혈"] = true,
	["악마의 방패"] = true,
	["냉정"] = true,
	["돌 같은 피부"] = false,
	["독사 쐐기"] = false,
	["돌진 기절"] = false,
	["독수리 발톱"] = false,
	["힘줄 가격"] = false,
	["영웅심"] = true,
	["날개 절단"] = false,
	["신속한 화염계 수호"] = true,
	["럼지 럼주"] = true,
	["야수 힘의 비약"] = true,
	["기절"] = false,
	["보호의 축복"] = true,
	["목조르기 - 침묵"] = false,
	["힘"] = true,
	["노래꽃의 세레나데"] = true,
	["공포의 울부짖음"] = false,
	["돌려차기"] = false,
	["신의 은총"] = true,
	["속도 저하 독"] = false,
	["요정의 불꽃"] = false,
	["의식 상실"] = false,
	["공포의 비명소리"] = false,
	["집행자"] = true,
	["생명력 집중"] = true,
	["체력"] = true,
	["발차기 침묵"] = false,
	["신성한 방패"] = true,
	["정신의 채찍"] = false,
	["축복받은 탄력성"] = true,
	["피로의 저주"] = false,
	["세상의 파괴자"] = true,
	["연발 얼음 화살"] = false,
	["영혼 흡수"] = true,
	["광포한 곰 변신"] = true,
	["마의 지배"] = true,
	["과다출혈"] = false,
	["산탄 사격"] = false,
	["어둠의 수호"] = true,
	["폭발의 덫"] = false,
	["치유력"] = true,
	["사기의 외침"] = false,
	["회오리바람"] = false,
	["눈사태일족 화주"] = true,
	["죽음의 일격"] = false,
	["얼음의 핏줄"] = true,
	["빛샘의 소생"] = true,
	["죽음의 상처"] = false,
	["독액 뿌리기"] = false,
	["주술"] = false,
	["야수 연구"] = true,
	["구사일생"] = true,
	["상처 감염"] = false,
	["알레르기"] = false,
	["집중된 마력"] = true,
	["속사"] = true,
	["동물 치료"] = true,
	["시간의 선물"] = true,
	["징벌의 문장"] = true,
	["불폭풍"] = false,
	["냉기 돌풍"] = false,
	["방어 태세"] = true,
	["공중 부양"] = false,
	["노겐포저의 비약"] = true,
	["공포"] = false,
	["수면"] = false,
	["숲의 그림자"] = true,
	["광폭 태세"] = true,
	["생명의 나무"] = true,
	["얼리기"] = false,
	["수중 호흡"] = true,
	["휩쓸기 일격"] = true,
	["대지의 비약"] = true,
	["바다표범 변신"] = true,
	["파멸의 역병"] = false,
	["비호"] = false,
	["비전 격류"] = false,
	["빛의 쇄도"] = true,
	["얼음 갑옷"] = true,
	["주문 가속"] = true,
	["부패의 일격"] = false,
	["정신 자극"] = true,
	["자아도취"] = true,
	["용해된 금속"] = false,
	["심판의 망치"] = false,
	["정신 마비 독"] = false,
	["빙결"] = false,
	["신비한 지능"] = true,
	["어둠의 선물"] = false,
	["무력화"] = false,
	["스마이트의 발구르기"] = false,
	["황천의 보호"] = true,
	["회복의 수정"] = true,
	["지진"] = false,
	["야수 되살리기"] = true,
	["빠른 폭풍까마귀 변신"] = true,
	["암습"] = false,
	["방패 밀쳐내기"] = false,
	["채찍"] = false,
	["사전계획"] = true,
	["번개 보호막"] = true,
	["분노"] = true,
	["대지의 속박"] = false,
	["강한 인내"] = true,
	["광전사의 격노"] = true,
	["손상된 체력"] = false,
	["냉기의 덫"] = false,
	["정신 지배"] = false,
	["성전사의 문장"] = true,
	["치유의 길"] = true,
	["산성 숨결"] = false,
	["언데드 퇴치"] = false,
	["신비의 마법 강화"] = true,
	["어둠의 형상"] = true,
	["소멸"] = true,
	["달빛야수 오라"] = true,
	["일깨움"] = true,
	["빙결의 고리"] = false,
	["수면 걷기"] = true,
	["방어구 관통"] = false,
	["라그나로스의 힘"] = false,
	["화염구"] = false,
	["힘의 축복"] = true,
	["더러운 곰팡이"] = true,
	["로크 형상"] = true,
	["신속한 수영"] = true,
	["정의의 방어"] = false,
	["거인의 비약"] = true,
	["명상"] = true,
	["참을성"] = false,
	["거미줄"] = false,
	["응징의 심판"] = false,
	["불행"] = false,
	["표범 변신"] = true,
	["물리 보호"] = true,
	["자유의 축복"] = true,
	["감속"] = false,
	["야생의 상"] = true,
	["치타 무리의 상"] = true,
	["돌발톱 기절"] = false,
	["그림자 밟기"] = true,
	["보복"] = true,
	["야수 소환 해제"] = true,
	["부패의 이빨"] = false,
	["마법사 갑옷"] = true,
	["칼날 전환"] = true,
	["광물 녹이기"] = false,
	["전투 명령"] = true,
	["폭풍의 일격"] = false,
	["저체온증"] = false,
	["빛의 문장"] = true,
	["비열한 습격"] = false,
	["어둠의 보호"] = true,
	["저속 낙하"] = true,
	["충격포 연마"] = false,
	["전투 태세"] = true,
	["빛의 은총"] = true,
	["평정"] = false,
	["옴 포자균"] = false,
	["어둠의 무아지경"] = true,
	["강화된 방패"] = true,
	["황천매듭 그물"] = false,
	["상급 신비의 비약"] = true,
	["나즈자타의 저주"] = false,
	["독사의 상"] = true,
	["산성 물질 끼얹기"] = false,
	["해적 선장"] = true,
	["최후의 저항"] = true,
	["야생의 징표"] = true,
	["멍해짐"] = false,
	["불안정"] = true,
	["전갈독"] = false,
	["질병 해제"] = true,
	["썬더브루 맥주"] = true,
	["마력 회피"] = true,
	["냉혹함"] = true,
	["암흑 저항의 오라"] = true,
	["강화"] = true,
	["울부짖는 모래"] = false,
	["갑옷 찢기"] = false,
	["암흑의 심판"] = false,
	["탐욕스러운 이빨"] = false,
	["현인의 비약"] = true,
	["어둠의 저주"] = false,
	["멀리보기"] = true,
	["비전 에너지"] = true,
	["별조각"] = false,
	["화염 저항력 약화"] = false,
	["주문 반사"] = true,
	["착취의 독"] = false,
	["상처 감염 독"] = false,
	["무쇠가죽 비약"] = true,
	["검은 피"] = false,
	["기원의 오라"] = true,
	["야성의 돌진 효과"] = false,
	["독 해제"] = true,
	["갈래 번개 올가미"] = false,
	["전투 격노"] = true,
	["상급 구원의 축복"] = true,
	["시대의 분노"] = true,
	["포자 구름"] = false,
	["진흙구더기"] = false,
	["마의 에너지 주입"] = false,
	["추방자"] = false,
	["음파 폭발"] = false,
	["대지의 보호막"] = true,
	["수정의 주시"] = false,
	["날렵한 반사신경"] = true,
	["맹독"] = false,
	["수호의 수정"] = true,
	["넝마두건일족 장로의 격노"] = false,
	["분쇄"] = false,
	["영원의 숨결"] = true,
	["소용돌이"] = true,
	["지혜의 문장"] = true,
	["최상급 방어"] = true,
	["창자 훔치기"] = false,
	["지옥마 소환"] = true,
	["무모함의 저주"] = false,
	["암흑 저항력 약화"] = false,
	["마나 추출"] = true,
	["도전의 외침"] = false,
	["거대화"] = true,
	["도전의 포효"] = false,
	["썩은 쓸개즙"] = false,
	["돌기의 수정"] = true,
	["활력의 포자"] = true,
	["어둠의 연소"] = false,
	["치타 변신"] = true,
	["광기"] = true,
	["배반의 오라"] = false,
	["급강하"] = false,
	["재채기"] = false,
	["의지의 힘"] = true,
	["타오르는 속도"] = true,
	["독침"] = false,
	["허리케인"] = false,
	["머리 강타"] = false,
	["전투의 북소리"] = true,
	["흰 순록의 징표"] = true,
	["악령술의 대가"] = true,
	["하급 투명화"] = true,
	["복수의 문장"] = true,
	["신의 권능: 인내"] = true,
	["겨울잠"] = false,
	["광전사의 부름"] = true,
	["나무 껍질"] = true,
	["불의 비"] = false,
	["광택낸 갑옷"] = false,
	["축복받은 회복력"] = true,
	["손등치기"] = false,
	["탄력성"] = true,
	["부패의 씨앗"] = false,
	["언어의 저주"] = false,
	["삼투"] = true,
	["폭풍까마귀 변신"] = true,
	["성전사의 지휘력"] = true,
	["전쟁의 징표"] = true,
	["제물"] = false,
	["언데드 추적"] = true,
	["상급 빛의 축복"] = true,
	["정의의 성서"] = true,
	["불안한 정신"] = false,
	["냉기 사격"] = false,
	["구원의 축복"] = true,
	["청각 마비"] = false,
	["응징의 문장"] = true,
	["직관력"] = true,
	["핏빛 화살"] = false,
	["고결의 오라"] = true,
	["변이"] = false,
	["신의 가호"] = true,
	["회복의 기원"] = true,
	["고난의 거리의 축복"] = true,
	["정기의 깨달음"] = true,
	["복수의 성서"] = true,
	["신성화"] = false,
	["피의 갈증"] = true,
	["독 구름"] = false,
	["피어나는 생명"] = true,
	["하급 힘"] = true,
	["언데드 속박"] = false,
	["기원의 힘"] = true,
	["으스스한 울음소리"] = false,
	["응징"] = false,
	["선인의 인내력"] = true,
	["냉기계 수호"] = true,
	["밤의 어둠"] = true,
	["은신 추적"] = true,
	["용의 숨결"] = false,
	["비전 작렬"] = false,
	["서리늑대의 격노"] = true,
	["짓이기기 (표범)"] = false,
	["생채기"] = false,
	["그림자 일격"] = true,
	["사냥꾼의 징표"] = false,
	["술트라제"] = false,
	["철퇴 기절 효과"] = false,
	["냉기의 무기 공격"] = false,
	["마법 감쇠"] = true,
	["봉쇄 기절"] = false,
	["자연의 신속함"] = true,
	["냉기 저항의 오라"] = true,
	["천둥벼락"] = false,
	["죽음의 소원"] = true,
	["민첩"] = true,
	["은신"] = true,
	["전투 발구르기"] = false,
	["영혼석 부활"] = true,
	["원시 본능"] = true,
	["약초 찾기"] = true,
	["짓이기기 (곰)"] = false,
	["신속"] = true,
	["채찍질의 광기"] = true,
	["자연의 은혜"] = true,
	["정의의 격노"] = true,
	["질풍의 공격"] = true,
	["날카로운 고함"] = false,
	["이어진 족쇄"] = false,
	["독액"] = false,
	["죽음의 고리"] = false,
	["아다만타이트 보호막"] = true,
	["올가미"] = false,
	["얼음 회오리"] = false,
	["곰 변신"] = true,
	["성전사의 오라"] = true,
	["위상 변화"] = true,
	["야성의 감응"] = true,
	["정신적 공포"] = false,
	["얼룩진 피 효과"] = false,
	["회피"] = true,
	["먹이주기 효과"] = true,
	["불안정한 마력 흐름"] = true,
	["희망의 상징"] = true,
	["포세이큰의 의지"] = true,
	["희생의 문장"] = true,
	["갈퀴 발톱"] = false,
	["악마의 광기"] = true,
	["제물의 덫"] = false,
	["공간이동"] = true,
	["방향 감각 상실"] = true,
	["불기둥"] = false,
	["재생"] = true,
	["물의 보호막"] = true,
	["저주 증폭"] = true,
	["신경 마비"] = false,
	["선택받은 자의 징표"] = true,
	["쇠약의 손길"] = false,
	["비취 불꽃"] = true,
	["전투의 외침"] = true,
	["회복"] = true,
	["화염 폭풍"] = false,
	["내면의 야수"] = true,
	["억제의 보호막"] = true,
	["정의의 문장"] = true,
	["야수의 본성"] = true,
	["점멸"] = true,
	["화염 보호막"] = true,
	["강력한 분노"] = true,
	["태양매의 징표"] = false,
	["도발"] = false,
	["맹공격"] = true,
	["질풍"] = true,
	["성스러운 중재"] = true,
	["참회"] = false,
	["상급 왕의 축복"] = true,
	["지혜의 축복"] = true,
	["휘감는 뿌리"] = false,
	["낚시"] = true,
	["절망의 방어"] = false,
	["침묵"] = false,
	["모조의 광기"] = true,
	["치타의 상"] = true,
	["불타는 소원"] = true,
	["석화"] = true,
	["럼지 럼주 블랙 라벨"] = true,
	["울려퍼지는 고함"] = false,
	["어둠의 손길"] = true,
	["소실"] = true,
	["강인함"] = true,
	["신의 계시"] = true,
	["스톰파이크의 구원"] = true,
	["술취한 분노"] = true,
	["절규"] = false,
	["할라아니의 힘"] = true,
	["고통의 저주"] = false,
	["매의 상"] = true,
	["격노"] = true,
	["맹렬한 돌진"] = true,
	["공황의 북소리"] = false,
	["급성 전염병"] = false,
	["드레나이 지혜의 비약"] = true,
	["공포의 수호물"] = true,
	["맹독 III"] = false,
	["절망의 분노"] = false,
	["화염 저항의 오라"] = true,
	["피해 증폭"] = false,
	["그물"] = false,
	["횃불"] = false,
	["해결사의 분노"] = true,
	["집중 포화"] = false,
	["인간형 추적"] = true,
	["늑대 정령"] = true,
	["혹한의 추위"] = false,
	["기절시키기"] = false,
	["불덩이 작렬"] = false,
	["열기의 파도"] = false,
	["방어"] = true,
	["고열의 역병"] = false,
	["트롤베인의 지휘력"] = true,
	["포만감"] = true,
	["뜨거운 용암"] = false,
	["부식성 안개"] = false,
	["실리시드 피부병"] = false,
	["탄력"] = true,
	["바람 강타"] = false,
	["영양 공급"] = true,
	["강타"] = false,
	["어둠 흡수"] = true,
	["하급 방어"] = true,
	["광포한 재생력"] = true,
	["섬광"] = false,
	["광란"] = true,
	["방패 가격 - 침묵"] = false,
	["충격의 일격"] = false,
	["전갈 쐐기"] = false,
	["허술한 무기"] = false,
	["살무사 쐐기"] = false,
	["집중력"] = true,
	["약탈"] = false,
	["방패의 벽"] = true,
	["해골이빨부족 부패병"] = false,
	["맹공의 비약"] = true,
	["유혹"] = false,
	["소생"] = true,
	["맹독액"] = false,
	["야수 추적"] = true,
	["끝없는 축복"] = true,
	["술에 의한 무감각 상태"] = true,
	["건강"] = true,
	["왕의 축복"] = true,
	["킬로그의 눈"] = true,
	["도발의 일격"] = false,
	["암습 피해"] = false,
	["가시 오라"] = true,
	["약화"] = false,
	["불타는 회오리"] = true,
	["독"] = false,
	["방어구 가르기"] = false,
	["추적자의 활력"] = true,
	["정신 마비 독 III"] = false,
	["어둠의 폐수"] = false,
	["독화살"] = false,
	["어둠의 권능: 고통"] = false,
	["붕대 치료"] = false,
	["화염 충격"] = false,
	["마나 흡수"] = false,
	["정령 군주의 저주"] = false,
	["나즈그렐의 열정"] = true,
	["재기의 바람"] = true,
	["암흑 보호의 기원"] = true,
	["영혼의 고리"] = true,
	["무장 해제"] = false,
	["영원한 현자의 고리"] = true,
	["생명력 착취"] = false,
	["공포의 독"] = false,
	["악마의 갑옷"] = true,
	["순교자의 정수"] = true,
	["추적자의 통찰"] = true,
	["얼룩진 피"] = true,
	["산토스의 축복"] = true,
	["응급치료"] = true,
	["고대의 힘"] = true,
	["부정의 광기"] = true,
	["화염 보호막 III"] = true,
	["특수 독액"] = false,
	["정신력"] = true,
	["영혼의 절규"] = false,
	["지휘의 외침"] = true,
	["광포한 포효"] = false,
	["고열병"] = false,
	["불길의 파도"] = false,
	["천상의 정신"] = true,
	["복수"] = true,
	["번개같은 속도"] = true,
	["피의 광기"] = true,
	["강렬한 사랑"] = true,
	["도려내기"] = false,
	["악마의 지식"] = true,
	["공허의 흡수"] = true,
	["성전사의 심판"] = false,
	["환기"] = true,
	["골리아손 돌조각 소환"] = true,
	["마의 갑옷"] = true,
	["무리의 우두머리"] = true,
	["희생"] = true,
	["투명체 감지"] = true,
	["스탈반의 저주"] = false,
	["피의 격노"] = true,
	["달빛야수 변신"] = true,
	["응징의 격노"] = true,
	["악마 지배"] = false,
	["무모한 희생"] = true,
	["부패한 정신"] = false,
	["결점 노출"] = false,
	["달빛 섬광"] = false,
	["연합의 부름"] = true,
	["지옥꽃"] = true,
	["마력의 쇄도"] = true,
	["마법 차단 - 침묵"] = false,
	["아드레날린 촉진"] = true,
	["지휘의 문장"] = true,
	["신성한 불꽃"] = false,
	["흡혈의 손길"] = false,
	["하급 주문 폭파"] = true,
	["신비한 총명함"] = true,
	["청명의 전조"] = true,
	["로데론의 메아리"] = true,
	["신의 권능: 보호막"] = true,
	["날카로운 울음소리"] = false,
	["냉기 갑옷"] = true,
	["쇠약"] = false,
	["공격 저지"] = true,
	["주술의 분노"] = true,
	["치명상"] = false,
	["구멍 뚫기"] = false,
	["파열"] = false,
	["주문 잠금"] = false,
	["가로막기"] = true,
	["지혜의 심판"] = false,
	["유령의 발걸음"] = true,
	["지능"] = true,
	["신속의 오라"] = true,
	["아달의 전장의 노랫소리"] = true,
	["얼음의 덫"] = false,
	["거의 무적 상태"] = true,
	["번개 올가미"] = false,
	["침묵의 사격"] = false,
	["자연의 파괴력"] = true,
	["생명의 축복"] = true,
	["발화"] = true,
	["생명력 흡수"] = false,
	["아케나고스의 힘"] = true,
	["넘어뜨리기"] = false,
	["질풍의 토템"] = true,
	["비전 광기"] = true,
	["비전술사의 돌"] = true,
	["축소"] = false,
	["상급 힘의 축복"] = true,
	["핏빛안개의 한기"] = false,
	["충격포"] = false,
	["전투의 욕망"] = true,
	["신속 사격"] = true,
	["추적자의 야성"] = true,
	["정신력의 기원"] = true,
	["맹독 IV"] = false,
	["그림자 망토"] = true,
	["빛의 심판"] = false,
	["동상"] = false,
	["상급 지능"] = true,
	["쌍둥이 첨탑의 축복"] = true,
	["응보의 오라"] = true,
	["천상의 보호막"] = true,
	["재생력"] = true,
	["반격"] = false,
	["눈부신 속도"] = true,
	["혼돈의 비"] = false,
	["아르거시안 나침반"] = true,
	["화염암흑"] = true,
	["인내의 기원"] = true,
	["전쟁의 북소리"] = true,
	["전자기장"] = true,
	["피투성이굴의 저주"] = false,
	["어둠의 격노"] = false,
	["숙련의 비약"] = true,
	["지식의 징표"] = true,
	["고리쉬 수액"] = false,
	["광기의 쐐기"] = true,
	["상급 수중 호흡"] = true,
	["그림자 숨기"] = true,
	["반발력"] = true,
	["희미하게 빛나는 피"] = false,
	["곰팡이 피기"] = true,
	["기포나는 부패물"] = false,
	["포자 가죽"] = true,
	["작열"] = false,
	["얼음 결계"] = false,
	["복수 기절"] = false,
	["원소의 저주"] = false,
	["숨막히는 덩굴"] = false,
	["집중의 오라"] = true,
	["떠도는 역병"] = false,
	["얼음 화살"] = false,
	["맹독 V"] = false,
	["다시 부는 바람 토템"] = true,
	["스마이트의 격돌"] = false,
	["부패병"] = false,
	["난도질"] = true,
	["지배"] = false,
}
SW_GlobalSettings = {
	["lastWOWBuild"] = "2.3.37799Jan 15 2008",
	["LAST_V_RUN"] = "2.1.3",
	["LAST_LOCALE"] = "koKR",
}
