-- Version : Korean (by papertiger)

if GetLocale() == "koKR" then

-- Interface Configuration
IEF_FILE		= "파일: ";
IEF_STRING		= "문자열: ";
IEF_LINE		= "라인: ";
IEF_COUNT		= "횟수: ";
IEF_ERROR		= "오류: ";
IEF_ADDON		= "애드온: ";
IEF_PATH		= "경로: ";

IEF_CANCEL		= "취소";
IEF_CLOSE		= "닫기";
IEF_REPORT		= "보고";

IEF_INFINITE		= "무한";

-- Slash command strings
IEF_NOTIFY_ON		= "ImprovedErrorFrame: 지연 알림 경고 기능이 활성화되었습니다.";
IEF_NOTIFY_OFF		= "ImprovedErrorFrame: 오류가 발생하면 보고합니다.";
IEF_BLINK_ON		= "ImprovedErrorFrame: 미해결 오류와 더불어 버튼이 깜박입니다.";
IEF_BLINK_OFF		= "ImprovedErrorFrame: 버튼이 깜빡이지 않습니다.";
IEF_COUNT_ON		= "ImprovedErrorFrame: 미해결 오류의 횟수를 표시합니다.";
IEF_COUNT_OFF		= "ImprovedErrorFrame: 미해결 오류의 횟수를 표시하지 않습니다.";
IEF_ALWAYS_ON		= "ImprovedErrorFrame: 오류 버튼을 항상 표시합니다.";
IEF_ALWAYS_OFF		= "ImprovedErrorFrame: 오류 알릴시 버튼을 표시합니다.";
IEF_SOUND_ON		= "ImprovedErrorFrame: 오류 알림시 소리를 재생합니다.";
IEF_SOUND_OFF		= "ImprovedErrorFrame: 소리를 재생하지 않습니다.";
IEF_EMPTY_ON		= "ImprovedErrorFrame: 깜빡일 때 버튼의 그래픽이 사라집니다.";
IEF_EMPTY_OFF		= "ImprovedErrorFrame: 깜빡일 때 버튼의 그래픽이 변경되지 않습니다.";
IEF_DEBUG_ON		= "ImprovedErrorFrame: FrameXML 배경 기록 기능을 켭니다.";
IEF_DEBUG_OFF		= "ImprovedErrorFrame: FrameXML 배경 기록 기능을 꺼버립니다.";
IEF_STACK_ON		= "ImprovedErrorFrame: 중복 저장 추적 기능을 켭니다";
IEF_STACK_OFF		= "ImprovedErrorFrame: 중첩 저장 추적 기능을 꺼버립니다";
IEF_DEBUGCAPTURE_ON	= "ImprovedErrorFrame: Sea 디버그 출력 저장 기능을 켭니다";
IEF_DEBUGCAPTURE_OFF	= "ImprovedErrorFrame: Sea 디버그 출력 저장 기능을 꺼버립니다";
IEF_FORMAT_STR		= "형식: /ief <NOTIFY|BLINK|COUNT|ALWAYS|SOUND|EMPTY|DEBUG|STACK> <ON|OFF>";
IEF_CURRENT_SETTINGS	= "현재 설정:";
IEF_BLINK_OPT		= "blink";
IEF_NOTIFY_OPT		= "notify";
IEF_COUNT_OPT		= "count";
IEF_ALWAYS_OPT		= "always";
IEF_SOUND_OPT		= "sound";
IEF_EMPTY_OPT		= "empty";
IEF_DEBUG_OPT		= "debug";
IEF_STACK_OPT		= "stack";
IEF_ON			= "on";
IEF_OFF			= "off";
IEF_HELP_TEXT		= "/ief - ImprovedErrorFrame 설정";
IEF_HELP_DEBUGCAPTURE_TEXT =	"/iefd - Sea 디버그 출력 저장 기능을 전환합니다.";

-- Tooltip Text
IEF_TOOLTIP		= "오류를 보려면 클릭하세요.";
-- Header Text
IEF_TITLE_TEXT		= "미해결 대기 오류";
IEF_ERROR_TEXT		= "실시간 오류";

-- Khaos/Cosmos descriptions
IEF_OPTION_TEXT		= "ImprovedErrorFrame";
IEF_OPTION_HELP		= "오류 보고 옵션을 설정합니다.";
IEF_HEADER_TEXT		= "ImprovedErrorFrame";
IEF_HEADER_HELP		= "오류 보고에 필요한 설정의 여러가지 옵션들입니다.";
IEF_NOTIFY_TEXT		= "대기 오류";
IEF_NOTIFY_HELP		= "미해결 오류들을 나중에 표시하기 위해 대기시켜 놓습니다.";
IEF_BLINK_TEXT		= "버튼 깜박임";
IEF_BLINK_HELP		= "미해결 오류가 있으면 버튼이 깜빡입니다.";
IEF_COUNT_TEXT		= "버튼에 오류 횟수 표시";
IEF_COUNT_HELP		= "오류 횟수를 버튼에 표시합니다.";
IEF_ALWAYS_TEXT		= "오류 버튼 항상 표시";
IEF_ALWAYS_HELP		= "오류 버튼을 화면에 항상 표시합니다.";
IEF_SOUND_TEXT		= "알림시 소리 재생";
IEF_SOUND_HELP		= "이벤트 설치 오류 발생시 소리를 재생합니다.";
IEF_EMPTY_TEXT		= "버튼 그래픽 사라지기";
IEF_EMPTY_HELP		= "깜빡이는 동안은 오류 버튼이 사라집니다.";
IEF_DEBUG_TEXT		= "배경 FrameXML의 오류 기록";
IEF_DEBUG_HELP		= "배경 모드에서 FrameXML.log 파일에 오류가 기록됩니다 (UI 재실행 필요).";
IEF_STACK_TEXT		= "중복 저장 추적";
IEF_STACK_HELP		= "오류 메세지와 같이 중복 표시되는 것을 추적합니다";
IEF_DEBUGCAPTURE_TEXT	= "Sea 디버그 출력 저장"
IEF_DEBUGCAPTURE_HELP	= "Sea 디버그가 출력된 것을 저장해 두었다가 IEF 창에 복사/붙혀넣기를 하기 위해 이것을 나열합니다."

end
