
BLINK_CATEGORY_INVENTORY = "가방";
BLINK_CATEGORY_DEVELOPMENT = "개발";
BLINK_CATEGORY_RAID = "공격대";
BLINK_CATEGORY_GUILD = "길드";
BLINK_CATEGORY_AUDIO = "소리";
BLINK_CATEGORY_BARS = "액션창";
BLINK_CATEGORY_PROFESSIONS = "전문기술";
BLINK_CATEGORY_BATTLEGROUNDS = "전장";
BLINK_CATEGORY_COMBAT = "전투";
BLINK_CATEGORY_MAP = "지도";
BLINK_CATEGORY_CLASS = "직업";
BLINK_CATEGORY_CHAT = "채팅";
BLINK_CATEGORY_QUESTS = "퀘스트";
BLINK_CATEGORY_COMPILATIONS = "통합애드온";
BLINK_CATEGORY_PLUGINS = "플러그인";
BLINK_CATEGORY_MISC = "기타";
BLINK_CATEGORY_UNKNOWN = "알수없음";

BLINK_CATEGORY_HEIGHT = 16;
BLINK_CONFIG_HEIGHT = 28;
BLINK_TO_DISPLAY = 13;
BlinkGUI = {
	Categorys = {
		{ name = BLINK_CATEGORY_INVENTORY,		isExpanded = 1, addons = {}, addonCount = 0, },
		{ name = BLINK_CATEGORY_DEVELOPMENT,	isExpanded = 1, addons = {}, addonCount = 0, },
		{ name = BLINK_CATEGORY_RAID,			isExpanded = 1, addons = {}, addonCount = 0, },
		{ name = BLINK_CATEGORY_GUILD,			isExpanded = 1, addons = {}, addonCount = 0, },
		{ name = BLINK_CATEGORY_AUDIO,			isExpanded = 1, addons = {}, addonCount = 0, },
		{ name = BLINK_CATEGORY_BARS,			isExpanded = 1, addons = {}, addonCount = 0, },
		{ name = BLINK_CATEGORY_PROFESSIONS,	isExpanded = 1, addons = {}, addonCount = 0, },
		{ name = BLINK_CATEGORY_COMBAT,			isExpanded = 1, addons = {}, addonCount = 0, },
		{ name = BLINK_CATEGORY_MAP,			isExpanded = 1, addons = {}, addonCount = 0, },
		{ name = BLINK_CATEGORY_CLASS,			isExpanded = 1, addons = {}, addonCount = 0, },
		{ name = BLINK_CATEGORY_CHAT,			isExpanded = 1, addons = {}, addonCount = 0, },
		{ name = BLINK_CATEGORY_QUESTS,			isExpanded = 1, addons = {}, addonCount = 0, },
		{ name = BLINK_CATEGORY_COMPILATIONS,	isExpanded = 1, addons = {}, addonCount = 0, },
		{ name = BLINK_CATEGORY_PLUGINS,		isExpanded = 1, addons = {}, addonCount = 0, },
		{ name = BLINK_CATEGORY_MISC,			isExpanded = 1, addons = {}, addonCount = 0, },
		{ name = BLINK_CATEGORY_UNKNOWN,		isExpanded = 1, addons = {}, addonCount = 0, },
	},
	Entries = {},
	ADDONS = {},
};

UIPanelWindows["BlinkGUIFrame"] = { area = "center", pushable = 0, whileDead = 1 };

-------------------------------------------------------------------------------
-- BlinkPrint
-------------------------------------------------------------------------------
if( not BlinkPrint ) then
	BlinkPrint = function(msg)
		if(ChatFrame1) then
			ChatFrame1:AddMessage(msg, 1.0, 1.0, 0.0);
		end
	end
end

--function Blink_pp()
--	for name,a in pairs(BlinkGUI.ADDONS) do
--		BlinkPrint(name);
--	end
--end

function Blink_AddAddon(name,category,options)
	if ( not name ) then
		return false;
	end
	if ( not options or type(options)~='table' ) then
		return false;
	end
	if ( not BlinkGUI.ADDONS[name] ) then
		BlinkGUI.ADDONS[name] = {};
		BlinkGUI.ADDONS[name].category = category;
		BlinkGUI.ADDONS[name].name = name;
		BlinkGUI.ADDONS[name].PANELS = {};
	end
	for idx, option in pairs(options) do
		local info = {};
		if ( option["SLIDER"]
		and not option["TEXT"]
		and not option["COLORSWATCH"]
		and not option["HEADER"]
		and not option["SPACER"]
		and not option["CHECKBOX"]
		and not option["EDITBOX"]
		and not option["CHECKBOX"]
		and not option["DROPDOWN"]
		and not option["RADIO"]
		) then
			option["SLIDER"].anchor = {frame="parent",point="CENTER",relate="CENTER"};
			option["SLIDER"].width = 200;
		elseif ( option["SLIDER"] and option["COLORSWATCH"] ) then
			option["SLIDER"].anchor = {frame="ColorSwatch",point="RIGHT",relate="LEFT"};
		elseif ( option["SLIDER"] and not option["COLORSWATCH"] ) then
			option["SLIDER"].anchor = nil;
			option["SLIDER"].width = 162;
		end
		for paneltype, panel in pairs(option) do
			info[paneltype] = {};
			if ( paneltype:upper() == "SPACER" ) then
				info[paneltype]["spacer"] = true
			else
				for k,v in pairs(panel) do
					info[paneltype][k] = v;
				end
			end
		end
		table.insert(BlinkGUI.ADDONS[name].PANELS, info);
	end
	if ( BlinkGUIFrame:IsVisible() ) then
		Blink_Update();
	end
	return true;
end

function Blink_OnLoad()
--	Blink_AddAddon("테스트",BLINK_CATEGORY_DEVELOPMENT,{
--		{
--			["HEADER"] = {
--				text = "header",
--				tooltip = "header tooltip"
--			}
--		},
--		{
--			["CHECKBOX"] = {
--				text = "Enable",
--				tooltip = "addon enable option",
--				set = function (value)
--					if ( value ) then
--						-- set true
--					else
--						-- set false
--					end
--				end,
--				get = function ()
--					return (true or false);
--				end,
--			},
--			["SLIDER"] = {
--				set = function (slider)
--					-- set slider value
--				end,
--				get = function ()
--					return (value);
--				end,
--				step = 1,
--				min = 1,
--				max = 10,
--				mintext = "1개",
--				maxtext = "10개",
--				text = "count",
--			},
--			["COLORSWATCH"] = {
--				set = function (color)
--					temp_color.r = color.r;
--					temp_color.g = color.g;
--					temp_color.b = color.b;
--				end,
--				get = function ()
--					return {r=1.0,g=1.0,b=1.0};
--				end,
--				text = "Slider2",
--				tooltip = "흐흐 툴팁6",
--			},
--		},
--		{
--			["CHECKBOX"] = {
--				text = "Enable2",
--				tooltip = "addon enable option",
--				set = function (value)
--					if ( value ) then
--						-- set true
--					else
--						-- set false
--					end
--				end,
--				get = function ()
--					return (true or false);
--				end,
--			},
--			["COLORSWATCH"] = {
--				set = function (color)
--					temp_color.r = color.r;
--					temp_color.g = color.g;
--					temp_color.b = color.b;
--				end,
--				get = function ()
--					return {r=1.0,g=1.0,b=1.0};
--				end,
--				text = "Slider2",
--				tooltip = "흐흐 툴팁6",
--			},
--		},
--		{
--			["CHECKBOX"] = {
--				text = "Enable",
--				tooltip = "addon enable option",
--				set = function (value)
--					if ( value ) then
--						-- set true
--					else
--						-- set false
--					end
--				end,
--				get = function ()
--					return (true or false);
--				end,
--			},
--			["SLIDER"] = {
--				set = function (slider)
--					-- set slider value
--				end,
--				get = function ()
--					return (value);
--				end,
--				step = 1,
--				min = 1,
--				max = 10,
--				mintext = "1개",
--				maxtext = "10개",
--				text = "count",
--			},
--		},
--		{
--			["SLIDER"] = {
--				set = function (slider)
--					-- set slider value
--				end,
--				get = function ()
--					return (value);
--				end,
--				step = 1,
--				min = 1,
--				max = 10,
--				mintext = "1개",
--				maxtext = "10개",
--				text = "count",
--			},
--		},
--		{
--			["BUTTON"] = {
--				text = "버튼",
--				click = function ()
--					BlinkPrint("버튼 클릭"..this:GetParent():GetID());
--				end,
--				tooltip = "툴팁!!",
--			},
--		},
--		{
--			["EDITBOX"] = {
--				text = "Editbox",
--				get = function ()
--					return 0;
--				end,
--			},
--		},
--		{
--			["CHECKBOX"] = {
--				id = "radiotest",
--				text = "Radio1",
--				tooltip = "Radio button test1",
--				set = function (value)
--					if ( value ) then
--						-- set true
--					else
--						-- set false
--					end
--				end,
--				get = function ()
--					return (true or false);
--				end,
--			},
--		},
--		{
--			["CHECKBOX"] = {
--				id = "radiotest",
--				text = "Radio2",
--				tooltip = "Radio button test1",
--				set = function (value)
--					if ( value ) then
--						-- set true
--					else
--						-- set false
--					end
--				end,
--				get = function ()
--					return (true or false);
--				end,
--			},
--		},
--		{
--			["CHECKBOX"] = {
--				id = "radiotest",
--				text = "Radio3",
--				tooltip = "Radio button test1",
--				set = function (value)
--					if ( value ) then
--						-- set true
--					else
--						-- set false
--					end
--				end,
--				get = function ()
--					return (true or false);
--				end,
--			},
--		},
--	});
end

function Blink_OnShow()
	Blink_BuildCategoryEntries();
	Blink_SetupEntries();
	Blink_Category_Update();
	Blink_Update();
end

function Blink_Update()

	local offset = FauxScrollFrame_GetOffset(BlinkGUIFrameConfigScrollFrame);
	local idx;
	local numPanels;
	local selectedAddOn = Blink_GetSelectedAddon();
	local addon;
	local left,center,right;

	if ( selectedAddOn and BlinkGUI.ADDONS[selectedAddOn] ) then
		addon = BlinkGUI.ADDONS[selectedAddOn];
		numPanels = #addon.PANELS;
		-- Scroll frame stuff
		FauxScrollFrame_Update(BlinkGUIFrameConfigScrollFrame, numPanels, BLINK_TO_DISPLAY, BLINK_CONFIG_HEIGHT );
	else
		for i=1, BLINK_TO_DISPLAY, 1 do
			Blink_HidePanel(i);
		end
		-- Scroll frame stuff
		FauxScrollFrame_Update(BlinkGUIFrameConfigScrollFrame, 0, BLINK_TO_DISPLAY, BLINK_CONFIG_HEIGHT );
		return;
	end

	for i=1, BLINK_TO_DISPLAY, 1 do
		idx = offset + i;
		Blink_HidePanel(i);
		if ( idx <= numPanels ) then
			if ( addon.PANELS[idx] ) then
				for paneltype,element in pairs(addon.PANELS[idx]) do
--					BlinkPrint(">>>"..(paneltype));
					Blink_DrawPanel(i,paneltype,element);
				end
			end
		end
	end
end

function Blink_HidePanel(idx)
	if ( not idx ) then
		return;
	end
	local base = "BlinkGUIFrameConfig"..idx;
	local text = getglobal(base.."Text");
	local header = getglobal(base.."Header");
	local spacer = getglobal(base.."Spacer");
	local check = getglobal(base.."Check");
	local radio = getglobal(base.."Radio");
	local button = getglobal(base.."Button");
	local slider = getglobal(base.."Slider");
	local dropdown = getglobal(base.."DropDown");
	local colorswatch = getglobal(base.."ColorSwatch");
	local editbox = getglobal(base.."EditBox");
	text:Hide();
	header:Hide();
	spacer:Hide();
	check:Hide();
	radio:Hide();
	button:Hide();
	slider:Hide();
	dropdown:Hide();
	colorswatch:Hide();
	editbox:Hide();
	getglobal(base):Hide();
end

function Blink_DrawPanel(idx,paneltype,obj)
	if ( not idx ) then
		return;
	end

	local base = "BlinkGUIFrameConfig"..idx;
	local text = getglobal(base.."Text");
	local header = getglobal(base.."Header");
	local spacer = getglobal(base.."Spacer");
	local check = getglobal(base.."Check");
	local radio = getglobal(base.."Radio");
	local button = getglobal(base.."Button");
	local slider = getglobal(base.."Slider");
	local dropdown = getglobal(base.."DropDown");
	local colorswatch = getglobal(base.."ColorSwatch");
	local editbox = getglobal(base.."EditBox");

	if ( not obj ) then
		spacer:Hide();
		header:Hide();
		text:Hide();
		check:Hide();
		radio:Hide();
		button:Hide();
		slider:Hide();
		dropdown:Hide();
		colorswatch:Hide();
		editbox:Hide();
		getglobal(base):Hide();
		return;
	end

	getglobal(base):Show();

	if ( paneltype:upper() == "CHECKBOX" ) then
		Blink_DrawCheckBox(check,obj);
	elseif ( paneltype:upper() == "RADIO" ) then
		Blink_DrawRadio(radio,obj);
	elseif ( paneltype:upper() == "BUTTON" ) then
		Blink_DrawButton(button,obj);
	elseif ( paneltype:upper() == "SLIDER" ) then
		Blink_DrawSlider(slider,obj);
	elseif ( paneltype:upper() == "DROPDOWN" ) then
		Blink_DrawDropDown(dropdown,obj);
	elseif ( paneltype:upper() == "COLORSWATCH" ) then
		Blink_DrawColorSwatch(colorswatch,obj);
	elseif ( paneltype:upper() == "HEADER" ) then
		Blink_DrawHeader(header,obj);
	elseif ( paneltype:upper() == "TEXT" ) then
		Blink_DrawText(text,obj);
	elseif ( paneltype:upper() == "EDITBOX" ) then
		Blink_DrawEditBox(editbox,obj);
	elseif ( paneltype:upper() == "SPACER" ) then
		Blink_DrawSpacer(spacer,obj);
	end

end

-- Spacer
function Blink_DrawSpacer(spacer,obj)
	spacer:Hide();
end

-- Header
function Blink_DrawHeader(header,obj)
	local headertext = getglobal(header:GetName().."Text");
	
	if ( obj.text ) then
		headertext:SetText(obj.text);
	else
		headertext:SetText("HEADER");
	end

	if ( obj.tooltip and obj.tooltip~="" ) then
		header:SetScript("OnEnter",function ()
			--GameTooltip:SetOwner(this, "ANCHOR_BOTTOM");
			GameTooltip:SetOwner(this, "ANCHOR_BOTTOMLEFT",GameTooltip:GetWidth(),0);
			GameTooltip:SetText(obj.tooltip, nil, nil, nil, nil, 1);
		end);
		header:SetScript("OnLeave",function () GameTooltip:Hide(); end);
	else
		header:SetScript("OnEnter",nil);
		header:SetScript("OnLeave",nil);
	end
	header:Show();
end

-- Text
function Blink_DrawText(text,obj)
	local texttext = getglobal(text:GetName().."Text");
	
	if ( obj.get and type(obj.get) == 'function' ) then
		texttext:SetText(obj.get());
	elseif ( obj.text ) then
		texttext:SetText(obj.text);
	else
		texttext:SetText("");
	end

--	text:ClearAllPoints();
	if ( obj.align and obj.align:upper() == "CENTER" ) then
--		text:SetPoint("LEFT", text:GetParent(), "LEFT", 0, 0);
		texttext:SetJustifyH("CENTER");
	elseif ( obj.align and obj.align:upper() == "RIGHT" ) then
		texttext:SetJustifyH("RIGHT");
	else
		texttext:SetJustifyH("LEFT");
	end

	if ( obj.tooltip and obj.tooltip~="" ) then
		text:SetScript("OnEnter",function ()
			GameTooltip:SetOwner(this, "ANCHOR_BOTTOMLEFT",GameTooltip:GetWidth(),0);
			GameTooltip:SetText(obj.tooltip, nil, nil, nil, nil, 1);
		end);
		text:SetScript("OnLeave",function () GameTooltip:Hide(); end);
	else
		text:SetScript("OnEnter",nil);
		text:SetScript("OnLeave",nil);
	end
	text:Show();
end

-- CheckBox
function Blink_DrawCheckBox(check,obj)
	local checktext = getglobal(check:GetName().."Text");
	
	if ( obj.text ) then
		checktext:SetText(obj.text);
	else
		checktext:SetText("");
	end
	
	if ( obj.get and type(obj.get)=='function' ) then
		if ( obj.get() ) then
			check:SetChecked(1);
		else
			check:SetChecked(0);
		end
	else
		check:SetChecked(0);
	end

	if ( obj.set and type(obj.set)=='function' ) then
		check:SetScript("OnClick",function ()
			if ( this:GetChecked() ) then
				obj.set(1);
			else
				obj.set();
			end
		end);
	else
		check:SetScript("OnClick",nil);
	end

	if ( obj.tooltip and obj.tooltip~="" ) then
		check:SetScript("OnEnter",function ()
			GameTooltip:SetOwner(this, "ANCHOR_BOTTOMRIGHT");
			GameTooltip:SetText(obj.tooltip, nil, nil, nil, nil, 1);
		end);
		check:SetScript("OnLeave",function () GameTooltip:Hide(); end);
	else
		check:SetScript("OnEnter",nil);
		check:SetScript("OnLeave",nil);
	end

	if ( obj.indentlevel and ( obj.indentlevel > 0 and obj.indentlevel <= 3 ) ) then
		check:SetPoint("LEFT", check:GetParent(), "LEFT", 16*obj.indentlevel, 0 );
		check:SetWidth(24);
		check:SetHeight(24);
	else
		check:SetPoint("LEFT", check:GetParent(), "LEFT", 0, 0 );
		check:SetWidth(32);
		check:SetHeight(32);
	end
	check:Show();
end

-- Radio
function Blink_DrawRadio(radio,obj)
	local radiotext = getglobal(radio:GetName().."Text");

	if ( obj.text ) then
		radiotext:SetText(obj.text);
	else
		radiotext:SetText("");
	end

	if ( obj.get and type(obj.get)=='function' ) then
		if ( obj.get() ) then
			radio:SetChecked(1);
		else
			radio:SetChecked(0);
		end
	else
		radio:SetChecked(0);
	end

	if ( obj.id ) then
		radio.id = obj.id;
		if ( obj.set and type(obj.set)=='function' ) then
			radio.set = obj.set;
		end
		if ( obj.get and type(obj.get)=='function' ) then
			radio.get = obj.get;
		end
	else
		radio.id = nil;
	end
	
	if ( obj.set and type(obj.set)=='function' ) then
		radio:SetScript("OnClick",function ()
			if ( this.id ) then
				radio:SetChecked(1)
				obj.set(1);
				local b,c;
				for i=1, BLINK_TO_DISPLAY do
					c = getglobal("BlinkGUIFrameConfig"..i.."Radio")
					if ( c and c ~= this and c:IsVisible() and c.id == this.id ) then
						c:SetChecked(0)
						if ( c.set and type(c.set)=='function' ) then
							c.set();
						end
					end
				end
			end
		end);
	else
		radio:SetScript("OnClick",nil);
	end

	if ( obj.tooltip and obj.tooltip~="" ) then
		radio:SetScript("OnEnter",function ()
			GameTooltip:SetOwner(this, "ANCHOR_BOTTOMRIGHT");
			GameTooltip:SetText(obj.tooltip, nil, nil, nil, nil, 1);
		end);
		radio:SetScript("OnLeave",function () GameTooltip:Hide(); end);
	else
		radio:SetScript("OnEnter",nil);
		radio:SetScript("OnLeave",nil);
	end

	if ( obj.indentlevel and ( obj.indentlevel > 0 and obj.indentlevel <= 3 ) ) then
		radio:SetPoint("LEFT", radio:GetParent(), "LEFT", 16*obj.indentlevel, 0 );
		radio:SetWidth(12);
		radio:SetHeight(12);
	else
		radio:SetPoint("LEFT", radio:GetParent(), "LEFT", 4, 0 );
		radio:SetWidth(16);
		radio:SetHeight(16);
	end
	radio:Show();
end

-- Button
function Blink_DrawButton(button,obj)
	local buttontext = getglobal(button:GetName().."Text");
	
	if ( obj.text ) then
		buttontext:SetText(obj.text);
	else
		buttontext:SetText("BUTTON");
	end

	button:ClearAllPoints();
	if ( obj.align and obj.align:upper() == "LEFT" ) then
		button:SetPoint("LEFT", button:GetParent(), "LEFT", 0, 0);
	elseif ( obj.align and obj.align:upper() == "CENTER" ) then
		button:SetPoint("CENTER", button:GetParent(), "CENTER", 0, 0);
	else
		button:SetPoint("RIGHT", button:GetParent(), "RIGHT", -15, 0);
	end
	if ( obj.width and type(obj.width) == 'number' ) then
		button:SetWidth(obj.width);
	else
		button:SetWidth(91);
	end

	if ( obj.set and type(obj.set)=='function' ) then
		button:SetScript("OnClick",function ()
			local editbox = getglobal(this:GetParent():GetName().."EditBox");
			if ( editbox:IsVisible() ) then
				obj.set(editbox:GetText() or "");
			end
		end);
	elseif ( obj.click and type(obj.click) == 'function' ) then
		button:SetScript("OnClick",obj.click);
	else
		button:SetScript("OnClick",nil);
	end
	
	if ( obj.tooltip and obj.tooltip~="" ) then
		button:SetScript("OnEnter",function ()
			GameTooltip:SetOwner(this, "ANCHOR_BOTTOMRIGHT");
			GameTooltip:SetText(obj.tooltip, nil, nil, nil, nil, 1);
		end);
		button:SetScript("OnLeave",function () GameTooltip:Hide(); end);
	else
		button:SetScript("OnEnter",nil);
		button:SetScript("OnLeave",nil);
	end
	button:Show();
end

-- Slider
function Blink_DrawSlider(slider,obj)

	local string = getglobal(slider:GetName().."Text");
	local minText = getglobal(slider:GetName().."Low");
	local maxText = getglobal(slider:GetName().."High");
	local valueText = getglobal(slider:GetName().."Value");

	slider:SetScript("Onshow",nil);
	slider:SetScript("OnValueChanged",nil);
	slider:SetScript("OnEnter",nil);
	slider:SetScript("OnLeave",nil);

	slider:ClearAllPoints();
	if ( not obj.anchor ) then
		slider:SetPoint("RIGHT", slider:GetParent(), "RIGHT", -15, 0);
	elseif ( type(obj.anchor)=='table' ) then
		if ( obj.anchor.frame and obj.anchor.point and obj.anchor.relate ) then
			if ( obj.anchor.frame == "parent" ) then
				slider:SetPoint(obj.anchor.point, slider:GetParent(), obj.anchor.relate, -15, 0);
			else
				slider:SetPoint(obj.anchor.point, slider:GetParent():GetName()..obj.anchor.frame , obj.anchor.relate, -15, 0);
			end
		else
			slider:SetPoint("RIGHT", slider:GetParent(), "RIGHT", -15, 0);
		end
	else
		slider:SetPoint("RIGHT", slider:GetParent(), "RIGHT", -15, 0);
	end

	if ( obj.width and type(obj.width)=='number' ) then
		slider:SetWidth(obj.width);
	else
		slider:SetWidth(128);
	end

	if ( obj.min and obj.max ) then
		slider:SetMinMaxValues(obj.min, obj.max);
	else
		slider:SetMinMaxValues(0, 100);
	end

	if ( obj.step ) then
		slider:SetValueStep(obj.step);
	else
		slider:SetValueStep(1);
	end

	slider:SetScript("OnShow",function ()
		if ( obj.get and type(obj.get)=='function' ) then
			local sliderMin, sliderMax = this:GetMinMaxValues();
			this:SetValue(obj.get() or sliderMin);
		else
			local sliderMin, sliderMax = this:GetMinMaxValues();
			this:SetValue(sliderMin);
		end
	end);

	if ( obj.text ) then
		string:SetText(obj.text);
	else
		string:SetText("");
	end
	
	if ( obj.mintext ) then
		minText:SetText(obj.mintext);
	else
		minText:SetText("");
	end
	
	if ( obj.maxtext ) then
		maxText:SetText(obj.maxtext);
	else
		maxText:SetText("");
	end

	if ( obj.get and type(obj.get)=='function' ) then
		valueText:SetText(obj.get());
	else
		valueText:SetText("");
	end
	
	if ( obj.set and type(obj.set)=='function' ) then
		slider:SetScript("OnValueChanged",function ()
			obj.set(this:GetValue());
			getglobal(this:GetName().."Value"):SetText(this:GetValue());
		end);
	else
		slider:SetScript("OnValueChanged",nil);
	end
	
	if ( obj.tooltip and obj.tooltip~="" ) then
		slider:SetScript("OnEnter",function ()
			GameTooltip:SetOwner(this, "ANCHOR_BOTTOMRIGHT");
			GameTooltip:SetText(obj.tooltip, nil, nil, nil, nil, 1);
		end);
		slider:SetScript("OnLeave",function () GameTooltip:Hide(); end);
	else
		slider:SetScript("OnEnter",nil);
		slider:SetScript("OnLeave",nil);
	end

	slider:Show();
end

-- ColorSwatch
function Blink_DrawColorSwatch(colorswatch,obj)
	colorswatch:SetScript("OnClick",function ()
		CloseMenus();
		ColorPickerFrame:Hide();
		if ( obj.swatchFunc and type(obj.swatchFunc)=='function' ) then
			ColorPickerFrame.func = obj.swatchFunc;
		elseif ( obj.set and type(obj.set)=='function' ) then
			ColorPickerFrame.func = function (x)
				local r,g,b = ColorPickerFrame:GetColorRGB();
				getglobal(colorswatch:GetName().."NormalTexture"):SetVertexColor(r,g,b);
				colorswatch.r = r;
				colorswatch.g = g;
				colorswatch.b = b;
				obj.set({r=r,g=g,b=b});
			end;
			ColorPickerFrame.cancelFunc = function (prev)
				local r,g,b = prev.r, prev.g, prev.b;
				getglobal(colorswatch:GetName().."NormalTexture"):SetVertexColor(r,g,b);
				colorswatch.r = r;
				colorswatch.g = g;
				colorswatch.b = b;
				obj.set({r=r,g=g,b=b});
			end;
		end
		local color = obj.get();
		ColorPickerFrame:SetColorRGB(color.r, color.g, color.b);
		ColorPickerFrame.previousValues = {r = color.r, g = color.g, b = color.b, opacity = color.opacity};
		ColorPickerFrame:Show();
	end);

	if ( obj.get and type(obj.get)=='function' ) then
		local color = obj.get();
		colorswatch.r = color.r;
		colorswatch.g = color.g;
		colorswatch.b = color.b;
		getglobal(colorswatch:GetName().."NormalTexture"):SetVertexColor(colorswatch.r,colorswatch.g,colorswatch.b);
	else
		colorswatch.r = 1.0;
		colorswatch.g = 1.0;
		colorswatch.b = 1.0;
		getglobal(colorswatch:GetName().."NormalTexture"):SetVertexColor(colorswatch.r,colorswatch.g,colorswatch.b);
	end
	if ( obj.tooltip and obj.tooltip~="" ) then
		colorswatch:SetScript("OnEnter",function ()
			GameTooltip:SetOwner(this, "ANCHOR_BOTTOMRIGHT");
			GameTooltip:SetText(obj.tooltip, nil, nil, nil, nil, 1);
		end);
		colorswatch:SetScript("OnLeave",function () GameTooltip:Hide(); end);
	else
		colorswatch:SetScript("OnEnter",nil);
		colorswatch:SetScript("OnLeave",nil);
	end
	colorswatch:Show();
end

-- DropDown
function Blink_DrawDropDown(dropdown,obj)

	local function dropdown_initialize()
		local info;
		if ( not obj.options ) then
			return;
		end
		for key, value in pairs(obj.options) do
			info = {};
			if ( value.color ) then
				info.textR = value.color.r;
				info.textG = value.color.g;
				info.textB = value.color.b;
			end
			info.text = value.text;
			info.value = value.value;
			info.func = function ()
				UIDropDownMenu_SetSelectedValue(dropdown, this.value);
				if ( obj.set and type(obj.set)=='function' ) then
					obj.set(this.value);
				end
				CloseDropDownMenus();
			end;
			info.arg1 = value.arg1;
			info.arg2 = value.arg2;
--			info.func = value.func;
			info.tooltipTitle = value.tooltipTitle;
			info.tooltipText = value.tooltip;
			UIDropDownMenu_AddButton(info);
		end
	end;

	local dropdowntext = getglobal(dropdown:GetName().."Label");
	if ( obj.text ) then
		dropdowntext:SetText(obj.text);
	else
		dropdowntext:SetText("");
	end

	dropdown:SetScript("OnShow",function ()
		if ( obj.initialize and type(obj.initialize)=='function' ) then
			UIDropDownMenu_Initialize(this, obj.initialize);
		elseif ( obj.options and type(obj.options)=='table' ) then
			UIDropDownMenu_Initialize(this, dropdown_initialize);
		end
		if ( obj.get and type(obj.get)=='function' ) then
			UIDropDownMenu_SetSelectedValue(this, obj.get());
		end
	end);
	dropdown:Show();
end

-- EditBox
function Blink_DrawEditBox(editbox,obj)
	if ( obj.get and type(obj.get)=='function' ) then
		editbox:SetText(obj.get() or "");
	else
		editbox:SetText("");
	end
	if ( obj.set and type(obj.set)=='function' ) then
		editbox:SetScript("OnTextChanged",function ()
			local text = this:GetText();
			obj.set(text);
		end);
	end
	local editboxtext = getglobal(editbox:GetName().."Text");
	if ( obj.text ) then
		editboxtext:SetText(obj.text);
	else
		editboxtext:SetText("");
	end
	if ( obj.tooltip and obj.tooltip~="" ) then
		editbox:SetScript("OnEnter",function ()
			GameTooltip:SetOwner(this, "ANCHOR_BOTTOMRIGHT");
			GameTooltip:SetText(obj.tooltip, nil, nil, nil, nil, 1);
		end);
		editbox:SetScript("OnLeave",function () GameTooltip:Hide(); end);
	else
		editbox:SetScript("OnEnter",nil);
		editbox:SetScript("OnLeave",nil);
	end
	local button = getglobal(editbox:GetParent():GetName().."Button");
	if ( button:IsVisible() ) then
		editbox:SetPoint("RIGHT",button,"LEFT",-5,0);
	else
		editbox:SetPoint("RIGHT",editbox:GetParent(),"RIGHT",-5,0);
	end
	editbox:Show();
end

-------------------------------------------------------------------------------

function Blink_Category_OnClick(button)
	local index = this:GetID() + FauxScrollFrame_GetOffset(BlinkGUIFrameCategorysCategoryScrollFrame);
	Blink_Category_SetSelection(index);
	Blink_Category_Update();
end

function Blink_Category_SetSelection(index)
	if ( not index or index == 0 ) then
		BlinkGUIFrameConfigScrollFrame:Hide();
		return;
	end

	-- Get xml id
	local id = index - FauxScrollFrame_GetOffset(BlinkGUIFrameCategorysCategoryScrollFrame);

	Blink_SetSelectAddon(index);

	local titleButton = getglobal("BlinkGUIFrameCategorysTitle"..id);
	local addonname, isCategory, isExpanded = Blink_GetEntryInfo(index);

	if ( isCategory ) then
		if ( isExpanded ) then
			Blink_CollapseCategory(addonname);
		else
			Blink_ExpandCategory(addonname);
		end
		Blink_Update();
		return;
	else
		-- Set newly selected quest and highlight it
		local scrollFrameOffset = FauxScrollFrame_GetOffset(BlinkGUIFrameCategorysCategoryScrollFrame);
		if ( index > scrollFrameOffset and index <= (scrollFrameOffset + 27) and index <= Blink_GetNumCategoryEntries() ) then
			titleButton:LockHighlight();
			BlinkGUIFrameCategorysHighlightFrameSkillHighlight:SetVertexColor(titleButton.r, titleButton.g, titleButton.b);
			BlinkGUIFrameCategorysHighlightFrame:SetPoint("TOPLEFT", "BlinkGUIFrameCategorysTitle"..id, "TOPLEFT", 5, 0);
			BlinkGUIFrameCategorysHighlightFrame:Show();
		else
			--BlinkPrint("no include?");
		end
	end
	if ( index > Blink_GetNumCategoryEntries() ) then
		return;
	end
	Blink_Update();
end

function Blink_Category_Update()

	local offset = FauxScrollFrame_GetOffset(BlinkGUIFrameCategorysCategoryScrollFrame);
	local idx,realIdx;
	local numEntries = Blink_GetNumCategoryEntries();

	-- Scroll frame stuff
	FauxScrollFrame_Update(BlinkGUIFrameCategorysCategoryScrollFrame, numEntries, 27, BLINK_CATEGORY_HEIGHT );

	local title, normalText, highlightText, disabledText, highlight;
	local addonname, isCategory, isExpanded;
	for i=1, 27, 1 do
		title = getglobal("BlinkGUIFrameCategorysTitle"..i);
		normalText = getglobal("BlinkGUIFrameCategorysTitle"..i.."NormalText");
		highlightText = getglobal("BlinkGUIFrameCategorysTitle"..i.."HighlightText");
		disabledText = getglobal("BlinkGUIFrameCategorysTitle"..i.."DisabledText");
		highlight = getglobal("BlinkGUIFrameCategorysTitle"..i.."Highlight");
		idx = offset + i;
		if ( idx <= numEntries ) then
			addonname, isCategory, isExpanded = Blink_GetEntryInfo(idx);
--			BlinkPrint(idx.."/"..addonname);
			if ( isCategory ) then
				if ( addonname ) then
					title:SetText(addonname);
				else
					title:SetText("");
				end

				if ( isExpanded ) then
					title:SetNormalTexture("Interface\\Buttons\\UI-MinusButton-Up"); 
				else
					title:SetNormalTexture("Interface\\Buttons\\UI-PlusButton-Up");
				end
				highlight:SetTexture("Interface\\Buttons\\UI-PlusButton-Hilight");
			else
				title:SetText("  "..(addonname or ""));
				title:SetNormalTexture("");
				highlight:SetTexture("");
			end
			title.isCategory = isCategory;

			if ( isCategory ) then
				color = QuestDifficultyColor["header"];
			else
				color = NORMAL_FONT_COLOR;
			end
			title:SetTextColor(color.r, color.g, color.b);
			title.r = color.r;
			title.g = color.g;
			title.b = color.b;
			title:Show();

			-- Place the highlight and lock the highlight state
			if ( Blink_GetSelectedAddon() == addonname ) then
				BlinkGUIFrameCategorysHighlightFrame:SetPoint("TOPLEFT", "BlinkGUIFrameCategorysTitle"..i, "TOPLEFT", 0, 0);
				BlinkGUIFrameCategorysHighlightFrame:Show();
				title:LockHighlight();
			else
				title:UnlockHighlight();
			end
		else
			title:Hide();
		end
	end
end

function Blink_BuildCategoryEntries()
--	BlinkGUI.Categorys = {};
	if ( not BlinkGUI.ADDONS ) then
		return;
	end
	for idx, cat in pairs(BlinkGUI.Categorys) do
		cat.addons = {};
		cat.addonCount = 0;
		for name, addon in pairs(BlinkGUI.ADDONS) do
			if ( addon.category == cat.name ) then
				local _addon = {
					name = name,
					isSelected = 0,
				};
				table.insert(cat.addons, _addon);
				cat.addonCount = cat.addonCount + 1;
			end
		end
	end
end

function Blink_SetupEntries()
--	BlinkGUI.Entries = {};
	for key in pairs(BlinkGUI.Entries) do
		BlinkGUI.Entries[key] = nil;
	end
	local firstSelected,entry;
	for idx, cat in pairs(BlinkGUI.Categorys) do
		entry = {
			name = cat.name,
			isCategory = 1,
			isExpanded = cat.isExpanded,
		};
		table.insert(BlinkGUI.Entries, entry);
		if ( cat.isExpanded ) then
			for _, addon in pairs(cat.addons) do
				if ( not firstSelected ) then
					firstSelected = addon.name;
				end
				entry = {
					name = addon.name,
					isSelected = (BlinkGUIFrame.selected == addon.name or nil),
				};
				table.insert(BlinkGUI.Entries, entry);
			end
		end
	end
	if ( not BlinkGUIFrame.selected ) then
		BlinkGUIFrame.selected = firstSelected;
	end
end

function Blink_GetNumCategoryEntries()
	return #BlinkGUI.Entries or 0;
end

function Blink_GetEntryInfo(index)
	if ( not BlinkGUI.Entries ) then
		return;
	end
	if ( #BlinkGUI.Entries == 0 ) then
		return;
	end
	local current = 0;
	for idx, entry in pairs(BlinkGUI.Entries) do
		if ( idx == index ) then
			return entry.name, entry.isCategory, entry.isExpanded;
		end
	end
	return nil,nil,nil;
end

function Blink_GetSelectedAddon()
	if ( BlinkGUIFrame.selected ) then
		return BlinkGUIFrame.selected;
	end
	if ( not BlinkGUI.Entries ) then
		return;
	end
	for idx,entry in pairs(BlinkGUI.Entries) do
		if ( not entry.isCategory ) then
			BlinkGUIFrame.selected = entry.name;
			return entry.name;
		end
	end
end

function Blink_SetSelectAddon(addonidx)
	if ( not BlinkGUI.Entries ) then
		return;
	end
	if ( #BlinkGUI.Entries == 0 ) then
		return;
	end
	for idx,entry in pairs(BlinkGUI.Entries) do
		if ( entry.isSelected ) then
			entry.isSelected = nil;
		end
		if ( idx == addonidx ) then
			entry.isSelected = 1;
			BlinkGUIFrame.selected = entry.name;
		end
	end
end

function Blink_ExpandCategory(category)
	if ( not BlinkGUI.Categorys ) then
		return;
	end
	if ( #BlinkGUI.Categorys == 0 ) then
		return;
	end
	for idx=1, #BlinkGUI.Categorys do
		if ( BlinkGUI.Categorys[idx].name == category ) then
			BlinkGUI.Categorys[idx].isExpanded = 1;
		end
	end
	Blink_SetupEntries();
end

function Blink_CollapseCategory(category)
	if ( not BlinkGUI.Categorys ) then
		return;
	end
	if ( #BlinkGUI.Categorys == 0 ) then
		return;
	end
	for idx=1, #BlinkGUI.Categorys do
		if ( BlinkGUI.Categorys[idx].name == category ) then
			BlinkGUI.Categorys[idx].isExpanded = nil;
		end
	end
	Blink_SetupEntries();
end

