﻿-------------------------------------------------------------------------------
--
--  Mod Name : BlinkWhoAreYou v1.1
--  Author   : Blink
--  Date     : 2006/??/??
--  LastUpdate : 2007/02/06
--
-------------------------------------------------------------------------------

local BWAY_Original_UnitFrame_OnEnter = nil;
local loAF_ToolTip_OnMouseOver = nil;
local loTooltipsBase_UnitHandler = nil;
local memoColor = {r=0.8, g=0.8, b=0.8};
local currentShowing = nil;

function BlinkWhoAreYou_OnLoad()
	BlinkWhoAreYouDB = {};
	BWAY_Hooks();
	BWAY_Register();
end

function BWAY_Hooks()
	ChatFrame1:AddMessage("BWAY_Hooks Load.");

	-- 2.0.3 버전 이상에서 작동
	local gtottsu = GameTooltip:GetScript("OnTooltipSetUnit");
	GameTooltip:SetScript("OnTooltipSetUnit",function ()
		gtottsu();
		local name = this:GetUnit();
		if ( name and BlinkWhoAreYouDB[name] ) then
			GameTooltip:AddLine(BlinkWhoAreYouDB[name], memoColor.r, memoColor.g, memoColor.b, 1);
			currentShowing = name;
			--GameTooltip:Show();
		end
	end);

	BWAY_Original_UnitFrame_OnEnter = UnitFrame_OnEnter;
	UnitFrame_OnEnter = function (frame)
		BWAY_Original_UnitFrame_OnEnter(frame);
		if ( UnitExists(this.unit) ) then
			local name = UnitName(this.unit);
			if ( BlinkWhoAreYouDB[name] and name ~= currentShowing ) then
				GameTooltip:AddLine(BlinkWhoAreYouDB[name], memoColor.r, memoColor.g, memoColor.b, 1);
				GameTooltip:Show();
--				currentShowing = name;
			end
		end
	end

	BWAY_Original_UnitFrame_OnLeave = UnitFrame_OnLeave;
	UnitFrame_OnLeave = function (frame)
		BWAY_Original_UnitFrame_OnLeave(frame);
		currentShowing = nil;
	end

--	BWAY_Original_TargetFrameHealthBar_OnEnter = TargetFrameHealthBar:GetScript("OnEnter");
--	TargetFrameHealthBar:SetScript("OnEnter",function ()
--		BWAY_Original_TargetFrameHealthBar_OnEnter();
--		if ( this:GetParent() == TargetFrame ) then
--			if ( UnitExists(TargetFrame.unit) ) then
--				local name = UnitName(TargetFrame.unit);
--				if ( BlinkWhoAreYouDB[name] ) then
--					GameTooltip:AddLine(BlinkWhoAreYouDB[name], memoColor.r, memoColor.g, memoColor.b, 1);
--					GameTooltip:Show();
--				end
--			end
--		end
--	end);
--	BWAY_Original_TargetFrameManaBar_OnEnter = TargetFrameManaBar:GetScript("OnEnter");
--	TargetFrameManaBar:SetScript("OnEnter",function ()
--		BWAY_Original_TargetFrameManaBar_OnEnter();
--		if ( this:GetParent() == TargetFrame ) then
--			if ( UnitExists(TargetFrame.unit) ) then
--				local name = UnitName(TargetFrame.unit);
--				if ( BlinkWhoAreYouDB[name] ) then
--					GameTooltip:AddLine(BlinkWhoAreYouDB[name], memoColor.r, memoColor.g, memoColor.b, 1);
--					GameTooltip:Show();
--				end
--			end
--		end
--	end);

	for i=1, 10 do
		getglobal("FriendsFrameFriendButton"..i):SetScript("OnEnter",BWAY_FriendButton_OnEnter);
		getglobal("FriendsFrameFriendButton"..i):SetScript("OnLeave",BWAY_Button_OnLeave);
	end
	for i=1, 20 do
		getglobal("FriendsFrameIgnoreButton"..i):SetScript("OnEnter",BWAY_FriendIgnoreButton_OnEnter);
		getglobal("FriendsFrameIgnoreButton"..i):SetScript("OnLeave",BWAY_Button_OnLeave);
	end
	for i=1, 17 do
		getglobal("WhoFrameButton"..i):SetScript("OnEnter",BWAY_WhoFrameButton_OnEnter);
		getglobal("WhoFrameButton"..i):SetScript("OnLeave",BWAY_Button_OnLeave);
	end
	for i=1, 13 do
		local prev_onenter = getglobal("GuildFrameButton"..i):GetScript("OnEnter");
		getglobal("GuildFrameButton"..i):SetScript("OnEnter",function ()
			prev_onenter();
			BWAY_GuildFrameButton_OnEnter();
		end);
	end

--	-- for AF_Tooltip1.7 Addon
--	if ( AF_ToolTip_OnMouseOver ) then
--		loAF_ToolTip_OnMouseOver = AF_ToolTip_OnMouseOver;
--		AF_ToolTip_OnMouseOver = function ()
--			loAF_ToolTip_OnMouseOver();
--			if BlinkWhoAreYouDB[UnitName("mouseover")] then
--				GameTooltip:AddLine(BlinkWhoAreYouDB[UnitName("mouseover")], memoColor.r, memoColor.g, memoColor.b, 1);
--				GameTooltip:Show();
--			end
--		end
--	-- for AF_Tooltip5.8x Addon
--	elseif ( aftt_format ) then
--		loaftt_format = aftt_format;
--		aftt_format = function (unit)
--			loaftt_format(unit);
--			if BlinkWhoAreYouDB[UnitName(unit)] then
--				GameTooltip:AddLine(BlinkWhoAreYouDB[UnitName(unit)], memoColor.r, memoColor.g, memoColor.b, 1);
--				GameTooltip:Show();
--			end
--		end
--	end
--
--	-- for Hanulari_TooltipsBase Addon
--	if ( TooltipsBase_UnitHandler ) then
--		loTooltipsBase_UnitHandler = TooltipsBase_UnitHandler;
--		TooltipsBase_UnitHandler = function (type)
--			loTooltipsBase_UnitHandler(type);
--			if BlinkWhoAreYouDB[UnitName("mouseover")] then
--				GameTooltip:AddLine(BlinkWhoAreYouDB[UnitName("mouseover")], memoColor.r, memoColor.g, memoColor.b, 1);
--				GameTooltip:Show();
--			end
--		end
--	end
--
--	-- for bRaid Addon
--	if ( bRaid_OnEnter ) then
--		lobRaid_OnEnter = bRaid_OnEnter;
--		bRaid_OnEnter = function (self)
--			lobRaid_OnEnter(self);
--			if BlinkWhoAreYouDB[UnitName(self.unit)] then
--				GameTooltip:AddLine(BlinkWhoAreYouDB[UnitName(self.unit)], memoColor.r, memoColor.g, memoColor.b, 1);
--				GameTooltip:Show();
--			end
--		end
--	end
--
--	-- for BlinkToT Addon
--	if ( BlinkToT_OnEnter ) then
--		loBlinkToT_OnEnter = BlinkToT_OnEnter;
--		BlinkToT_OnEnter = function ()
--			loBlinkToT_OnEnter();
--			if BlinkWhoAreYouDB[UnitName("targettarget")] then
--				GameTooltip:AddLine(BlinkWhoAreYouDB[UnitName("targettarget")], memoColor.r, memoColor.g, memoColor.b, 1);
--				GameTooltip:Show();
--			end
--		end
--	end
end

function BWAY_Button_OnLeave()
	GameTooltip:Hide();
end

function BWAY_FriendButton_OnEnter()
	local name = GetFriendInfo(this:GetID());
	if ( BlinkWhoAreYouDB[name] ) then
		GameTooltip:SetOwner(this, "ANCHOR_BOTTOMRIGHT");
		GameTooltip:SetText("누구냐넌", NORMAL_FONT_COLOR.r, NORMAL_FONT_COLOR.g, NORMAL_FONT_COLOR.b);
		GameTooltip:AddLine(BlinkWhoAreYouDB[name], memoColor.r, memoColor.g, memoColor.b);
		GameTooltip:Show();
	end
end

function BWAY_FriendIgnoreButton_OnEnter()
	local name = GetIgnoreName(this:GetID());
	if ( BlinkWhoAreYouDB[name] ) then
		GameTooltip:SetOwner(this, "ANCHOR_BOTTOMRIGHT");
		GameTooltip:SetText("누구냐넌", NORMAL_FONT_COLOR.r, NORMAL_FONT_COLOR.g, NORMAL_FONT_COLOR.b);
		GameTooltip:AddLine(BlinkWhoAreYouDB[name], memoColor.r, memoColor.g, memoColor.b);
		GameTooltip:Show();
	end
end

function BWAY_WhoFrameButton_OnEnter()
	local name = getglobal("WhoFrameButton"..this:GetID().."Name"):GetText();
	if ( BlinkWhoAreYouDB[name] ) then
		GameTooltip:SetOwner(this, "ANCHOR_BOTTOMRIGHT");
		GameTooltip:SetText("누구냐넌", NORMAL_FONT_COLOR.r, NORMAL_FONT_COLOR.g, NORMAL_FONT_COLOR.b);
		GameTooltip:AddLine(BlinkWhoAreYouDB[name], memoColor.r, memoColor.g, memoColor.b);
		GameTooltip:Show();
	end
end

function BWAY_GuildFrameButton_OnEnter()
	local name = getglobal(this:GetName().."Name"):GetText();
	if ( BlinkWhoAreYouDB[name] ) then
		GameTooltip:AddLine(BlinkWhoAreYouDB[name], memoColor.r, memoColor.g, memoColor.b);
		GameTooltip:Show();
	end
end

function BWAY_Register()
	if ( not BlinkMod_RegisterMenu ) then
		return;
	end

	local info;

	-- parent = PARTY
	info = {};
	info.parentkey = "PARTY";
	info.key = "BWAYMEMOPARTY";
	info.text = "누구냐넌";
	info.tooltipTitle = "누구냐넌"
	info.tooltipText = "해당플레이어에 메모를 해둘수있습니다. 메모는 툴팁에 표시됩니다.";
	info.notCheckable = 1;
	info.ClickFunction = BWAY_BM_MemoClick;
	info.GetNameFunction = BWAY_BM_MemoName;
	BlinkMod_RegisterMenu( info, 1 );

	-- parent = FRIEND
	info = {};
	info.parentkey = "FRIEND";
	info.key = "BWAYMEMOFRIEND";
	info.text = "누구냐넌";
	info.tooltipTitle = "누구냐넌"
	info.tooltipText = "해당플레이어에 메모를 해둘수있습니다. 메모는 툴팁에 표시됩니다.";
	info.notCheckable = 1;
	info.ClickFunction = BWAY_BM_MemoClick;
	info.GetNameFunction = BWAY_BM_MemoName;
	BlinkMod_RegisterMenu( info, 1 );

	-- parent = RAID_PLAYER
	info = {};
	info.parentkey = "RAID_PLAYER";
	info.key = "BWAYMEMORAID";
	info.text = "누구냐넌";
	info.tooltipTitle = "누구냐넌"
	info.tooltipText = "해당플레이어에 메모를 해둘수있습니다. 메모는 툴팁에 표시됩니다.";
	info.notCheckable = 1;
	info.ClickFunction = BWAY_BM_MemoClick;
	info.GetNameFunction = BWAY_BM_MemoName;
	BlinkMod_RegisterMenu( info, 1 );

	-- parent = PLAYER
	info = {};
	info.parentkey = "PLAYER";
	info.key = "BWAYMEMOPLAYER";
	info.text = "누구냐넌";
	info.tooltipTitle = "누구냐넌"
	info.tooltipText = "해당플레이어에 메모를 해둘수있습니다. 메모는 툴팁에 표시됩니다.";
	info.notCheckable = 1;
	info.ClickFunction = BWAY_BM_MemoClick;
	info.GetNameFunction = BWAY_BM_MemoName;
	BlinkMod_RegisterMenu( info, 1 );

	-- parent = NPC enemy
	info = {};
	info.parentkey = "NPC";
	info.key = "BWAYMEMONPC";
	info.text = "누구냐넌";
	info.tooltipTitle = "누구냐넌"
	info.tooltipText = "NPC 메모를 해둘수있습니다. 메모는 툴팁에 표시됩니다.";
	info.notCheckable = 1;
	info.ClickFunction = BWAY_BM_MemoClick;
	info.GetNameFunction = BWAY_BM_MemoName;
	BlinkMod_RegisterMenu( info, 1 );

	-- parent = ENEMY player
	info = {};
	info.parentkey = "ENEMY";
	info.key = "BWAYMEMOENEMY";
	info.text = "누구냐넌";
	info.tooltipTitle = "누구냐넌"
	info.tooltipText = "적플레이어에 메모를 해둘수있습니다. 메모는 툴팁에 표시됩니다.";
	info.notCheckable = 1;
	info.ClickFunction = BWAY_BM_MemoClick;
	info.GetNameFunction = BWAY_BM_MemoName;
	BlinkMod_RegisterMenu( info, 1 );

end

function BWAY_BM_MemoClick( dropdownFrame )
	local name;
	if ( dropdownFrame.unit ) then
		name = UnitName(dropdownFrame.unit);
	elseif ( dropdownFrame.name ) then
		name = dropdownFrame.name;
	end
	BlinkWhoAreYouFrame.name = name;
	BlinkWhoAreYouFrame:Show();
end

function BWAY_BM_MemoName(txt,dropdownMenu)
	if ( dropdownMenu.unit ) then
		if ( BWAY_GetWhoAreYou(UnitName(dropdownMenu.unit)) ~= "" ) then
			return "누구냐넌 : 편집";
		end
	elseif ( dropdownMenu.name ) then
		if ( BWAY_GetWhoAreYou(dropdownMenu.name) ~= "" ) then
			return "누구냐넌 : 편집";
		end
	end
	return "누구냐넌";
end

function BWAY_SetWhoAreYou(name,memo)
	if ( not BlinkWhoAreYouDB ) then
		BlinkWhoAreYouDB = {};
	end
	if ( not name or name == "" ) then
		return;
	end
	if ( not memo or memo == "" ) then
		BlinkWhoAreYouDB[name] = nil;
	else
		BlinkWhoAreYouDB[name] = memo;
	end
end

function BWAY_GetWhoAreYou(name)
	if ( not BlinkWhoAreYouDB ) then
		return "";
	end
	if ( not name or name == "" ) then
		return "";
	end
	return BlinkWhoAreYouDB[name] or "";
end

-------------------------------------------------------------------------------
-- BlinkWhoAreYouFrame_OnFoo
-------------------------------------------------------------------------------

function BlinkWhoAreYouFrame_OnShow()
	if ( not this.name or this.name=="" ) then
		this:Hide();
		return;
	end
	getglobal(this:GetName().."Title"):SetText(this.name.."님의 메모");
	local memo = BWAY_GetWhoAreYou(this.name);
	if ( strlen(memo)>0 ) then
		BWAYDeleteButton:Enable();
	else
		BWAYDeleteButton:Disable();
	end
	BWAYEditBox:SetText(memo);
	BWAYOkayButton_Update();
end

function BlinkWhoAreYouFrame_OnHide()
	BWAYEditBox:SetText("");
	this.name = nil;
end

function BWAYOkayButton_OnClick()
	local memo = BWAYEditBox:GetText();
	BWAY_SetWhoAreYou(BlinkWhoAreYouFrame.name,memo);
	BWAYOkayButton_Update();
	BlinkWhoAreYouFrame:Hide();
end

function BWAYOkayButton_Update()
	if ( strlen(BWAYEditBox:GetText()) > 0) then
		BWAYOkayButton:Enable();
	else
		BWAYOkayButton:Disable();
	end
end

function BWAYDeleteButton_OnClick()
	BWAY_SetWhoAreYou(BlinkWhoAreYouFrame.name,nil);
	BlinkWhoAreYouFrame:Hide();
end
