if GetLocale() ~= "frFR" then return end

-- fr translations provided by pingouin47
CappingLocale:CreateLocaleTable({
	-- battlegrounds
	["Alterac Valley"] = "Vall\195\169e d'Alterac", 
	["Arathi Basin"] = "Bassin d'Arathi", 
	["Warsong Gulch"] = "Goulet des Chanteguerres",
	["Arena"] = "Ar\195\168ne",
	["Eye of the Storm"] = "Oeil du Cyclone",

	-- factions
	--["Alliance"] = "Alliance",
	--["Horde"] = "Horde",
	
	-- options menu
	["Enable"] = "Activ\195\169",
	["Auto quest turnins"] = "Suivi de qu\195\168te auto.",
	["Enable Alterac Valley automatic quest turnins"] = "Activ\195\169 auto. le suivi des qu\195\168tes de la Vall\195\169 d'Alterac",
	["Bar"] = "Barre",
	["Statusbar options"] = "Option de la barre de status",
	["Font size"] = "Taille de la police",
	["Change statusbar font size"] = "Changer taille de la police de la barre de status",
	["Width"] = "Largeur",
	["Change statusbar width"] = "Changer largeur de la barre de status",
	["Height"] = "Hauteur",
	["Change statusbar thickness"] = "Changer hauteur de la barre de status",
	["Scale"] = "Echelle",
	["Change statusbar scale"] = "Change l'\195\169chelle de la barre de status",
	["Texture"] = "Texture",
	["Statusbar textures"] = "Textures des barre de status",
	["Other"] = "Autre",
	["Other options"] = "Autres options",
	["Auto show map"] = "Affichage auto. de la carte",
	["Auto show the battlefield minimap on entry"] = "Afficher auto. la carte du Champ de Bataille \195\160 l'entr\195\169e",
	["Map scale"] = "Echelle de la carte",
	--["Hide border"] = true,
	["Change the default scale of the battlefield minimap"] = "Changer l'\195\169chelle par d\195\169faut de la carte du Champ de Bataille",
	["Port Timer"] = "Port Timer",
	["Enable timers for port expiration"] = "Activer timers pour l'expiration du Port",
	["Wait Timer"] = "Timers d'attente",
	["Enable timers for queue wait time"] = "Activer timers pour la file d'attente",
	["Show/Hide Anchor"] = "Montrer/cancher l'anre",
	["Show/Hide the bars anchor (can also left-click a statusbar)"] = "Montrer/Cacher l'ancre des barres (faisable en clic-gauche sur une barre de status)",
	["Toggle class color"] = "Basculer l'affichage de la couleur des classes",
	["Enable/disable class color indicators on the scoreboard"] = "Active/D\195\169sactive l'indicateur de la couleur de clase sur le tableau des scores",
	["Narrow map mode"] = "Carte en mode retr\195\169cit",
	["Narrow the battlefield minimap, removing some empty space"] = "Retr\195\169cit la minicarte du Champ de Bataille, en enlevant l'esapce vide",
	["Test"] = "Test",
	["Start a test bar"] = "Commencer barre de test",
	["Reverse fill"] = "Remplissage invers\195\169",
	["Set statusbars to fill up instead of depleting"] = "Les barre de status se rempliront au lieu de se vider",
	-- ["Flip growth"] = true,
	--["Set objective timers to grow up and misc timers to grow down"] = true,
	["Reposition Scoreboard"] = "Repositionner le tableau de score",
	["Move the scoreboard to the Capping anchor's CURRENT position"] = "Place le tableau de score sur la position ACTUELLE de l'ance de Capping",
	["Battlefield Minimap"] = "Minicarte du Champ de Bataille",
	["Options for the battlefield minimap"] = "Options pour la minicarte du Champ de Bataille",
	["Colors"] = "Couleurs",
	["Color options. Must reload UI to take effect."] = "L'UI doit \195\168tre recharg\195\169e pour que les options des couleurs prennent effet",
	--["Icons"] = true,
	--["Bar icons display options"] = true,
	--["Spacing"] = true,
	--["Request sync"] = true,
	--["LEFT"] = true,
	--["RIGHT"] = true,
	--["HIDE"] = true,
	
	
	-- etc timers
	["Port: %s"] = "Port : %s", -- bar text for time remaining to port into a bg
	["Queue: %s"] = "File : %s",
	["Battleground Begins"] = "D\195\169but du Champ de Bataille", -- bar text for bg gates opening (why can't they all be the same?)
	["1 minute"] = "1 minute",
	["30 seconds"] = "30 secondes",
	["One minute until"] = "commence dans une minute",
	["Thirty seconds until"] = "commence dans trente secondes",
	["Fifteen seconds until"] = "commence dans quinze secondes",
	["%s: %s - %s remaining"] = "%s : %s - %s restantes", -- chat message after shift left-clicking a bar
	
	-- AB
	["Bases: (%d+)  Resources: (%d+)/2000"] = "Bases\194\160: (%d+)  Ressources: (%d+)/2000",	 -- arathi basin scoreboard
	["Farm"] = "Ferme",
	["Lumber Mill"] = "Scierie",
	["Blacksmith"] = "Forge",
	["Mine"] = "Mine",
	["Stables"] = "\195\137curie",
	["has assaulted"] = "a attaqu\195\169",
	["claims the"] = "a pris",
	["has taken the"] = "s'est empar\195\169e",
	["has defended the"] = "a defendu",
	["Final: 2000 - %d"] = "Score final : 2000 - %d", -- final score text
	["wins 2000-%d"] = "Victoire 2000 - %d", -- final score chat message
	
	-- WSG
	["was picked up by (.+)!"] = "a \195\169t\195\169 ramass\195\169 par (.+)\194\160!",
	["dropped"] = "a \195\169t\195\169 l\195\162ch\195\169",
	["captured the"] = "a pris",
	["Flag respawns"] = "R\195\169apparition des drapeaux",
	["%s's flag carrier: %s (%s)"] = "Porteur du drapeau %s : %s (%s)", -- chat message
	
	-- AV
	-- NPC
	["Smith Regzar"] = "Forgeron Regzar",
	["Murgot Deepforge"] = "Murgot Deepforge",
	["Primalist Thurloga"] = "Primaliste Thurloga",
	["Arch Druid Renferal"] = "Archidruide Renferal",
	--["Stormpike Ram Rider Commander"] = true,
	--["Frostwolf Wolf Rider Commander"] = true,
	
	-- patterns
	["avunderattack"] = "^(.+) est attaqu", -- [%w ]+ works bad
	["avtaken"] = "^(.+) a \195\169t\195\169 pris",
	["avdestroyed"] = "^(.+) a \195\169t\195\169 d\195\169truit",
	["The "] = "L(%w) ",  -- le or la...
	["Snowfall Graveyard"] = "Cimeti\195\168re des neiges",
	["Tower"] = "Tour", -- Tour or tour...(strlower is used, doesn't matter)
	["Bunker"] = "Fortin", -- Fortin ou fortin...	
	-- ["Upgrade to"] = true, -- the option to upgrade units in AV    --Verification
	-- ["Wicked, wicked, mortals!"] = true, -- what Ivus says after being summoned --Verification
	-- ["WHO DARES SUMMON LOKHOLAR"] = true, -- what Lok says after being summoned --Verification
	["The Ice Lord has arrived!"] = "Le seigneur des glaces est arriv\195\169 !", --Verification
	["Lokholar begins moving"] = "Lokholar commence \195\160 bouger", --Verification	
	["Ivus begins moving"] = "Ivus commence \195\160 bouger", --Verification
	
   -- EotS
   --["^(.+) has taken the flag!"] = true,
   --["Bases: (%d+)  Victory Points: (%d+)/2000"] = true,

})