------------------------------------------------
--	ZoneList - 각 인던(Instance Dungeon) 이름
--	MobList  - 해당 인던의 보스(Boss)몹 이름
------------------------------------------------

--############################################--
--################# 아제로스 #################--
--############################################--

NuguDropZoneList_Orig = {
	[1] = "성난불길 협곡",	        -- Ragefire Chasm		13-22
	[2] = "통곡의 동굴",			-- The Wailing Caverns	15-28
	[3] = "죽음의 폐광",			-- The Deadmines		15-28
	[4] = "그림자 송곳니 성채",	-- Shadowfang Keep		18-32
	[5] = "검은심연의 나락",		-- Blackfathom Deeps	20-35
	[6] = "스톰윈드 지하감옥",		-- Stormwind Stockade	22-30
	[7] = "가시덩굴 우리",			-- Razorfen Kraul		24-40
	[8] = "놈리건",					-- Gnomeregan			24-40
	[9] = "붉은십자군 수도원",		-- Scarlet Monastery	29-45
	[10] = "가시덩쿨 구릉",			-- Razorfen Downs		33-47
	[11] = "울다만",				-- Uldaman				35-52
	[12] = "줄파락",				-- Zul'Farrak			43-54
	[13] = "마라우돈",				-- Maraudon				40-58
	[14] = "아탈학카르 신전",		-- The Temple of Atal'Hakkar	44-60
	[15] = "검은바위나락",			-- Blackrock Depths		48-60
	[16] = "혈투의전장(동)",		-- Dire Maul(E)			54-61
	[17] = "혈투의전장(북)",		-- Dire Maul(N)
	[18] = "혈투의전장(서)",		-- Dire Maul(W)
	[19] = "혈투의전장(투기장)",
	[20] = "스트라솔름",			-- Stratholme			56-61
	[21] = "스칼로맨스",			-- Scholomance			56-61
	[22] = "검은바위첨탑(하층)",	-- Blackrock Spire Lower	52-61
	[23] = "검은바위첨탑(상층)",	-- Blackrock Spire Upper
	[24] = "오닉시아의 둥지<공>",	-- Onyxia's Lair
	[25] = "화산심장부<공>",		-- Molten Core
	[26] = "검은날개둥지<공>",		-- Blackwing Lair
	[27] = "줄구룹<공>",			-- Zul'Gurub
	[28] = "안퀴라즈(폐허)<공>",	-- The Ruin's of Ahn'Qiraj
	[29] = "안퀴라즈(사원)<공>",	-- Temple of Ahn'Qiraj
	[30] = "낙스라마스<공>",		-- Naxxramas
	[31] = "기타(아제로스)",
}

NuguDropMobList_Orig = {
	["성난불길 협곡"]={"기원사 제로쉬", "욕망의 타라가만", "퀘스트 보상"},
	["통곡의 동굴"]={"보안", "돌연변이 요정용(희귀)", "크레쉬", "여군주 아나콘드라", "군주 코브란", "군주 피타스",
				"군주 서펜디스", "걸신들린 무타누스", "스컴", "채찍꼬리 트리고어", "영생의 베르단", "퀘스트 보상", "독사의 은총 세트"},
	["죽음의 폐광"]={"광부 존슨(희귀)", "마리사 두페이지(희귀)", "라크조르", "벌목공 스니드", "스니드의 벌목기",
				"제련공 길니드", "일등항해사 미스터 스마이트", "세뇌당한 귀족(희귀)", "주방장 쿠키",
				"선장 그린스킨", "데피아즈단 두목 에드윈 벤클리프", "일반몹", "퀘스트 보상"},
	["그림자 송곳니 성채"]={"레실고어", "도살자 칼날발톱", "남작 실버레인", "사령관 스프링베일", "죽음의 경비대장(희귀)",
				"눈먼 감시자 오도", "파멸의 펜루스", "늑대왕 난도스", "살육의 괴물(현존X)", "대마법사 아루갈", "일반몹", "퀘스트 보상"},
	["검은심연의 나락"]={"가무라", "여왕 사레베스", "갤리하스트",
				"늙은 세라키스", "황혼의 군주 캘리스", "아쿠마이", "일반몹", "퀘스트 보상"},
	["스톰윈드 지하감옥"]={"브루갈 아이언너클(희귀)", "퀘스트 보상"},
	["가시덩굴 우리"]={"저주의가시 아겜", "대지술사 함가르 (희귀)", "대군주 램터스크",
				"죽음의 예언자 잘그바", "흉포한 아가테로스", "장님 사냥꾼(희귀)", "서슬깃 차를가", "일반몹", "퀘스트 보상"},
	["놈리건"]		={"그루비스", "방사성 폐기물", "고철 압축기 9-60", "기계화 문지기 6000", "검은무쇠단 사절(희귀)",
				"맥기니어 텔마플러그", "일반몹", "퀘스트 보상"},
	["붉은십자군 수도원"]={"사냥개조련사 록시", "신비술사 도안", "타락한 용사(희귀)", "잠들지 않는 아즈쉬르(희귀)",
				"무쇠해골(희귀)", "혈법사 탈노스", "냉소의 영혼(현존X)", "심문관 비샤스", "붉은십자군 용사 헤로드", "종교재판관 패어뱅크스",
				"붉은십자군 사령관 모그레인", "종교재판관 화이트메인", "일반몹", "퀘스트 보상", "붉은십자군 세트"},
	["가시덩쿨 구릉"]={"거미왕 투텐카쉬", "게걸먹보", "불꽃눈 모드레쉬", "귀부인 팔데리스(현존X)", "너덜주둥이(희귀)",
				"썩어가는 역병아귀(호위퀘)", "혹한의 암네나르", "일반몹", "퀘스트 보상"},
	["울다만"]		={"레벨로쉬", "고대 바위 문지기", "발굴단장 쇼밸플렌지(희귀)", "아이로나야", "벨로그(only 호드)", "올라프(only 호드)",
				"날쌘돌이 에릭(only 호드)","갈간 파이어해머", "그림로크", "아카에다스", "일반몹", "퀘스트 보상"},
	["줄파락"]		={"더스트레이스(희귀)", "제릴리스(희귀)", "가즈릴라", "어둠의 사제 세즈시즈", "족장 우코르즈 샌드스칼프",
	                        "의술사 줌라", "안투술", "네임드 공통", "술트라제","퀘스트 보상"},
	["마라우돈"]	={"녹시온", "군주 바일텅", "정원사 메슬로크(희귀)", "저주받은 셀레브라스", "칼날채찍", "산사태",
				"썩은아귀", "땜장이 기즐록", "공주 테라드라스", "퀘스트 보상"},
	["아탈학카르 신전"]	 = {"학카르의 피조물", "아탈알라리온", "6트롤", "4용(드/위/모/하)", "예언자 잠말란",
							"비운의 오그옴", "학카르의 화신", "에라니쿠스의 사령", "일반몹", "퀘스트 보상"},
	["검은바위나락"]	 = {"멸망의 파이론", "벨가르", "대심문관 게르스탄", "텔드렌과 검투사들(퀘소환)","적출자(늑대인간)",
				"그리즐(늪정령)", "파괴자 오크토르(오우거)", "헤드럼(거미)", "아눕쉬아(거미)", "고로쉬(오크 검투사)", "사냥개조련사 그렙마르",
				"불의군주 록코르", "화염술사 로어그레인(희귀)", "베레크", "문지기 스틸기스", "보초 둠그립/금고",
				"수석 건축가 파이너스 다크바이어", "불의군주 인센디우스", "사령관 앵거포지", "골렘군주 아젤마크",
				"헐레이 블랙브레스", "리블리 스크류스피곳", "플러거 스파즈링", "팔란스", "사자 화염채찍", "무적의 판저(희귀)", "7명의 문지기",
				"마그무스", "공주 모이라 브론즈비어드", "제왕 다그란 타우릿산", "일반몹", "퀘스트 보상", "검투사 세트"},
	["혈투의전장(동)"]={"제브림 쏜후프", "히드로스폰", "레스텐드리스", "핌기브", "푸실린", "칼날바람 알진", "이살리엔(퀘소환)", "일반몹", "퀘스트 보상"},
	["혈투의전장(북)"]={"경비병 몰다르/슬립킥", "3경비병 공통", "천둥발 크리그", "대장 크롬크로쉬",
				"정찰병 초르쉬", "왕 고르독", "노트팀블잭의 상자", "공물함", "퀘스트 보상"},
	["혈투의전장(서)"]={"굽이나무 텐드리스", "마법학자 칼렌드리스", "일샨나 레이븐오크", "츄지(희귀)", "이몰타르",
				"군주 헬누라스(흑마퀘)", "레반치온(현존X)", "왕자 토르텔드린", "일반몹","루팅", "퀘스트 보상"},
	["혈투의전장(투기장)"]={"무적의 스카르/머쉬고그/라자"},
	["스트라솔름"]={"스컬(희귀)", "뾰족바위(희귀)", "하스싱어 포레스턴 (희귀)", "용서받지 못한 자", "남작부인 아나스타리",
			"집정관 발실라스",	"냉혈한 말레키", "네룹엔칸", "우체국장 말로운", "발자폰(현존X)", "먹보 람스타인", "잔혹한 티미", "포병대장 윌리", "기록관 갈포드", "발나자르", "자리엔/소도스(퀘소환)", "남작 리븐데어", "일반몹", "퀘스트 보상"},
	["스칼로맨스"]={"사자 키르토노스", "잔다이스 바로브", "마르두크 블랙풀", "벡투스", "라스 프로스트위스퍼", "코르모크(퀘소환)",
				"군주 블랙우드(현존X)", "들창어금니", "죽음의 기사 다크리버(퀘소환)", "6중간보스", "암흑스승 간들링", "일반몹", "퀘스트 보상"},
	["검은바위첨탑(하층)"]={"반노크 그림액스(희귀)", "불타는 지옥수호병(희귀)", "어둠사냥꾼 보쉬가진",
				"뾰족바위일족 전투대장(희귀)", "뾰족바위일족 학살자(희귀)", "뾰족바위의 군주 마구스", "대군주 오모크",
				"대장군 부네", "모르 그레이후프(퀘소환)", "수정 맹독거미(희귀)", "여왕 불그물거미", "우르크 둠하울",
				"할리콘", "고크 배시구드(희귀)", "흉악한 기즈룰", "병참장교 지그리스", "대군주 웜타라크", "일반몹", "퀘스트 보상"},
	["검은바위첨탑(상층)"]={"제드 룬와쳐(희귀)", "불의 수호자 엠버시어", "화염고리 솔라카르", "고랄루크 앤빌크랙","대족장 렌드 블랙핸드",
				"기스", "괴수", "군주 발타라크(퀘소환)", "사령관 드라키사스", "일반몹", "퀘스트 보상"},
	["오닉시아의 둥지<공>"]={"오닉시아"},
	["화산심장부<공>"]={"루시프론", "마그마다르", "게헨나스", "가르", "남작 게돈", "샤즈라", "설퍼론 사자", "초열의 골레마그",
				"청지기 이그젝큐투스", "라그나로스(Boss)", "나가형 중간보스(루/게/샤/설)", "중간보스(마/가/남/골)",
				"8네임드 공통", "일반몹", "퀘스트 보상"},
	["검은날개둥지<공>"]={"폭군 서슬송곳니", "타락의 벨라스트라즈", "용기대장 레쉬레이어", "화염아귀", "에본로크", "플레임고르",
				"비룡3형제 공통", "크로마구스", "네파리안(Boss)", "일반몹1(벨라 2층)", "일반몹2(화염아귀~에본로크)"},
	["줄구룹<공>"]={"대여사제 제클릭", "대사제 베녹시스", "대여사제 말리", "혈군주 만도키르", "(광란의경계)우슐레이",
			"(광란의경계)레나타키","(광란의경계)하자라", "(광란의경계)그리렉", "가즈란카", "대사제 데칼", "대여사제 알로크", "주술사 진도", "학카르(Boss)", "일반몹","모든보스공통", "퀘스트 보상","세트아이템(전사)","세트아이템(도적)","세트아이템(사제)","세트아이템(성기사)","세트아이템(마법사)","세트아이템(주술사)","세트아이템(사냥꾼)","세트아이템(흑마법사)","세트아이템(드루이드)"},
	["안퀴라즈(폐허)<공>"]={"쿠린낙스(1st)", "[장군의 정원]부대장들", "장군 라작스(2nd)", "먹보 부루(3rd)",
			"사냥꾼 아야미스(4th)", "모암(5th)", "무적의 오시리안(Boss)", "일반몹","세트아이템(전사)","세트아이템(도적)","세트아이템(사제)","세트아이템(성기사)","세트아이템(마법사)","세트아이템(주술사)","세트아이템(사냥꾼)","세트아이템(흑마법사)","세트아이템(드루이드)"},
	["안퀴라즈(사원)<공>"]={"예언자 스케람(1st)", "군주 크리(2nd)", "공주 야우즈(2nd)", "벰(2nd)", "크리/야우즈/벰 공통",
			"전투감시병 살투라(3rd)", "불굴의 판크리스(4th)",	"비시디우스(5th)", "공주 후후란(6th)", "제왕 베크닐라쉬(7th)", "제왕 베클로어(7th)", "아우로(8th)", "쑨(Boss)", "네임드 공통","일반몹","퀘스트 보상","세트아이템(전사)","세트아이템(도적)","세트아이템(사제)","세트아이템(성기사)","세트아이템(마법사)","세트아이템(주술사)","세트아이템(사냥꾼)","세트아이템(흑마법사)","세트아이템(드루이드)"},
	["낙스라마스<공>"]={"패치워크(골렘 전당 1st)","그라불루스(골렘 전당 2nd)","글루스(골렘 전당 3rd)","타디우스(골렘 전당 4th)",
			"아눕레칸(거미 전당 1st)","펠리나(거미 전당 2nd)","맥스나(거미 전당 3rd)",
			"라주비어스(기사단 전당 1st)","고딕(기사단 전당 2nd)","4인의 기사단(기사단 전당 3rd)",
			"노스(역병 전당 1st)","헤이건(역병 전당 2nd)","로데브(역병 전당 3rd)",
			"사피론","켈투자드(Boss)","네임드 공통","일반몹","퀘스트 보상",
			"Tier3(전사)","Tier3(도적)","Tier3(사제)","Tier3(성기사)","Tier3(마법사)","Tier3(주술사)",
			"Tier3(사냥꾼)","Tier3(흑마법사)","Tier3(드루이드)"},
	["기타(아제로스)"]={"디자인", "도면", "도안(재봉)","도안(가죽세공)", "주문식", "설계도", "조제법", "토템", "성서", "우상"},
}

--############################################--
--################ 아웃랜드 ##################--
--############################################--

NuguDropZoneList_Exp = {
-- 1. 지옥불 반도(58-63 레벨) : 던전 - 지옥불 성채
	[1] = {["Order"]=1, ["Title"]="지옥불 성채", ["Group"]={2, 3, 4, 5}},
	[2] = "지옥불 성루",			-- Hellfire Ramparts	-- 60~62
	[3] = "피의 용광로",			-- Blood Furnace 		-- 61~63
	[4] = "으스러진 손의 전당",		-- Shattered Halls		-- 70
	[5] = "마그테리돈의 둥지<공>",	-- Magtheridon's Lair   -- 72+
-- 2. 장가르 슾지대(60-64 레벨) : 던전 - 갈퀴송곳니 저수지
	[6] = {["Order"]=2, ["Title"]="갈퀴송곳니 저수지", ["Group"]={7, 8, 9, 10}},
	[7] = "강제 노역소",			-- The Slave Pens 		-- 62~64
	[8] = "지하수렁",				-- The Underbog 		-- 63~65
	[9] = "증기 저장고",			-- The Steamvault 		-- 70
	[10] = "불뱀 제단<공>", 		-- Serpentshrine Cavern -- 72+
-- 3. 테로카르 숲(62-65 레벨) : 던전 - 아킨둔
	[11] = {["Order"]=3, ["Title"]="아 킨 둔", ["Group"]={12, 13, 14, 15}},
	[12] = "마나 무덤",				-- Mana Tombs			-- 64~66
	[13] = "아키나이 납골당",		-- Auchenai Crypts		-- 65~67
	[14] = "세데크 전당",			-- Sethekk Halls		-- 67~69
	[15] = "어둠의 미궁",			-- Shadow Labyrinth		-- 70
-- 4. 나그란드(64-67 레벨)
-- 7. 황천의 폭풍(67-70 레벨) : 던전: 폭풍우 요새
	[16] = {["Order"]=4, ["Title"]="폭풍우 요새", ["Group"]={17, 18, 19, 20}},
	[17] = "메카나르",				-- Mechanar				-- 70
	[18] = "신록의 정원",			-- The Botanica			-- 70
	[19] = "알카트라즈",			-- The Arcatraz			-- 70
	[20] = "폭풍우 요새<공>",		-- Tempest Keep 		-- 72+
	[21] = {["Order"]=5, ["Title"]="공 격 대", ["Group"]={22, 23, 24, 25}},
-- 5. 칼날 산맥(65-68 레벨)
	[22] = "그룰의 둥지<공>",		-- Gruuls Lair  		-- 70+
-- 6. 어둠달 골짜기(67-70 레벨)
	[23] = "검은 사원<공>",			-- Black Temple			-- 72+
---- 기존 지역 추가 인던
-- 쿠엘탈라스
	[24] = "줄아만<공>",			-- Zul'Aman 			-- 70
-- 카라잔
	[25] = "카라잔<공>",			-- Karazhan
	[26] = {["Order"]=6, ["Title"]="시간의 동굴", ["Group"]={27, 28, 29}},
-- 시간의 동굴
	[27] = "옛 힐스브래드 구릉지",	-- Old Hillsbrad Foothills 	-- 66~68
	[28] = "검은늪",				-- Black Morass 		-- 69~72
	[29] = "하이잘 정상<공>",		-- Hyjal Summit			-- 72+
---- 제조법(아웃랜드)
	[30] = "기타(아웃랜드)",
	[31] = "필드퀘보상(아웃랜드)",
}

NuguDropMobList_Exp = {
-- 1. 지옥불 반도(58-63 레벨) : 던전 - 지옥불 성채
	["지옥불 성루"]			={"감시자 가르골마르","무적의 오모르", "바즈루덴&나잔", "일반몹", "퀘스트 보상"},
	["피의 용광로"]			={"재앙의 창조자", "브로고크", "파괴자 켈리단", "퀘스트 보상"},
	["으스러진 손의 전당"]	={"대흑마법사 네더쿠르스", "돌격대장 오므로그", "대족장 카르가스 블레이드피스트", "퀘스트 보상", "일반몹"},
	["마그테리돈의 둥지<공>"]={"마그테리돈", "퀘스트 보상"},
	["지옥불 성루<영웅>"]	={"감시자 가르골마르","무적의 오모르", "바즈루덴&나잔", "<보석>"},
	["피의 용광로<영웅>"]	={"재앙의 창조자", "브로고크", "파괴자 켈리단", "<보석>"},
	["으스러진 손의 전당<영웅>"]={"대흑마법사 네더쿠르스", "돌격대장 오므로그", "혈투사 포룽", "대족장 카르가스 블레이드피스트", "<보석>"},
-- 2. 장가르 슾지대(60-64 레벨) : 던전 - 갈퀴송곳니 저수지
	["강제 노역소"]			={"배반자 멘누", "딱딱이 로크마르", "쿠아그미란"},
	["지하수렁"]			={"헝가르펜", "가즈안", "늪군주 뮤즐레크", "검은 추적자", "퀘스트 보상"},
	["증기 저장고"]			={"풍수사 세스피아", "기계공학자 스팀리거", "장군 칼리스레쉬", "일반몹", "퀘스트 보상"},
	["불뱀 제단<공>"]		={"불안정한 히드로스", "심연의 잠복꾼",  "눈먼 레오테라스", "심연의 군주 카라드레스", "겅둥파도 모로그림",
							"여군주 바쉬(Boss)", "일반몹", "인던내 드랍(재봉)", "인던내 드랍(가죽세공)", "인던내 드랍(대장)"},
	["강제 노역소<영웅>"]	={"배반자 멘누", "딱딱이 로크마르", "쿠아그미란", "<보석>"},
	["지하수렁<영웅>"]		={"헝가르펜", "가즈안", "늪군주 뮤즐레크", "검은 추적자", "<보석>"},
	["증기 저장고<영웅>"]	={"풍수사 세스피아", "기계공학자 스팀리거", "장군 칼리스레쉬", "<보석>"},
-- 3. 테로카르 숲(62-65 레벨) : 던전 - 아칸둔
	["마나 무덤"]			={"팬더모니우스", "타바로크", "연합왕자 샤파르", "일반몹", "퀘스트 보상"},
	["아키나이 납골당"]		={"죽음의 감시인 쉴라크", "총독 말라다르", "퀘스트 보상", "일반몹"},
	["세데크 전당"]			={"흑마술사 시스", "갈퀴대왕 이키스", "일반몹", "퀘스트 보상"},
	["어둠의 미궁"]			={"사자 지옥아귀", "선동자 검은심장", "단장 보르필", "울림", "일반몹", "퀘스트 보상"},
	["마나 무덤<영웅>"]		={"팬더모니우스", "타바로크", "연합왕자 샤파르", "요르", "<보석>"},
	["아키나이 납골당<영웅>"]={"죽음의 감시인 쉴라크", "총독 말라다르", "순교자의 화신", "<보석>"},
	["세데크 전당<영웅>"]	={"흑마술사 시스", "갈퀴대왕 이키스", "안주(드루퀘)", "<보석>"},
	["어둠의 미궁<영웅>"]	={"사자 지옥아귀", "선동자 검은심장", "단장 보르필", "울림", "<보석>"},
-- 4. 나그란드(64-67 레벨)
-- 5. 칼날 산맥(65-68 레벨)
	["그룰의 둥지<공>"]		={"왕중왕 마울가르", "용 학살자 그룰"},
-- 6. 어둠달 골짜기(67-70 레벨)
	["검은 사원<공>"]		={"대장군 나젠투스","궁극의 심연","아카마의 망령","테론 고어핀드","구르토그 블러드보일","영혼의 성물함",
							"대모 샤라즈","일리다리 의회(4인의 기사)","일리단 스톰레이지(Boss)",
							"일반몹(하이잘 공통)","일반몹","일반몹<대장>", "일반몹<재봉>", "일반몹<가죽세공>", "퀘스트 보상","<보석>"},
-- 7. 황천의 폭풍(67-70 레벨) : 던전: 폭풍우 요새
	["메카나르"]			={"군단 저장고", "기계군주 캐퍼시투스", "황천술사 세페스레아", "철두철미한 파탈리온", "일반몹"},
	["신록의 정원"]			={"지휘관 새래니스", "고위 식물학자 프레이윈느", "감시인 쏜그린", "라즈", "차원의 분리자", "일반몹"},
	["알카트라즈"]			={"속박이 풀린 제레케스", "격노의 점술사 소코드라테스", "파멸의 예언자 달리아", "선구자 스키리스", "일반몹"},
	["메카나르<영웅>"]		={"기계군주 캐퍼시투스", "황천술사 세페스레아", "철두철미한 파탈리온", "<보석>"},
	["신록의 정원<영웅>"]	={"지휘관 새래니스", "고위 식물학자 프레이윈느", "감시인 쏜그린", "라즈", "차원의 분리자", "<보석>"},
	["알카트라즈<영웅>"]	={"속박이 풀린 제레케스", "격노의 점술사 소코드라테스", "파멸의 예언자 달리아", "선구자 스키리스", "<보석>"},
	["폭풍우 요새<공>"]		={"알라르", "공허의 절단기", "고위 점성술사 솔라리안", "캘타스 Phase2 전설무기들", "캘타스 선스트라이더(Boss)", "일반몹", "퀘스트 보상"},
---- 기존 지역 추가 인던
-- 쿠엘탈라스
	["줄아만<공>"]			={"날로라크(곰)", "아킬존(매)", "잔알라이(용매)", "할라지(스라소니)", "주술 군주 말라크라스", "줄진(Boss)", "공물함",							"공물함(반지)", "보스공통", "기타"},
-- 카라잔
	["카라잔<공>"]			={"사냥꾼 어튜멘(1st)",
							 "잠복꾼 히아키스(하인숙소)(희귀)", "파괴자 로카드(하인숙소)(희귀)", "활강의 샤디키스(하인숙소)(희귀)",
							 "모로스(2nd)", "고결의 여신(3rd)",
							"오즈의 마법사(4th)", "커다란 나쁜 늑대(4th)", "로밀로&줄리엔(4th)", "마녀/늑대/로밀로(4th) 공통",
							"전시 관리인(5th)", "테레스티안 일후프(6th)", "아란의 망령(7th)", "체스이벤트(8th)", "황천의 원령(9th)",
							"공작 말체자르(Boss)", "파멸의 어둠(소환)","일반몹", "퀘스트 보상"},
-- 시간의 동굴
	["옛 힐스브래드 구릉지"]={"부관 드레이크", "경비대장 스칼록", "시대의 사냥꾼", "일반몹", "퀘스트 보상", "판매"},
	["검은늪"]				={"시간의 군주 데자", "템퍼루스", "아에누스", "일반몹", "퀘스트 보상"},
	["옛 힐스브래드 구릉지<영웅>"]	={"부관 드레이크", "경비대장 스칼록", "시대의 사냥꾼", "<보석>"},
	["검은늪<영웅>"]		={"시간의 군주 데자", "템퍼루스", "아에누스", "<보석>"},
	["하이잘 정상<공>"]		={"리치 윈터칠","아네테론","카즈로갈","아즈갈로","아키몬드(Boss)","일반몹","네임드 랜덤 드랍<보석세공>","퀘스트 보상"},
-- 기타(아웃랜드)
	["기타(아웃랜드)"]	={"디자인","도면","도안(재봉)","도안(가죽세공)","주문식","설계도","조제법","착귀에픽(무기)","착귀에픽(방어구)",
						"토템", "성서", "우상"},
	["필드퀘보상(아웃랜드)"]={"지옥불 반도","지옥불 반도2","지옥불 반도3","지옥불 반도4","장가르 습지대","장가르 습지대2",
							"테로카르 숲","테로카르 숲2","테로카르 숲3","나그란드","나그란드2","나그란드3",
							"칼날산맥","칼날산맥2","칼날산맥3","칼날산맥4",
							"황천의 폭풍","황천의 폭풍2","황천의 폭풍3","황천의 폭풍4","황천의 폭풍5","황천의 폭풍6",
							"어둠달 골짜기","어둠달 골짜기2","어둠달 골짜기3"},
}

--############################################--
--################ 노스렌드 ##################--
--############################################--

NuguDropZoneList_North = {
	[1] = "우트가르드 요새",
	[2] = "마력의 탑",
	[3] = "시간의 동굴: 스트라솔름",
	[4] = "태양샘 고원<공>",
}

NuguDropMobList_North = {
	["우트가르드 요새"]			={"정보 없음1"},
	["마력의 탑"]				={"정보 없음2"},
	["시간의 동굴: 스트라솔름"]={"정보 없음3"},
	["태양샘 고원<공>"]			={"정보 없음4"},
}

--############################################--
--########### 명예/세트/기타/도안 ###########--
--############################################--

NuguDropZoneList_Etc = {
	[1] = "명예(60)",
	[2] = "명예(70)-일반",
--	[3] = "명예(70)-직업",
	[3] = "투기장 시즌1",
	[4] = "투기장 시즌2",
	[5] = "투기장 시즌3",
	[6] = "알터랙 계곡",			-- Alterac Valley
	[7] = "아라시 분지",			-- Arathi Basin
	[8] = "전쟁노래협곡",			--
	[9] = "기타",
	[10] = "보스",
	[11] = "실리더스",
	[12] = "필드Raid 보스(아제로스)",
	[13] = "필드Raid 보스(아웃랜드)",
	[14] = "은테네임드(아제로스)",		-- 혈장(검투장) '라자(60+)'/'무적의 스카르(58+)'/'머쉬고그(60+)'-착귀파템...
	[15] = "은테네임드(아웃랜드)",
	[16] = "직업 전용퀘스트 보상",
	[17] = "던전셋(아웃랜드)",
	[18] = "Tier 4",
	[19] = "Tier 5",
	[20] = "Tier 6",
}

NuguDropMobList_Etc = {
	["명예(60)"]		={"전사(얼라이언스)","성기사(얼라이언스)","주술사(얼라이언스)","사냥꾼(얼라이언스)","도적(얼라이언스)",
						"드루이드(얼라이언스)","사제(얼라이언스)","마법사(얼라이언스)","흑마법사(얼라이언스)",
						"무기류(얼라이언스)","아이템(얼라이언스)","계급장(얼라이언스)","탈것(얼라이언스)",
						"전사(호드)","성기사(호드)","주술사(호드)","사냥꾼(호드)","도적(호드)","드루이드(호드)",
						"사제(호드)","마법사(호드)","흑마법사(호드)","무기류(호드)","아이템(호드)","계급장(호드)","탈것(호드)",	},
	["명예(70)-일반"]	={"천-비단[극대]","천-공포매듭[뎀증]","천-달빛매듭[힐증]",
						"가죽[도적/표범]","용가죽[곰-힐증]","고룡가죽[조화-뎀증]","코도가죽[회복-힐증]",
						"사슬[사냥꾼/고양]","사슬매듭[고양]","쇠사슬[정기-뎀증]","고리사슬[복원-힐증]",
						"판금-판금[전사/징벌]","판금-미늘[징벌-뎀증]","판금-강철[신성-뎀증]","판금-문장[신성-힐증]",
						"무기류(얼라)","장신구(얼라)","망토(얼라)","무기류(호드)","장신구(호드)","망토(호드)",
						"반지/목걸이(일반)","반지/목걸이(역전용사)","반지/목걸이(구원자)","보석(공통)"},
--	["명예(70)-직업"]	={"전사(얼라이언스)","성기사(얼라이언스)","주술사(얼라이언스)","사냥꾼(얼라이언스)","도적(얼라이언스)",
--						"드루이드(얼라이언스)","사제(얼라이언스)","마법사(얼라이언스)","흑마법사(얼라이언스)",
--						"전사(호드)","성기사(호드)","주술사(호드)","사냥꾼(호드)","도적(호드)","드루이드(호드)",
--						"사제(호드)","마법사(호드)","흑마법사(호드)"},
	["투기장 시즌1"]	={"전사-무분", "성기사-징벌","성기사-신성[뎀증]","성기사-신성[힐증]",
						"주술사-고양", "주술사-정기", "주술사-복원","사냥꾼", "도적",
						"드루이드-야성", "드루이드-조화", "드루이드-회복","사제-신성", "사제-암흑", "마법사",
						"흑마법사-[뎀증]","흑마법사-[극대]", "무기", "보조장비", "성물"},
	["투기장 시즌2"]	={"전사-무분", "성기사-징벌","성기사-신성[뎀증]","성기사-신성[힐증]",
						"주술사-고양", "주술사-정기","주술사-복원","사냥꾼", "도적",
						"드루이드-야성", "드루이드-조화","드루이드-회복","사제-신성", "사제-암흑","마법사",
						"흑마법사-[뎀증]","흑마법사-[극대]","무기", "보조장비", "성물"},
	["투기장 시즌3"]	={"전사-무분", "성기사-징벌","성기사-신성[뎀증]","성기사-신성[힐증]",
						"주술사-고양", "주술사-정기","주술사-복원","사냥꾼", "도적",
						"드루이드-야성", "드루이드-조화","드루이드-회복","사제-신성", "사제-암흑","마법사",
						"흑마법사-[뎀증]","흑마법사-[극대]","무기", "보조장비", "성물"},
	["알터랙 계곡"]		={"구입(얼라)","구입(호드)","구입(공통)","드랍", "계급장(얼라)", "계급장(호드)", "퀘스트 보상"},
	["아라시 분지"]		={"판금(얼라)", "사슬(얼라)", "가죽(얼라)", "천(얼라)", "공통(얼라)",
						  "판금(호드)", "사슬(호드)", "가죽(호드)", "천(호드)", "공통(호드)"},
	["전쟁노래협곡"]	={"구입(얼라)-18렙","구입(얼라)-28렙","구입(얼라)-38렙","구입(얼라)-48렙","구입(얼라)-58렙","구입(얼라)-일반",
						"구입(호드)-18렙","구입(호드)-28렙","구입(호드)-38렙","구입(호드)-48렙","구입(호드)-58렙","구입(호드)-일반",
						"구입(공통)"},
	["기타"]			={"다크문 카드(A)", "구루바시 투기장", "낚시대회"},
	["보스"]			={"학카르","오시리안","오닉시아","네파리안","쑨","녹색용","켈투자드"},
	["실리더스"]		={"백색기사단(바람-하급)", "황색기사단(바위-하급)", "진홍기사단(불-하급)", "청명기사단(물-하급)",
						"서풍의 군주(천둥매-중급)", "불꽃의 군주(나가-중급)", "나락의 군주(바람-중급)", "파편의 군주(거인-중급)","남작 카줌(바위-상급)", "군주 스퀄(히드라-상급)", "대장군 휠락시스(바람-상급)", "왕자 스칼레녹스(나가-상급)"},
	["필드Raid 보스(아제로스)"]	={"군주 카자크(현존X)", "아주어고스", "에메리스", "타에라", "레손", "이손드레", "녹색용군단 공통"},
	["필드Raid 보스(아웃랜드)"]	={"파멸의 군주 카자크", "파멸의 절단기"},
	["은테네임드(아제로스)"]={"엘윈 숲", "던 모로", "불모의 땅", "서부 몰락지대", "모단 호수", "잊혀진 땅", "어둠의 해안",
						"붉은마루 산맥", "그늘숲", "저습지", "돌발톱 산맥", "아라시 고원", "버섯구름 봉우리", "알터랙 산맥", "슬픔의 늪", "가시덤불 골짜기", "타나리스", "검은바위 산", "아즈샤라", "동부 내륙지", "동부 역병지대", "서부 역병지대"},
	["은테네임드(아웃랜드)"]={"지옥불 반도", "장가르 습지대", "테로카르 숲", "나그란드","칼날 산맥","황천의 폭풍","어둠달 골짜기"},
	["직업 전용퀘스트 보상"]={"전사", "성기사", "주술사", "사냥꾼", "도적", "드루이드", "사제", "마법사", "흑마법사"},
	["던전셋(아웃랜드)"]={"전사(용자의 갑옷)","성기사(정의의 방어구)","주술사(성난 파도의 방어구)","사냥꾼(야수군주 갑옷)","도적(암살의 제복)",
						"드루이드(달의 숲 의복)","사제(신성의 예복)","마법사(주문술사 의복)","흑마법사(망각의 수의)",
						"마나 깃든 예복(천-일반)", "거친 황야 의복(가죽-일반)", "황폐의 방어구(사슬-일반)","파멸의 판금 갑옷(판금-일반)"},
	["Tier 4"]			={"전사(전쟁의 인도자 갑옷)-방어", "전사(전쟁의 인도자 전투장비)-무분",
						"성기사(심판관의 전투장비)-징벌", "성기사(심판관의 갑옷)-보호", "성기사(심판관의 예복)-신성",
						"주술사(회오리 갑옷)-고양", "주술사(회오리 의복)-정기", "주술사(회오리 예복)-복원",
						"사냥꾼(악마추적자의 갑옷)", "도적(황천의 칼날)",
						"드루이드(말로른의 갑옷)-야성", "드루이드(말로른의 의복)-조화", "드루이드(말로른의 예복)-회복",
						"사제(현신의 예복)-신성", "사제(현신의 의복)-암흑",
						"마법사(알도르 의복)", "흑마법사(공허의 심장 의복)"},
	["Tier 5"]			={"전사(파괴자의 갑옷)-방어", "전사(파괴자의 전투장비)-무분",
						"성기사(정화의 전투장비)-징벌", "성기사(정화의 갑옷)-보호", "성기사(정화의 예복)-신성",
						"주술사(천재지변의 갑옷)-고양", "주술사(천재지변의 의복)-정기", "주술사(천재지변의 예복)-복원",
						"사냥꾼(균열추적자 갑옷)", "도적(죽음의 장막)",
						"드루이드(놀드랏실 갑옷)-야성", "드루이드(놀드랏실 의복)-조화", "드루이드(놀드랏실 예복)-회복",
						"사제(화신의 예복)-신성", "사제(화신의 의복)-암흑",
						"마법사(티리스팔 의복)", "흑마법사(타락자의 의복)"},
	["Tier 6"]			={"전사(맹공의 갑옷)-방어", "전사(맹공의 전투장비)-무분",
						"성기사(빛의 수호자 전투장비)-징벌", "성기사(빛의 수호자 갑옷)-보호", "성기사(빛의 수호자 예복)-신성",
						"주술사(무너지는 하늘의 갑옷)-고양", "주술사(무너지는 하늘의 의복)-정기", "주술사(무너지는 하늘의 예복)-복원",
						"사냥꾼(그론추적자 갑옷)", "도적(학살자의 제복)",
						"드루이드(천둥심장 갑옷)-야성", "드루이드(천둥심장 의복)-조화", "드루이드(천둥심장 예복)-회복",
						"사제(면죄의 예복)-신성", "사제(면죄의 의복)-암흑",
						"마법사(폭풍우 의복)", "흑마법사(재앙의 의복)"},
}

--############################################--
--############## 평판(아제로스) ##############--
--############################################--

NuguDropZoneList_Rep1 = {
	[1] = "다크문 유랑단",
	[2] = "트랜퀼리엔(호드)",
	[3] = "나무구렁 요새",
	[4] = "잔달라 부족",
	[5] = "토륨 대장조합",
	[6] = "은빛 여명회",
	[7] = "세나리온 의회",
	[8] = "노즈도르무 혈족",
	[9] = "<평판용 아이템>",
}

NuguDropMobList_Rep1 = {
	["다크문 유랑단"]		= {"다크문 카드(아제로스)","다크문 카드(아웃랜드)","다크문 상품권 보상"},
	["트랜퀼리엔(호드)"]	= {"약간 우호", "우호", "매우 우호", "확고"},
	["나무구렁 요새"]		= {"대장", "가죽세공", "재봉술", "마법부여", "연금술", "아이템"},
	["잔달라 부족"]			= {"대장", "가죽세공", "재봉술", "마법부여", "연금술", "기계공학"},
	["토륨 대장조합"]		= {"대장", "가죽세공", "재봉술", "마법부여", "연금술"},
	["은빛 여명회"]			= {"대장", "가죽세공", "재봉술", "마법부여", "연금술", "응급치료"},
	["세나리온 의회"]		= {"대장", "가죽세공", "재봉술", "마법부여"},
	["노즈도르무 혈족"]		= {"정복자의 길", "수호자의 길", "기원사의 길", "퀘스트 보상"},
	["<평판용 아이템>"]		= {"다크문 유랑단","나무구렁 요새", "잔달라 부족", "토륨 대장조합", "은빛 여명회",
							"세나리온 의회", "노즈도르무 혈족"},
}

--############################################--
--############## 평판(아웃랜드) ##############--
--############################################--

NuguDropZoneList_Rep2 = {
	[1] = "스랄마/명예의 요새",
	[2] = "세나리온 원정대",
	[3] = "스포어가르",
	[4] = "마그하르/쿠레나이",
	[5] = "무역연합",
	[6] = "샤타르",
	[7] = "고난의 거리",
	[8] = "알도르/점술가",
	[9] = "시간의 수호자",
	[10] = "시간의 중재자",
	[11] = "보랏빛 눈의 감시자",
	[12] = "오그릴라",
	[13] = "샤타리 하늘경비대",
	[14] = "황천의 용군단",
	[15] = "잿빛혓바닥 결사단",
	[16] = "<야외 PVP 보상>",
	[17] = "<평판용 아이템>",
	[18] = "<휘장템1>",
	[19] = "<휘장템2>",
}

NuguDropMobList_Rep2 = {
	["스랄마/명예의 요새"] = {"열쇠", "문양", "가죽세공", "대장", "마법부여", "보석세공", "연금술",
								"아이템(얼라)", "아이템(호드)"},
	["세나리온 원정대"]		= {"열쇠", "문양", "아이템", "가죽세공", "기계공학", "대장", "마법부여", "보석세공", "연금술", "탈것"},
	["스포어가르"]			= {"아이템", "연금술", "요리", "퀘스트 보상", "펫"},
	["마그하르/쿠레나이"]	= {"가죽세공", "탈것", "사냥꾼", "아이템(얼라)", "아이템(호드)", "연금술(공통)"},
	["무역연합"]			= {"아이템", "사냥꾼", "가죽세공", "마법부여", "보석세공", "기계공학", "재봉술"},
	["샤타르"]				= {"열쇠", "문양", "아이템", "가죽세공", "마법부여", "보석세공", "연금술"},
	["고난의 거리"]			= {"열쇠", "문양", "아이템", "가죽세공", "마법부여", "보석세공", "연금술", "재봉술", "깃털반납 보상"},
	["알도르/점술가"]		= {"문양(알도르)", "문양(점술가)", "아이템(알도르)", "아이템(점술가)",
							"가죽세공(알도르)", "가죽세공(점술가)", "대장(알도르)", "대장(점술가)",
							"보석세공(알도르)", "보석세공(점술가)","재봉술(알도르)", "재봉술(점술가)", "연금술(점술가)"},
	["시간의 수호자"]		= {"열쇠", "문양", "아이템", "가죽세공", "마법부여", "보석세공", "연금술"},
	["시간의 중재자"]		= {"투사체", "보석세공", "영원의 고리(현자)", "영원의 고리(복원가)", "영원의 고리(용사)", "영원의 고리(수호자)"},
	["보랏빛 눈의 감시자"]	= {"문양", "대장", "연금술", "가죽세공", "마법부여", "보석세공",
							"보랏빛 인장(마술사)", "보랏빛 인장(복원가)", "보랏빛 인장(암살자)", "보랏빛 인장(수호자)"},
	["오그릴라"]			= {"아이템", "퀘스트", "교환", "판매(1단계 전투후)", "판매(2단계 전투후)", "판매(3단계 전투후)",
							"마력이 고갈된 시리즈", "마력이 주입된 완성품", "샤툴"},
	["샤타리 하늘경비대"]	= {"아이템", "탈것", "테로크의 4후손", "테로크", "퀘스트 보상"},
	["황천의 용군단"]		= {"장신구", "탈것", "퀘스트 보상"},
	["잿빛혓바닥 결사단"]	= {"장신구", "대장", "가죽세공", "재봉술"},
	["<야외 PVP 보상>"]		= {"지옥불 반도(명예의요새/스랄마)(공통)",
							"지옥불반도(명예의요새)-준위 트레이시", "지옥불 반도(스랄마)-전투장교 블랙아이", "장가르 척후병(공통)",
							"나그란드(할라아)-병참장교","나그란드(할라아)-도검상인",
							"나그란드(할라아)-탄약상인","현자 즈란(알레리아)-현자 가르톡(돌망치)",},
	["<평판용 아이템>"]		= {"세나리온 원정대", "스포어가르", "알도르 사제회", "점술가 길드", "고난의 거리",
							"마그하르/쿠레나이/무역연합", "무역연합", "<평판보상 구입용 주화>"},
	["<휘장템1>"]			= {"투구", "보조장비", "반지", "목걸이", "망토", "장신구", "성물", "화염저항셋", "기타"},
	["<휘장템2>"]			= {"성물", "판금", "사슬", "가죽", "천", "망토", "보조/원거리/목", "장신구"},
}

--############################################--
--############## 보 석 ##############--
--############################################--

NuguDropZoneList_Jewel = {
	[1] = "붉은",
	[2] = "붉은 + 노란",
	[3] = "노란",
	[4] = "노란 + 푸른",
	[5] = "푸른",
	[6] = "푸른 + 붉은",
	[7] = "푸른 + 붉은 + 노란",
	[8] = "<얼개>",
	[9] = "대장제작",
	[10] = "가죽세공",
	[11] = "재봉술",
	[12] = "기계공학",
}

NuguDropMobList_Jewel = {
	["붉은"]			= {"전기석 (구입)", "혈류석 (보석세공)", "혈류석 (PVP 보상)", "루비 (보석세공)", "루비 (명예보상)", "기타 (구입)", "붉은 첨정석", "화염 루비 <보세전용>", "기타 <보세전용>"},
	["붉은 + 노란"]		= {"불꽃석류석 (보석세공)", "귀황옥 (보석세공)", "토파즈 (명예보상)", "황옥 (명예보상)", "불꽃 오팔 (영웅드랍)", "열화석"},
	["노란"]			= {"호박석 (구입)", "황금 드레나이트 (보석세공)", "여명석 (보석세공)", "여명석 (명예보상)", "여명석 (PVP 보상)", "사안석", "검단석 <보세전용>", "기타 <보세전용>"},
	["노란 + 푸른"]		= {"심연의 감람석 (보석세공)", "심연의 감람석 (PVP 보상)", "탈라사이트 (보석세공)", "녹옥수 (영웅드랍)", "바다안개 에메랄드"},
	["푸른"]			= {"지르콘 (구입)", "하늘월장석 (보석세공)", "엘룬의 별 (보석세공)", "창공의 사파이어", "별똥별 <보세전용>"},
	["푸른 + 붉은"]		= {"진주 (보석세공)", "암흑 드레나이트 (보석세공)", "야안석 (보석세공)", "탄자나이트 (영웅드랍)",
						"카라잔 파멸의 어둠(퀘보상)", "어둠노래 자수정"},
	["푸른 + 붉은 + 노란"]	= {"구슬 (마법부여)"},
	["<얼개>"]			= {"대지폭풍 다이아몬드 (연금/보석세공)", "하늘불꽃 다이아몬드 (연금/보석세공)", "신속의 다이아몬드 (PVP 보상)"},
	["대장제작"]		= {"대장<방어구>", "대장<일반무기>", "대장<무기제작>", "대장<무기-검>", "대장<무기-망치>", "대장<무기-도끼>"},
	["가죽세공"]		= {"가죽세공<전통>", "가죽세공<원소>", "가죽세공<용비늘>"},
	["재봉술"]			= {"재봉술<달빛매듭>", "재봉술<그림자매듭>", "재봉술<마법불꽃>"},
	["기계공학"]		= {"기계공학<고블린>", "기계공학<노움>", "기계공학<공통>",
						"기계공학<고글-판금>", "기계공학<고글-사슬>", "기계공학<고글-가죽>", "기계공학<고글-천>"},
}
