
function BCF_RegisterMenu()
	if ( not BlinkMod_RegisterMenu ) then
		return;
	end
	local info;
	local color;

	-- tier 1
	info = {};
	info.parentkey = "SELF";
	info.key = "BCFMAIN";
	info.text = "전투메세지 애드온";
	info.hasArrow = 1;
	info.tooltipTitle = "전투메세지 애드온";
	info.tooltipText = "각종 데미지, 힐, 막음, 피함, 흡수, 명예, 평판 등의 메세지를 보여줍니다.";
	info.notCheckable = 1;
	BlinkMod_RegisterMenu( info, 1 );

		-- tier 2 : parent = BCFMAIN
		info = {};
		info.parentkey = "BCFMAIN";
		info.key = "BCFTITLE";
		info.text = "전투메세지 애드온";
		info.isTitle = 1;
		info.notCheckable = 1;
		BlinkMod_RegisterMenu( info, 2 );

		info = {};
		info.parentkey = "BCFMAIN";
		info.key = "BCFENABLE";
		info.text = "전투메세지 사용";
		info.tooltipTitle = "전투메세지 사용/사용안함";
		info.tooltipText = "전투메세지를 사용할지 안할지 결정합니다.";
		info.ClickFunction = BCF_BM_EnableClick;
		info.CheckFunction = BCF_BM_EnableCheck;
		BlinkMod_RegisterMenu( info, 2 );

		info = {};
		info.parentkey = "BCFMAIN";
		info.key = "BCFMOVE";
		info.text = "위치조정";
		info.tooltipTitle = "메세지의 위치조정";
		info.tooltipText = "전투메세지의 위치를 조정할수 있도록 설정합니다.";
		info.GetNameFunction = BCF_BM_MoveName;
		info.ClickFunction = BCF_BM_MoveClick;
		info.CheckFunction = BCF_BM_MoveCheck;
		BlinkMod_RegisterMenu( info, 2 );

		info = {};
		info.parentkey = "BCFMAIN";
		info.key = "BCFFONTSIZE";
		info.text = "글자크기";
		info.tooltipTitle = "전투메세지 글자크기";
		info.tooltipText = "전투메세지 기본 글자크기를 설정합니다.";
		info.ClickFunction = BCF_BM_EditFontSizeClick;
		info.GetNameFunction = BCF_BM_EditFontSizeName;
		BlinkMod_RegisterMenu( info, 2 );

		info = {};
		info.parentkey = "BCFMAIN";
		info.key = "BCFHIDEMSG";
		info.text = "감추기";
		info.tooltipTitle = "전투메세지 감추기";
		info.tooltipText = "전투메세지를 화면에 보이지 않고 내부적으로 사용자정의 이벤트만 실행합니다.";
		info.ClickFunction = BCF_BM_HideMsgClick;
		info.CheckFunction = BCF_BM_HideMsgCheck;
		BlinkMod_RegisterMenu( info, 2 );

		info = {};
		info.parentkey = "BCFMAIN";
		info.key = "BCFDIRECTION";
		info.text = "메세지 방향";
		info.tooltipTitle = "메세지방향 설정";
		info.tooltipText = "전투메세지의 진행방향을 설정합니다.";
		info.GetNameFunction = BCF_BM_DirectionName;
		info.ClickFunction = BCF_BM_DirectionClick;
		BlinkMod_RegisterMenu( info, 2 );

		info = {};
		info.parentkey = "BCFMAIN";
		info.key = "BCFCUSTOM";
		info.text = "사용자정의 이벤트";
		info.tooltipTitle = "사용자정의 이벤트";
		info.tooltipText = "확장된 사용자정의 이벤트 기능을 사용할지 여부를 설정합니다.";
		info.CheckFunction = BCF_BM_CustomCheck;
		info.ClickFunction = BCF_BM_CustomClick;
		BlinkMod_RegisterMenu( info, 2 );

		info = {};
		info.parentkey = "BCFMAIN";
		info.key = "BCFSPELLNAME";
		info.text = "주문&기술명 표시";
		info.tooltipTitle = "주문&기술명 표시";
		info.tooltipText = "피해량 또는 회복량 표시에 주문이름&기술명을 표시할지 설정합니다.";
		info.CheckFunction = BCF_BM_SpellNameCheck;
		info.ClickFunction = BCF_BM_SpellNameClick;
		BlinkMod_RegisterMenu( info, 2 );

		info = {};
		info.parentkey = "BCFMAIN";
		info.key = "BCFHEAL";
		info.text = "회복 표시";
		info.hasArrow = 1;
		info.tooltipTitle = "회복량 표시";
		info.tooltipText = "회복되는 체력을 표시합니다.";
		info.CheckFunction = BCF_BM_HealCheck;
		info.ClickFunction = BCF_BM_HealClick;
		BlinkMod_RegisterMenu( info, 2 );

			-- tier 3 : parent = BCFHEAL
			info = {};
			info.parentkey = "BCFHEAL";
			info.key = "BCFOVERHEAL";
			info.text = "오버힐량 표시";
			info.tooltipTitle = "오버힐량 표시";
			info.tooltipText = "오버힐되는 체력을 표시합니다.";
			info.CheckFunction = BCF_BM_OverhealCheck;
			info.ClickFunction = BCF_BM_OverhealClick;
			BlinkMod_RegisterMenu( info, 3 );

			-- tier 3 : parent = BCFHEAL
			info = {};
			info.parentkey = "BCFHEAL";
			info.key = "BCFHEALAMOUNT";
			info.text = "힐량 표시";
			info.tooltipTitle = "힐량 표시";
			info.tooltipText = "다른이에게 힐을 준 양을 표시합니다.";
			info.CheckFunction = BCF_BM_HealamountCheck;
			info.ClickFunction = BCF_BM_HealamountClick;
			BlinkMod_RegisterMenu( info, 3 );

			-- tier 3 : parent = BCFHEAL
			info = {};
			info.parentkey = "BCFHEAL";
			info.key = "BCFSHOWGAINPOWER";
			info.text = "파워회복 표시";
			info.tooltipTitle = "파워회복 표시";
			info.tooltipText = "마나, 기력, 분노, 집중의 회복 메세지를 보여줍니다.";
			info.CheckFunction = BCF_BM_ShowpowerCheck;
			info.ClickFunction = BCF_BM_ShowpowerClick;
			BlinkMod_RegisterMenu( info, 3 );

			info = {};
			info.parentkey = "BCFHEAL";
			info.key = "BCFSHOWDOTHEAL";
			info.text = "지속적인 체력 회복 표시";
			info.tooltipTitle = "지속적인 체력 회복 표시";
			info.tooltipText = "타인에게 시전한 지속적인 체력 회복 메세지(ex. 소생)를 보여줍니다.";
			info.CheckFunction = BCF_BM_DothealCheck;
			info.ClickFunction = BCF_BM_DothealClick;
			BlinkMod_RegisterMenu( info, 3 );

		info = {};
		info.parentkey = "BCFMAIN";
		info.key = "BCFDAMAGE";
		info.text = "피해 표시";
		info.tooltipTitle = "피해량 표시";
		info.tooltipText = "받은 피해량을 표시합니다.";
		info.hasArrow = 1;
		info.CheckFunction = BCF_BM_DamageCheck;
		info.ClickFunction = BCF_BM_DamageClick;
		BlinkMod_RegisterMenu( info, 2 );

			info = {};
			info.parentkey = "BCFDAMAGE";
			info.key = "BCFSPELLSCHOOL";
			info.text = "데미지속성 표시";
			info.tooltipTitle = "데미지속성 표시";
			info.tooltipText = "받은 데미지의 속성(물리,신성,화염,자연,냉기,암흑,비전)을 표시합니다.";
			info.CheckFunction = BCF_BM_SpellSchoolCheck;
			info.ClickFunction = BCF_BM_SpellSchoolClick;
			info.GetNameFunction = BCF_BM_SpellSchoolName;
			BlinkMod_RegisterMenu( info, 3 );

		info = {};
		info.parentkey = "BCFMAIN";
		info.key = "BCFSETDEFENSE";
		info.text = "방어&저항 표시";
		info.tooltipTitle = "방어&저항 메세지 표시";
		info.tooltipText = "각종 방어, 저항, 흡수, 피함, 빗맞음 등의 메세지를 보일지 선택합니다.";
		info.hasArrow = 1;
		info.CheckFunction = BCF_BM_DefenseCheck;
		info.ClickFunction = BCF_BM_DefenseClick;
		BlinkMod_RegisterMenu( info, 2 );

			-- tier 3 : parent = BCFSETDEFENSE
			info = {};
			info.parentkey = "BCFSETDEFENSE";
			info.key = "BCFSHOWMISS";
			info.text = MISS;
			info.tooltipTitle = MISS;
			info.tooltipText = MISS.." 메세지를 표시합니다.";
			info.CheckFunction = BCF_BM_MissCheck;
			info.ClickFunction = BCF_BM_MissClick;
			BlinkMod_RegisterMenu( info, 3 );

			info = {};
			info.parentkey = "BCFSETDEFENSE";
			info.key = "BCFSHOWRESIST";
			info.text = RESIST;
			info.tooltipTitle = RESIST;
			info.tooltipText = RESIST.." 메세지를 표시합니다.";
			info.CheckFunction = BCF_BM_ResistCheck;
			info.ClickFunction = BCF_BM_ResistClick;
			BlinkMod_RegisterMenu( info, 3 );

			info = {};
			info.parentkey = "BCFSETDEFENSE";
			info.key = "BCFSHOWDODGE";
			info.text = DODGE;
			info.tooltipTitle = DODGE;
			info.tooltipText = DODGE.." 메세지를 표시합니다.";
			info.CheckFunction = BCF_BM_DodgeCheck;
			info.ClickFunction = BCF_BM_DodgeClick;
			BlinkMod_RegisterMenu( info, 3 );

			info = {};
			info.parentkey = "BCFSETDEFENSE";
			info.key = "BCFSHOWPARRY";
			info.text = PARRY;
			info.tooltipTitle = PARRY;
			info.tooltipText = PARRY.." 메세지를 표시합니다.";
			info.CheckFunction = BCF_BM_ParryCheck;
			info.ClickFunction = BCF_BM_ParryClick;
			BlinkMod_RegisterMenu( info, 3 );

			info = {};
			info.parentkey = "BCFSETDEFENSE";
			info.key = "BCFSHOWBLOCK";
			info.text = BLOCK;
			info.tooltipTitle = BLOCK;
			info.tooltipText = BLOCK.." 메세지를 표시합니다.";
			info.CheckFunction = BCF_BM_BlockCheck;
			info.ClickFunction = BCF_BM_BlockClick;
			BlinkMod_RegisterMenu( info, 3 );

			info = {};
			info.parentkey = "BCFSETDEFENSE";
			info.key = "BCFSHOWEVADE";
			info.text = EVADE;
			info.tooltipTitle = EVADE;
			info.tooltipText = EVADE.." 메세지를 표시합니다.";
			info.CheckFunction = BCF_BM_EvadeCheck;
			info.ClickFunction = BCF_BM_EvadeClick;
			BlinkMod_RegisterMenu( info, 3 );

			info = {};
			info.parentkey = "BCFSETDEFENSE";
			info.key = "BCFSHOWIMMUNE";
			info.text = IMMUNE;
			info.tooltipTitle = IMMUNE;
			info.tooltipText = IMMUNE.." 메세지를 표시합니다.";
			info.CheckFunction = BCF_BM_ImmuneCheck;
			info.ClickFunction = BCF_BM_ImmuneClick;
			BlinkMod_RegisterMenu( info, 3 );

			info = {};
			info.parentkey = "BCFSETDEFENSE";
			info.key = "BCFSHOWDEFLECT";
			info.text = DEFLECT;
			info.tooltipTitle = DEFLECT;
			info.tooltipText = DEFLECT.." 메세지를 표시합니다.";
			info.CheckFunction = BCF_BM_DeflectCheck;
			info.ClickFunction = BCF_BM_DeflectClick;
			BlinkMod_RegisterMenu( info, 3 );

			info = {};
			info.parentkey = "BCFSETDEFENSE";
			info.key = "BCFSHOWABSORB";
			info.text = ABSORB;
			info.tooltipTitle = ABSORB;
			info.tooltipText = ABSORB.." 메세지를 표시합니다.";
			info.CheckFunction = BCF_BM_AbsorbCheck;
			info.ClickFunction = BCF_BM_AbsorbClick;
			BlinkMod_RegisterMenu( info, 3 );

			info = {};
			info.parentkey = "BCFSETDEFENSE";
			info.key = "BCFSHOWREFLECT";
			info.text = REFLECT;
			info.tooltipTitle = REFLECT;
			info.tooltipText = REFLECT.." 메세지를 표시합니다.";
			info.CheckFunction = BCF_BM_ReflectCheck;
			info.ClickFunction = BCF_BM_ReflectClick;
			BlinkMod_RegisterMenu( info, 3 );

		info = {};
		info.parentkey = "BCFMAIN";
		info.key = "BCFSHOWLOWHEALTH";
		info.text = "체력경고";
		info.tooltipTitle = "체력경고";
		info.tooltipText = "체력이 일정수치 이하로 떨어지면 경고 메세지를 보여줍니다.";
		info.hasArrow = 1;
		info.CheckFunction = BCF_BM_LowHealthCheck;
		info.ClickFunction = BCF_BM_LowHealthClick;
		info.GetNameFunction = BCF_BM_LowHealthName;
		BlinkMod_RegisterMenu( info, 2 );

			-- tier 3 : parent = BCFSHOWLOWHEALTH
			info = {};
			info.parentkey = "BCFSHOWLOWHEALTH";
			info.key = "BCFSETLOWHEALTH";
			info.text = "체력경고 수치 설정";
			info.tooltipTitle = "체력경고 수치 설정";
			info.tooltipText = "체력경고 수치을 설정합니다.";
			info.ClickFunction = BCF_BM_SetLowHealthClick;
			BlinkMod_RegisterMenu( info, 3 );

		info = {};
		info.parentkey = "BCFMAIN";
		info.key = "BCFSHOWLOWMANA";
		info.text = "마나경고";
		info.tooltipTitle = "마나경고";
		info.tooltipText = "마나가 일정수치 이하로 떨어지면 경고 메세지를 보여줍니다.(기력/분노는 표시하지 않습니다.)";
		info.hasArrow = 1;
		info.CheckFunction = BCF_BM_LowManaCheck;
		info.ClickFunction = BCF_BM_LowManaClick;
		info.GetNameFunction = BCF_BM_LowManaName;
		BlinkMod_RegisterMenu( info, 2 );

			-- tier 3 : parent = BCFSHOWLOWMANA
			info = {};
			info.parentkey = "BCFSHOWLOWMANA";
			info.key = "BCFSETLOWMANA";
			info.text = "마나경고 수치 설정";
			info.tooltipTitle = "마나경고 수치 설정";
			info.tooltipText = "마나경고 수치을 설정합니다.";
			info.ClickFunction = BCF_BM_SetLowManaClick;
			BlinkMod_RegisterMenu( info, 3 );

		info = {};
		info.parentkey = "BCFMAIN";
		info.key = "BCFETCCONFIG";
		info.text = "기타설정";
		info.tooltipTitle = "기타설정";
		info.tooltipText = "그밖에 옵션을 설정합니다.";
		info.hasArrow = 1;
		BlinkMod_RegisterMenu( info, 2 );

			-- tier 3 : parent = BCFETCCONFIG
			info = {};
			info.parentkey = "BCFETCCONFIG";
			info.key = "BCFINOUT";
			info.text = "전투시작";
			info.tooltipTitle = "전투시작/종료";
			info.tooltipText = "전투가 시작하거나 종료될때 메세지를 보여줍니다.";
			info.CheckFunction = BCF_BM_InoutCheck;
			info.ClickFunction = BCF_BM_InoutClick;
			BlinkMod_RegisterMenu( info, 3 );

			info = {};
			info.parentkey = "BCFETCCONFIG";
			info.key = "BCFSHOWCOMBO";
			info.text = "연계포인트";
			info.tooltipTitle = "연계포인트";
			info.tooltipText = "도적 혹은 표범드루이드의 연계포인트를 표시합니다.";
			info.CheckFunction = BCF_BM_ComboCheck;
			info.ClickFunction = BCF_BM_ComboClick;
			info.ShowHideFunction = BCF_BM_ComboShow;
			BlinkMod_RegisterMenu( info, 3 );

			info = {};
			info.parentkey = "BCFETCCONFIG";
			info.key = "BCFSHOWSPELLACTIVE";
			info.text = "주문/기술 발동";
			info.tooltipTitle = "주문/기술 발동 표시";
			info.tooltipText = "주문이나 기술을 발동조건이 됐을때 표시해줍니다. 예)제압";
			info.CheckFunction = BCF_BM_SpellactiveCheck;
			info.ClickFunction = BCF_BM_SpellactiveClick;
			BlinkMod_RegisterMenu( info, 3 );

			info = {};
			info.parentkey = "BCFETCCONFIG";
			info.key = "BCFSHOWBUFFING";
			info.text = "버프 표시";
			info.tooltipTitle = "버프 표시";
			info.tooltipText = "이로운 효과를 받거나 사라질때 메세지를 표시해줍니다.";
			info.CheckFunction = BCF_BM_ShowbuffingCheck;
			info.ClickFunction = BCF_BM_ShowbuffingClick;
			BlinkMod_RegisterMenu( info, 3 );

			info = {};
			info.parentkey = "BCFETCCONFIG";
			info.key = "BCFSHOWDEBUFFING";
			info.text = "디버프 표시";
			info.tooltipTitle = "디버프 표시";
			info.tooltipText = "해로운 효과를 받거나 사라질때 메세지를 표시해줍니다.";
			info.CheckFunction = BCF_BM_ShowdebuffingCheck;
			info.ClickFunction = BCF_BM_ShowdebuffingClick;
			BlinkMod_RegisterMenu( info, 3 );

			info = {};
			info.parentkey = "BCFETCCONFIG";
			info.key = "BCFSHOWDOUBLEHIT";
			info.text = "추가타 메세지";
			info.tooltipTitle = "추가타 메세지";
			info.tooltipText = "추가타가 발동될때 메세지를 보여줍니다.";
			info.CheckFunction = BCF_BM_ShowdoublehitCheck;
			info.ClickFunction = BCF_BM_ShowdoublehitClick;
			BlinkMod_RegisterMenu( info, 3 );

			info = {};
			info.parentkey = "BCFETCCONFIG";
			info.key = "BCFSHOWHONOR";
			info.text = "예상 명예 점수 메세지";
			info.tooltipTitle = "예상 명예 점수 메세지";
			info.tooltipText = "예상 명예 점수 메세지를 보여줍니다.";
			info.CheckFunction = BCF_BM_ShowhonorCheck;
			info.ClickFunction = BCF_BM_ShowhonorClick;
			BlinkMod_RegisterMenu( info, 3 );

			info = {};
			info.parentkey = "BCFETCCONFIG";
			info.key = "BCFSHOWREPUTATIONUP";
			info.text = "평판상승 메세지";
			info.tooltipTitle = "평판상승 메세지";
			info.tooltipText = "평판이 올라갈 때 메세지를 보여줍니다.";
			info.CheckFunction = BCF_BM_ShowreputationupCheck;
			info.ClickFunction = BCF_BM_ShowreputationupClick;
			BlinkMod_RegisterMenu( info, 3 );

			info = {};
			info.parentkey = "BCFETCCONFIG";
			info.key = "BCFSHOWREPUTATIONDOWN";
			info.text = "평판하락 메세지";
			info.tooltipTitle = "평판하락 메세지";
			info.tooltipText = "평판이 내려갈 때 메세지를 보여줍니다.";
			info.CheckFunction = BCF_BM_ShowreputationdownCheck;
			info.ClickFunction = BCF_BM_ShowreputationdownClick;
			BlinkMod_RegisterMenu( info, 3 );

			info = {};
			info.parentkey = "BCFETCCONFIG";
			info.key = "BCFSHOWAUTOREPUTATION";
			info.text = "평판 자동 표시";
			info.tooltipTitle = "평판 자동 표시";
			info.tooltipText = "평판이 올라가면 자동으로 해당 평판그래프를 표시해줍니다.";
			info.CheckFunction = BCF_BM_ShowautoreputationCheck;
			info.ClickFunction = BCF_BM_ShowautoreputationClick;
			BlinkMod_RegisterMenu( info, 3 );

			info = {};
			info.parentkey = "BCFETCCONFIG";
			info.key = "BCFSHOWTYPECOLOR";
			info.text = "속성 색상 표시";
			info.tooltipTitle = "속성 색상 표시";
			info.tooltipText = "데미지와 파워회복의 속성별 색상을 표시해줍니다.";
			info.CheckFunction = BCF_BM_ShowtypecolorCheck;
			info.ClickFunction = BCF_BM_ShowtypecolorClick;
			BlinkMod_RegisterMenu( info, 3 );

		info = {};
		info.parentkey = "BCFMAIN";
		info.key = "BCFSETCOLOR";
		info.text = "색상설정";
		info.tooltipTitle = "색상 설정";
		info.tooltipText = "기본 메세지의 색상을 설정합니다.";
		info.hasArrow = 1;
		info.CheckFunction = function() return false; end
		BlinkMod_RegisterMenu( info, 2 );

			-- tier 3 : parent = BCFSETCOLOR
			color = BCF_GetColor("HEAL");
			info = {};
			info.parentkey = "BCFSETCOLOR";
			info.key = "BCFCOLORHEAL";
			info.text = "회복";
			info.tooltipTitle = "회복 색상";
			info.tooltipText = "회복을 나타내는 색상을 설정합니다.";
			info.hasColorSwatch = 1;
			info.r = color.r;
			info.g = color.g;
			info.b = color.b;
			info.swatchFunc = BCF_BM_HealSwatch;
			info.cancelFunc = BCF_BM_HealCancel;
			info.func = UIDropDownMenuButton_OpenColorPicker;
			info.opacity = 1.0;
			BlinkMod_RegisterMenu( info, 3 );

			color = BCF_GetColor("GAINPOWER");
			info = {};
			info.parentkey = "BCFSETCOLOR";
			info.key = "BCFCOLORGAINPOWER";
			info.text = "마나,분노,기력 획득";
			info.tooltipTitle = "마나,분노,기력 획득";
			info.tooltipText = "마나,분노,기력 획득 색상을 설정합니다.";
			info.hasColorSwatch = 1;
			info.r = color.r;
			info.g = color.g;
			info.b = color.b;
			info.swatchFunc = BCF_BM_GainPowerSwatch;
			info.cancelFunc = BCF_BM_GainPowerCancel;
			info.func = UIDropDownMenuButton_OpenColorPicker;
			info.opacity = 1.0;
			BlinkMod_RegisterMenu( info, 3 );

			color = BCF_GetColor("NORMALDAMAGE");
			info = {};
			info.parentkey = "BCFSETCOLOR";
			info.key = "BCFCOLORNORMALDAMAGE";
			info.text = "피해";
			info.tooltipTitle = "피해 색상";
			info.tooltipText = "피해를 나타내는 색상을 설정합니다.";
			info.hasColorSwatch = 1;
			info.r = color.r;
			info.g = color.g;
			info.b = color.b;
			info.swatchFunc = BCF_BM_NormalDamageSwatch;
			info.cancelFunc = BCF_BM_NormalDamageCancel;
			info.func = UIDropDownMenuButton_OpenColorPicker;
			info.opacity = 1.0;
			BlinkMod_RegisterMenu( info, 3 );

			color = BCF_GetColor("SPELLDAMAGE");
			info = {};
			info.parentkey = "BCFSETCOLOR";
			info.key = "BCFCOLORSPELLDAMAGE";
			info.text = "마법피해";
			info.tooltipTitle = "마법피해 색상";
			info.tooltipText = "스킬,마법에 의한 피해를 나타내는 색상을 설정합니다.";
			info.hasColorSwatch = 1;
			info.r = color.r;
			info.g = color.g;
			info.b = color.b;
			info.swatchFunc = BCF_BM_SpellDamageSwatch;
			info.cancelFunc = BCF_BM_SpellDamageCancel;
			info.func = UIDropDownMenuButton_OpenColorPicker;
			info.opacity = 1.0;
			BlinkMod_RegisterMenu( info, 3 );

			color = BCF_GetColor("INOUTCOMBAT");
			info = {};
			info.parentkey = "BCFSETCOLOR";
			info.key = "BCFCOLORINOUTCOMBAT";
			info.text = "전투시작/종료";
			info.tooltipTitle = "전투시작/종료 색상";
			info.tooltipText = "전투가 시작하거나 종료되는 메세지의 색상을 설정합니다.";
			info.hasColorSwatch = 1;
			info.r = color.r;
			info.g = color.g;
			info.b = color.b;
			info.swatchFunc = BCF_BM_InoutCombatSwatch;
			info.cancelFunc = BCF_BM_InoutCombatCancel;
			info.func = UIDropDownMenuButton_OpenColorPicker;
			info.opacity = 1.0;
			BlinkMod_RegisterMenu( info, 3 );

			color = BCF_GetColor("LOWHEALTH");
			info = {};
			info.parentkey = "BCFSETCOLOR";
			info.key = "BCFCOLORLOWHEALTH";
			info.text = "체력경고";
			info.tooltipTitle = "체력경고 색상";
			info.tooltipText = "체력경고 색상을 설정합니다.";
			info.hasColorSwatch = 1;
			info.r = color.r;
			info.g = color.g;
			info.b = color.b;
			info.swatchFunc = BCF_BM_LowHealthSwatch;
			info.cancelFunc = BCF_BM_LowHealthCancel;
			info.func = UIDropDownMenuButton_OpenColorPicker;
			info.opacity = 1.0;
			BlinkMod_RegisterMenu( info, 3 );

			color = BCF_GetColor("LOWMANA");
			info = {};
			info.parentkey = "BCFSETCOLOR";
			info.key = "BCFCOLORLOWMANA";
			info.text = "마나경고";
			info.tooltipTitle = "마나경고 색상";
			info.tooltipText = "마나경고 색상을 설정합니다.";
			info.hasColorSwatch = 1;
			info.r = color.r;
			info.g = color.g;
			info.b = color.b;
			info.swatchFunc = BCF_BM_LowManaSwatch;
			info.cancelFunc = BCF_BM_LowManaCancel;
			info.func = UIDropDownMenuButton_OpenColorPicker;
			info.opacity = 1.0;
			BlinkMod_RegisterMenu( info, 3 );

			color = BCF_GetColor("SPELLACTIVE");
			info = {};
			info.parentkey = "BCFSETCOLOR";
			info.key = "BCFCOLORSPELLACTIVE";
			info.text = "주문/기술 활성화";
			info.tooltipTitle = "주문/기술 활성화 색상";
			info.tooltipText = "주문/기술 활성화 색상을 설정합니다.";
			info.hasColorSwatch = 1;
			info.r = color.r;
			info.g = color.g;
			info.b = color.b;
			info.swatchFunc = BCF_BM_SpellactiveSwatch;
			info.cancelFunc = BCF_BM_SpellactiveCancel;
			info.func = UIDropDownMenuButton_OpenColorPicker;
			info.opacity = 1.0;
			BlinkMod_RegisterMenu( info, 3 );

			color = BCF_GetColor("COMBO");
			info = {};
			info.parentkey = "BCFSETCOLOR";
			info.key = "BCFCOLORCOMBO";
			info.text = "연계포인트";
			info.tooltipTitle = "연계포인트 색상";
			info.tooltipText = "도적, 드루이드의 연계포인트 색상을 설정합니다.";
			info.hasColorSwatch = 1;
			info.r = color.r;
			info.g = color.g;
			info.b = color.b;
			info.swatchFunc = BCF_BM_ComboSwatch;
			info.cancelFunc = BCF_BM_ComboCancel;
			info.func = UIDropDownMenuButton_OpenColorPicker;
			info.opacity = 1.0;
			BlinkMod_RegisterMenu( info, 3 );

			color = BCF_GetColor("GAINHONOR");
			info = {};
			info.parentkey = "BCFSETCOLOR";
			info.key = "BCFCOLORGAINHONOR";
			info.text = "명예점수 획득";
			info.tooltipTitle = "명예점수 획득";
			info.tooltipText = "명예점수 획득 색상을 설정합니다.";
			info.hasColorSwatch = 1;
			info.r = color.r;
			info.g = color.g;
			info.b = color.b;
			info.swatchFunc = BCF_BM_GainHonorSwatch;
			info.cancelFunc = BCF_BM_GainHonorCancel;
			info.func = UIDropDownMenuButton_OpenColorPicker;
			info.opacity = 1.0;
			BlinkMod_RegisterMenu( info, 3 );

			color = BCF_GetColor("GAINREPUT");
			info = {};
			info.parentkey = "BCFSETCOLOR";
			info.key = "BCFCOLORGAINREPUT";
			info.text = "평판 상승";
			info.tooltipTitle = "평판 상승";
			info.tooltipText = "평판 상승 색상을 설정합니다.";
			info.hasColorSwatch = 1;
			info.r = color.r;
			info.g = color.g;
			info.b = color.b;
			info.swatchFunc = BCF_BM_GainReputSwatch;
			info.cancelFunc = BCF_BM_GainReputCancel;
			info.func = UIDropDownMenuButton_OpenColorPicker;
			info.opacity = 1.0;
			BlinkMod_RegisterMenu( info, 3 );

			color = BCF_GetColor("LOSTREPUT");
			info = {};
			info.parentkey = "BCFSETCOLOR";
			info.key = "BCFCOLORLOSTREPUT";
			info.text = "평판 하락";
			info.tooltipTitle = "평판 하락";
			info.tooltipText = "평판 하락 색상을 설정합니다.";
			info.hasColorSwatch = 1;
			info.r = color.r;
			info.g = color.g;
			info.b = color.b;
			info.swatchFunc = BCF_BM_LostReputSwatch;
			info.cancelFunc = BCF_BM_LostReputCancel;
			info.func = UIDropDownMenuButton_OpenColorPicker;
			info.opacity = 1.0;
			BlinkMod_RegisterMenu( info, 3 );

			color = BCF_GetColor("DOUBLEHIT");
			info = {};
			info.parentkey = "BCFSETCOLOR";
			info.key = "BCFCOLORDOUBLEHIT";
			info.text = "추가타";
			info.tooltipTitle = "추가타";
			info.tooltipText = "추가타 색상을 설정합니다.";
			info.hasColorSwatch = 1;
			info.r = color.r;
			info.g = color.g;
			info.b = color.b;
			info.swatchFunc = BCF_BM_DoublehitSwatch;
			info.cancelFunc = BCF_BM_DoublehitCancel;
			info.func = UIDropDownMenuButton_OpenColorPicker;
			info.opacity = 1.0;
			BlinkMod_RegisterMenu( info, 3 );
end

-------------------------------------------------------------------------------
function BCF_BM_EnableClick()
	local r = BCF_GetOption("ENABLE");
	if ( r == 1 ) then
		BCF_SetOption("ENABLE", 0);
	else
		BCF_SetOption("ENABLE", 1);
	end
end

function BCF_BM_EnableCheck()
	if ( BCF_GetOption("ENABLE") == 1 ) then
		return true;
	else
		return false;
	end
end
-------------------------------------------------------------------------------
function BCF_BM_HideMsgClick()
	local r = BCF_GetOption("HIDEMSG");
	if ( r == 1 ) then
		BCF_SetOption("HIDEMSG", 0);
	else
		BCF_SetOption("HIDEMSG", 1);
	end
end
function BCF_BM_HideMsgCheck()
	if ( BCF_GetOption("HIDEMSG") == 1 ) then
		return true;
	else
		return false;
	end
end
-------------------------------------------------------------------------------
function BCF_BM_EditFontSizeClick()
	StaticPopup_Show("EDIT_BCFFONTSIZE");
end
StaticPopupDialogs["EDIT_BCFFONTSIZE"] = {
	text = "전투메세지의 글자크기를 설정합니다.",
	button1 = TEXT(ACCEPT),
	button2 = TEXT(CANCEL),
	hasEditBox = 1,
	maxLetters = 10,
	OnAccept = function()
		local editBox = getglobal(this:GetParent():GetName().."EditBox");
		if ( strlen(editBox:GetText()) > 0 ) then
			local fs = tonumber(editBox:GetText());
			if ( type(fs) == 'number' ) then
				BCF_SetOption("FONTSIZE", fs);
			else
				BCF_Print("전투메세지 : 글자크기는 숫자로만 입력해주십시오. 예) 20");
			end
		end
	end,
	OnShow = function()
		getglobal(this:GetName().."EditBox"):SetText(BCF_GetOption("FONTSIZE"));
		getglobal(this:GetName().."EditBox"):SetFocus();
	end,
	OnHide = function()
		if ( ChatFrameEditBox:IsVisible() ) then
			ChatFrameEditBox:SetFocus();
		end
	end,
	EditBoxOnEnterPressed = function()
		local editBox = getglobal(this:GetParent():GetName().."EditBox");
		if ( strlen(editBox:GetText()) > 0 ) then
			local fs = tonumber(editBox:GetText());
			if ( type(fs) == 'number' ) then
				BCF_SetOption("FONTSIZE", fs);
			else
				BCF_Print("전투메세지 : 글자크기는 숫자로만 입력해주십시오. 예) 20");
			end
		end
		this:GetParent():Hide();
	end,
	EditBoxOnEscapePressed = function()
		this:GetParent():Hide();
	end,
	timeout = 0,
	exclusive = 1,
	whileDead = 1
};
function BCF_BM_EditFontSizeName()
	return "글자크기 : " .. BCF_GetOption("FONTSIZE");
end
-------------------------------------------------------------------------------
function BCF_BM_InoutClick()
	local r = BCF_GetOption("SHOWINOUTCOMBAT");
	if ( r == 1 ) then
		BCF_SetOption("SHOWINOUTCOMBAT", 0);
	else
		BCF_SetOption("SHOWINOUTCOMBAT", 1);
	end
end

function BCF_BM_InoutCheck()
	if ( BCF_GetOption("SHOWINOUTCOMBAT") == 1 ) then
		return true;
	else
		return false;
	end
end
-------------------------------------------------------------------------------
function BCF_BM_HealClick()
	local r = BCF_GetOption("SHOWHEAL");
	if ( r == 1 ) then
		BCF_SetOption("SHOWHEAL", 0);
	else
		BCF_SetOption("SHOWHEAL", 1);
	end
end
function BCF_BM_HealCheck()
	if ( BCF_GetOption("SHOWHEAL") == 1 ) then
		return true;
	else
		return false;
	end
end
-------------------------------------------------------------------------------
function BCF_BM_OverhealClick()
	local r = BCF_GetOption("SHOWOVERHEAL");
	if ( r == 1 ) then
		BCF_SetOption("SHOWOVERHEAL", 0);
	else
		BCF_SetOption("SHOWOVERHEAL", 1);
	end
end
function BCF_BM_OverhealCheck()
	if ( BCF_GetOption("SHOWOVERHEAL") == 1 ) then
		return true;
	else
		return false;
	end
end
-------------------------------------------------------------------------------
function BCF_BM_HealamountClick()
	local r = BCF_GetOption("HEALAMOUNT");
	if ( r == 1 ) then
		BCF_SetOption("HEALAMOUNT", 0);
	else
		BCF_SetOption("HEALAMOUNT", 1);
	end
end
function BCF_BM_HealamountCheck()
	if ( BCF_GetOption("HEALAMOUNT") == 1 ) then
		return true;
	else
		return false;
	end
end
-------------------------------------------------------------------------------
function BCF_BM_ShowpowerClick()
	local r = BCF_GetOption("SHOWGAINPOWER");
	if ( r == 1 ) then
		BCF_SetOption("SHOWGAINPOWER", 0);
	else
		BCF_SetOption("SHOWGAINPOWER", 1);
	end
end
function BCF_BM_ShowpowerCheck()
	if ( BCF_GetOption("SHOWGAINPOWER") == 1 ) then
		return true;
	else
		return false;
	end
end
-------------------------------------------------------------------------------
function BCF_BM_DothealClick()
	local r = BCF_GetOption("SHOWDOTHEAL");
	if ( r == 1 ) then
		BCF_SetOption("SHOWDOTHEAL", 0);
	else
		BCF_SetOption("SHOWDOTHEAL", 1);
	end
end
function BCF_BM_DothealCheck()
	if ( BCF_GetOption("SHOWDOTHEAL") == 1 ) then
		return true;
	else
		return false;
	end
end
-------------------------------------------------------------------------------
function BCF_BM_DamageClick()
	local r = BCF_GetOption("SHOWDAMAGE");
	if ( r == 1 ) then
		BCF_SetOption("SHOWDAMAGE", 0);
	else
		BCF_SetOption("SHOWDAMAGE", 1);
	end
end
function BCF_BM_DamageCheck()
	if ( BCF_GetOption("SHOWDAMAGE") == 1 ) then
		return true;
	else
		return false;
	end
end
-------------------------------------------------------------------------------
--function BCF_BM_DamagePhysicalClick()
--	local r = BCF_GetOption("SHOWDAMAGEPHYSICAL");
--	if ( r == 1 ) then
--		BCF_SetOption("SHOWDAMAGEPHYSICAL", 0);
--	else
--		BCF_SetOption("SHOWDAMAGEPHYSICAL", 1);
--	end
--end
--function BCF_BM_DamagePhysicalCheck()
--	if ( BCF_GetOption("SHOWDAMAGEPHYSICAL") == 1 ) then
--		return true;
--	else
--		return false;
--	end
--end
-------------------------------------------------------------------------------
--function BCF_BM_DamageSpellClick()
--	local r = BCF_GetOption("SHOWDAMAGESPELL");
--	if ( r == 1 ) then
--		BCF_SetOption("SHOWDAMAGESPELL", 0);
--	else
--		BCF_SetOption("SHOWDAMAGESPELL", 1);
--	end
--end
--function BCF_BM_DamageSpellCheck()
--	if ( BCF_GetOption("SHOWDAMAGESPELL") == 1 ) then
--		return true;
--	else
--		return false;
--	end
--end
-------------------------------------------------------------------------------
function BCF_BM_SpellSchoolClick()
	local r = BCF_GetOption("SHOWSPELLSCHOOL");
	if ( r == 1 ) then
		BCF_SetOption("SHOWSPELLSCHOOL", 0);
	else
		BCF_SetOption("SHOWSPELLSCHOOL", 1);
	end
end
function BCF_BM_SpellSchoolCheck()
	if ( BCF_GetOption("SHOWSPELLSCHOOL") == 1 ) then
		return true;
	else
		return false;
	end
end
function BCF_BM_SpellSchoolName()
	if ( BCF_GetOption("SHOWSPELLSCHOOL") == 1 ) then
		return "데미지속성 : 표시함";
	else
		return "데미지속성 : 표시안함";
	end
end
-------------------------------------------------------------------------------
function BCF_BM_LowHealthClick()
	local r = BCF_GetOption("SHOWLOWHEALTH");
	if ( r == 1 ) then
		BCF_SetOption("SHOWLOWHEALTH", 0);
	else
		BCF_SetOption("SHOWLOWHEALTH", 1);
	end
end
function BCF_BM_LowHealthCheck()
	if ( BCF_GetOption("SHOWLOWHEALTH") == 1 ) then
		return true;
	else
		return false;
	end
end
function BCF_BM_LowHealthName()
	local hp = BCF_GetOption("LOWHEALTHVALUE") * 100;
	return "체력경고 : "..hp.."%";
end
-------------------------------------------------------------------------------
function BCF_BM_LowManaClick()
	local r = BCF_GetOption("SHOWLOWMANA");
	if ( r == 1 ) then
		BCF_SetOption("SHOWLOWMANA", 0);
	else
		BCF_SetOption("SHOWLOWMANA", 1);
	end
end
function BCF_BM_LowManaCheck()
	if ( BCF_GetOption("SHOWLOWMANA") == 1 ) then
		return true;
	else
		return false;
	end
end
function BCF_BM_LowManaName()
	local mana = BCF_GetOption("LOWMANAVALUE") * 100;
	return "마나경고 : "..mana.."%";
end
-------------------------------------------------------------------------------
function BCF_BM_DirectionClick()
	local r = BCF_GetOption("DIRECTION");
	if ( r == 1 ) then
		BCF_SetOption("DIRECTION", 0);
	else
		BCF_SetOption("DIRECTION", 1);
	end
end
function BCF_BM_DirectionName()
	if ( BCF_GetOption("DIRECTION") == 1 ) then
		return "메세지 방향 : 아래로";
	else
		return "메세지 방향 : 위로";
	end
end
-------------------------------------------------------------------------------
function BCF_BM_MoveClick()
	local knob = getglobal("BCF_Message_Knob");
	if ( knob:IsVisible() ) then
		knob:Hide();
	else
		knob:Show();
	end
end
function BCF_BM_MoveName()
	local knob = getglobal("BCF_Message_Knob");
	if ( knob:IsVisible() ) then
		return "위치조정 : 이동가능";
	else
		return "위치조정 : 고정됨";
	end
end
function BCF_BM_MoveCheck()
	local knob = getglobal("BCF_Message_Knob");
	if ( knob:IsVisible() ) then
		return true;
	else
		return false;
	end
end
-------------------------------------------------------------------------------
function BCF_BM_ComboClick()
	local r = BCF_GetOption("SHOWCOMBO");
	if ( r == 1 ) then
		BCF_SetOption("SHOWCOMBO", 0);
	else
		BCF_SetOption("SHOWCOMBO", 1);
	end
end

function BCF_BM_ComboCheck()
	if ( BCF_GetOption("SHOWCOMBO") == 1 ) then
		return true;
	else
		return false;
	end
end
function BCF_BM_ComboShow()
	if ( UnitClass("player") == "도적" or UnitClass("player") == "드루이드" ) then
		return true;
	else
		return false;
	end
end
-------------------------------------------------------------------------------
function BCF_BM_SpellactiveClick()
	local r = BCF_GetOption("SHOWSPELLACTIVE");
	if ( r == 1 ) then
		BCF_SetOption("SHOWSPELLACTIVE", 0);
	else
		BCF_SetOption("SHOWSPELLACTIVE", 1);
	end
end

function BCF_BM_SpellactiveCheck()
	if ( BCF_GetOption("SHOWSPELLACTIVE") == 1 ) then
		return true;
	else
		return false;
	end
end
-------------------------------------------------------------------------------
function BCF_BM_ShowbuffingClick()
	local r = BCF_GetOption("SHOWBUFFING");
	if ( r == 1 ) then
		BCF_SetOption("SHOWBUFFING", 0);
	else
		BCF_SetOption("SHOWBUFFING", 1);
	end
end

function BCF_BM_ShowbuffingCheck()
	if ( BCF_GetOption("SHOWBUFFING") == 1 ) then
		return true;
	else
		return false;
	end
end
-------------------------------------------------------------------------------
function BCF_BM_ShowdebuffingClick()
	local r = BCF_GetOption("SHOWDEBUFFING");
	if ( r == 1 ) then
		BCF_SetOption("SHOWDEBUFFING", 0);
	else
		BCF_SetOption("SHOWDEBUFFING", 1);
	end
end

function BCF_BM_ShowdebuffingCheck()
	if ( BCF_GetOption("SHOWDEBUFFING") == 1 ) then
		return true;
	else
		return false;
	end
end
-------------------------------------------------------------------------------
function BCF_BM_ShowdoublehitClick()
	local r = BCF_GetOption("SHOWDOUBLEHIT");
	if ( r == 1 ) then
		BCF_SetOption("SHOWDOUBLEHIT", 0);
	else
		BCF_SetOption("SHOWDOUBLEHIT", 1);
	end
end

function BCF_BM_ShowdoublehitCheck()
	if ( BCF_GetOption("SHOWDOUBLEHIT") == 1 ) then
		return true;
	else
		return false;
	end
end
-------------------------------------------------------------------------------
function BCF_BM_ShowhonorClick()
	local r = BCF_GetOption("SHOWHONOR");
	if ( r == 1 ) then
		BCF_SetOption("SHOWHONOR", 0);
	else
		BCF_SetOption("SHOWHONOR", 1);
	end
end

function BCF_BM_ShowhonorCheck()
	if ( BCF_GetOption("SHOWHONOR") == 1 ) then
		return true;
	else
		return false;
	end
end
-------------------------------------------------------------------------------
function BCF_BM_ShowreputationupClick()
	local r = BCF_GetOption("SHOWREPUTATIONUP");
	if ( r == 1 ) then
		BCF_SetOption("SHOWREPUTATIONUP", 0);
	else
		BCF_SetOption("SHOWREPUTATIONUP", 1);
	end
end

function BCF_BM_ShowreputationupCheck()
	if ( BCF_GetOption("SHOWREPUTATIONUP") == 1 ) then
		return true;
	else
		return false;
	end
end
-------------------------------------------------------------------------------
function BCF_BM_ShowreputationdownClick()
	local r = BCF_GetOption("SHOWREPUTATIONDOWN");
	if ( r == 1 ) then
		BCF_SetOption("SHOWREPUTATIONDOWN", 0);
	else
		BCF_SetOption("SHOWREPUTATIONDOWN", 1);
	end
end

function BCF_BM_ShowreputationdownCheck()
	if ( BCF_GetOption("SHOWREPUTATIONDOWN") == 1 ) then
		return true;
	else
		return false;
	end
end
-------------------------------------------------------------------------------
function BCF_BM_ShowautoreputationClick()
	local r = BCF_GetOption("SHOWAUTOREPUTATION");
	if ( r == 1 ) then
		BCF_SetOption("SHOWAUTOREPUTATION", 0);
	else
		BCF_SetOption("SHOWAUTOREPUTATION", 1);
	end
end

function BCF_BM_ShowautoreputationCheck()
	if ( BCF_GetOption("SHOWAUTOREPUTATION") == 1 ) then
		return true;
	else
		return false;
	end
end
-------------------------------------------------------------------------------
function BCF_BM_CustomClick()
	local r = BCF_GetOption("USECUSTOMEVENT");
	if ( r == 1 ) then
		BCF_SetOption("USECUSTOMEVENT", 0);
	else
		BCF_SetOption("USECUSTOMEVENT", 1);
	end
end

function BCF_BM_CustomCheck()
	if ( BCF_GetOption("USECUSTOMEVENT") == 1 ) then
		return true;
	else
		return false;
	end
end
-------------------------------------------------------------------------------
function BCF_BM_SpellNameCheck()
	if ( BCF_GetOption("SHOWSPELLNAME") == 1 ) then
		return true;
	else
		return false;
	end
end

function BCF_BM_SpellNameClick()
	local r = BCF_GetOption("SHOWSPELLNAME");
	if ( r == 1 ) then
		BCF_SetOption("SHOWSPELLNAME", 0);
	else
		BCF_SetOption("SHOWSPELLNAME", 1);
	end
end
-------------------------------------------------------------------------------
function BCF_BM_ShowtypecolorClick()
	local r = BCF_GetOption("SHOWTYPECOLOR");
	if ( r == 1 ) then
		BCF_SetOption("SHOWTYPECOLOR", 0);
	else
		BCF_SetOption("SHOWTYPECOLOR", 1);
	end
end

function BCF_BM_ShowtypecolorCheck()
	if ( BCF_GetOption("SHOWTYPECOLOR") == 1 ) then
		return true;
	else
		return false;
	end
end
-------------------------------------------------------------------------------
function BCF_BM_SaveColor(key)
	local r,g,b = ColorPickerFrame:GetColorRGB();
	BCF_SetColor(key,{r=r,g=g,b=b});
	if BlinkMod_ThirdMenus["BCFSETCOLOR"] then
		for idx,value in pairs(BlinkMod_ThirdMenus["BCFSETCOLOR"]) do
			if value.key == "BCFCOLOR"..key then
				value.r = r;
				value.g = g;
				value.b = b;
			end
		end
	end
end
function BCF_BM_SaveCancelColor(key,previousValues)
	if ( previousValues.r ) then
		BCF_SetColor(key,previousValues);
	end
end
-------------------------------------------------------------------------------
function BCF_BM_HealSwatch()
	BCF_BM_SaveColor("HEAL");
end
function BCF_BM_HealCancel(previousValues)
	BCF_BM_SaveCancelColor("HEAL",previousValues);
end
-------------------------------------------------------------------------------
function BCF_BM_NormalDamageSwatch()
	BCF_BM_SaveColor("NORMALDAMAGE");
end
function BCF_BM_NormalDamageCancel(previousValues)
	BCF_BM_SaveCancelColor("NORMALDAMAGE",previousValues);
end
-------------------------------------------------------------------------------
function BCF_BM_SpellDamageSwatch()
	BCF_BM_SaveColor("SPELLDAMAGE");
end
function BCF_BM_SpellDamageCancel(previousValues)
	BCF_BM_SaveCancelColor("SPELLDAMAGE",previousValues);
end
-------------------------------------------------------------------------------
function BCF_BM_InoutCombatSwatch()
	BCF_BM_SaveColor("INOUTCOMBAT");
end
function BCF_BM_InoutCombatCancel(previousValues)
	BCF_BM_SaveCancelColor("INOUTCOMBAT",previousValues);
end
-------------------------------------------------------------------------------
function BCF_BM_LowHealthSwatch()
	BCF_BM_SaveColor("LOWHEALTH");
end
function BCF_BM_LowHealthCancel(previousValues)
	BCF_BM_SaveCancelColor("LOWHEALTH",previousValues);
end
-------------------------------------------------------------------------------
function BCF_BM_LowManaSwatch()
	BCF_BM_SaveColor("LOWMANA");
end
function BCF_BM_LowManaCancel(previousValues)
	BCF_BM_SaveCancelColor("LOWMANA",previousValues);
end
-------------------------------------------------------------------------------
function BCF_BM_SpellactiveSwatch()
	BCF_BM_SaveColor("SPELLACTIVE");
end
function BCF_BM_SpellactiveCancel(previousValues)
	BCF_BM_SaveCancelColor("SPELLACTIVE",previousValues);
end
-------------------------------------------------------------------------------
function BCF_BM_ComboSwatch()
	BCF_BM_SaveColor("COMBO");
end
function BCF_BM_ComboCancel(previousValues)
	BCF_BM_SaveCancelColor("COMBO",previousValues);
end
-------------------------------------------------------------------------------
function BCF_BM_GainPowerSwatch()
	BCF_BM_SaveColor("GAINPOWER");
end
function BCF_BM_GainPowerCancel(previousValues)
	BCF_BM_SaveCancelColor("GAINPOWER",previousValues);
end
-------------------------------------------------------------------------------
function BCF_BM_GainHonorSwatch()
	BCF_BM_SaveColor("GAINHONOR");
end
function BCF_BM_GainHonorCancel(previousValues)
	BCF_BM_SaveCancelColor("GAINHONOR",previousValues);
end
-------------------------------------------------------------------------------
function BCF_BM_GainReputSwatch()
	BCF_BM_SaveColor("GAINREPUT");
end
function BCF_BM_GainReputCancel(previousValues)
	BCF_BM_SaveCancelColor("GAINREPUT",previousValues);
end
-------------------------------------------------------------------------------
function BCF_BM_LostReputSwatch()
	BCF_BM_SaveColor("LOSTREPUT");
end
function BCF_BM_LostReputCancel(previousValues)
	BCF_BM_SaveCancelColor("LOSTREPUT",previousValues);
end
-------------------------------------------------------------------------------
function BCF_BM_DoublehitSwatch()
	BCF_BM_SaveColor("DOUBLEHIT");
end
function BCF_BM_DoublehitCancel(previousValues)
	BCF_BM_SaveCancelColor("DOUBLEHIT",previousValues);
end
-------------------------------------------------------------------------------
function BCF_BM_DefenseCheck() if ( BCF_GetOption("SHOWDEFENSE") == 1 ) then return true; else return false; end end
function BCF_BM_DefenseClick() local r = BCF_GetOption("SHOWDEFENSE");if ( r == 1 ) then BCF_SetOption("SHOWDEFENSE", 0); else BCF_SetOption("SHOWDEFENSE", 1); end end

function BCF_BM_MissCheck() if ( BCF_GetOption("SHOWMISS") == 1 ) then return true; else return false; end end
function BCF_BM_MissClick() local r = BCF_GetOption("SHOWMISS");if ( r == 1 ) then BCF_SetOption("SHOWMISS", 0); else BCF_SetOption("SHOWMISS", 1); end end

function BCF_BM_ResistCheck() if ( BCF_GetOption("SHOWRESIST") == 1 ) then return true; else return false; end end
function BCF_BM_ResistClick() local r = BCF_GetOption("SHOWRESIST");if ( r == 1 ) then BCF_SetOption("SHOWRESIST", 0); else BCF_SetOption("SHOWRESIST", 1); end end

function BCF_BM_DodgeCheck() if ( BCF_GetOption("SHOWDODGE") == 1 ) then return true; else return false; end end
function BCF_BM_DodgeClick() local r = BCF_GetOption("SHOWDODGE");if ( r == 1 ) then BCF_SetOption("SHOWDODGE", 0); else BCF_SetOption("SHOWDODGE", 1); end end

function BCF_BM_ParryCheck() if ( BCF_GetOption("SHOWPARRY") == 1 ) then return true; else return false; end end
function BCF_BM_ParryClick() local r = BCF_GetOption("SHOWPARRY");if ( r == 1 ) then BCF_SetOption("SHOWPARRY", 0); else BCF_SetOption("SHOWPARRY", 1); end end

function BCF_BM_BlockCheck() if ( BCF_GetOption("SHOWBLOCK") == 1 ) then return true; else return false; end end
function BCF_BM_BlockClick() local r = BCF_GetOption("SHOWBLOCK");if ( r == 1 ) then BCF_SetOption("SHOWBLOCK", 0); else BCF_SetOption("SHOWBLOCK", 1); end end

function BCF_BM_EvadeCheck() if ( BCF_GetOption("SHOWEVADE") == 1 ) then return true; else return false; end end
function BCF_BM_EvadeClick() local r = BCF_GetOption("SHOWEVADE");if ( r == 1 ) then BCF_SetOption("SHOWEVADE", 0); else BCF_SetOption("SHOWEVADE", 1); end end

function BCF_BM_ImmuneCheck() if ( BCF_GetOption("SHOWIMMUNE") == 1 ) then return true; else return false; end end
function BCF_BM_ImmuneClick() local r = BCF_GetOption("SHOWIMMUNE");if ( r == 1 ) then BCF_SetOption("SHOWIMMUNE", 0); else BCF_SetOption("SHOWIMMUNE", 1); end end

function BCF_BM_DeflectCheck() if ( BCF_GetOption("SHOWDEFLECT") == 1 ) then return true; else return false; end end
function BCF_BM_DeflectClick() local r = BCF_GetOption("SHOWDEFLECT");if ( r == 1 ) then BCF_SetOption("SHOWDEFLECT", 0); else BCF_SetOption("SHOWDEFLECT", 1); end end

function BCF_BM_AbsorbCheck() if ( BCF_GetOption("SHOWABSORB") == 1 ) then return true; else return false; end end
function BCF_BM_AbsorbClick() local r = BCF_GetOption("SHOWABSORB");if ( r == 1 ) then BCF_SetOption("SHOWABSORB", 0); else BCF_SetOption("SHOWABSORB", 1); end end

function BCF_BM_ReflectCheck() if ( BCF_GetOption("SHOWREFLECT") == 1 ) then return true; else return false; end end
function BCF_BM_ReflectClick() local r = BCF_GetOption("SHOWREFLECT");if ( r == 1 ) then BCF_SetOption("SHOWREFLECT", 0); else BCF_SetOption("SHOWREFLECT", 1); end end
-------------------------------------------------------------------------------
StaticPopupDialogs["POP_BCFSETLOWHEALTH"] = {
	text = "체력경고 퍼센트 설정 (범위1~99)",
	button1 = TEXT(ACCEPT),
	button2 = TEXT(CANCEL),
	hasEditBox = 1,
	maxLetters = 33,
	OnAccept = function()
		local editBox = getglobal(this:GetParent():GetName().."EditBox");
		local lhp = editBox:GetText();
		lhp = tonumber(lhp);
		lhp = lhp / 100;
		if ( lhp and lhp > 0.0 and lhp < 1.0 ) then
			BCF_SetOption("LOWHEALTHVALUE",lhp);
		else
			BCF_SetOption("LOWHEALTHVALUE",0.3);
		end
	end,
	OnShow = function()
		getglobal(this:GetName().."EditBox"):SetText(BCF_GetOption("LOWHEALTHVALUE")*100);
		getglobal(this:GetName().."EditBox"):SetFocus();
	end,
	OnHide = function()
		if ( ChatFrameEditBox:IsVisible() ) then
			ChatFrameEditBox:SetFocus();
		end
		getglobal(this:GetName().."EditBox"):SetText("");
	end,
	EditBoxOnEnterPressed = function()
		local editBox = getglobal(this:GetParent():GetName().."EditBox");
		local lhp = editBox:GetText();
		lhp = tonumber(lhp);
		lhp = lhp / 100;
		if ( lhp and lhp > 0.0 and lhp < 1.0 ) then
			BCF_SetOption("LOWHEALTHVALUE",lhp);
		else
			BCF_SetOption("LOWHEALTHVALUE",0.3);
		end
		this:GetParent():Hide();
	end,
	EditBoxOnEscapePressed = function()
		this:GetParent():Hide();
	end,
	timeout = 0,
	exclusive = 1,
	whileDead = 1
};
-------------------------------------------------------------------------------
StaticPopupDialogs["POP_BCFSETLOWMANA"] = {
	text = "마나경고 퍼센트 설정 (범위1~99)",
	button1 = TEXT(ACCEPT),
	button2 = TEXT(CANCEL),
	hasEditBox = 1,
	maxLetters = 33,
	OnAccept = function()
		local editBox = getglobal(this:GetParent():GetName().."EditBox");
		local lm = editBox:GetText();
		lm = tonumber(lm);
		lm = lm / 100;
		if ( lm and lm > 0.0 and lm < 1.0 ) then
			BCF_SetOption("LOWMANAVALUE",lm);
		else
			BCF_SetOption("LOWMANAVALUE",0.4);
		end
	end,
	OnShow = function()
		getglobal(this:GetName().."EditBox"):SetText(BCF_GetOption("LOWMANAVALUE")*100);
		getglobal(this:GetName().."EditBox"):SetFocus();
	end,
	OnHide = function()
		if ( ChatFrameEditBox:IsVisible() ) then
			ChatFrameEditBox:SetFocus();
		end
		getglobal(this:GetName().."EditBox"):SetText("");
	end,
	EditBoxOnEnterPressed = function()
		local editBox = getglobal(this:GetParent():GetName().."EditBox");
		local lm = editBox:GetText();
		lm = tonumber(lm);
		lm = lm / 100;
		if ( lm and lm > 0.0 and lm < 1.0 ) then
			BCF_SetOption("LOWMANAVALUE",lm);
		else
			BCF_SetOption("LOWMANAVALUE",0.4);
		end
		this:GetParent():Hide();
	end,
	EditBoxOnEscapePressed = function()
		this:GetParent():Hide();
	end,
	timeout = 0,
	exclusive = 1,
	whileDead = 1
};
-------------------------------------------------------------------------------
function BCF_BM_SetLowHealthClick()
	StaticPopup_Show("POP_BCFSETLOWHEALTH");
end
-------------------------------------------------------------------------------
function BCF_BM_SetLowManaClick()
	StaticPopup_Show("POP_BCFSETLOWMANA");
end





-------------------------------------------------------------------------------
-- BlinkGUI Regist
-------------------------------------------------------------------------------
function BCF_RegisterBlinkGUIMenu()
	if ( not Blink_AddOption ) then
		return;
	end

	Blink_AddOption{
		addonid = "BLINKCOMBATFEEDBACK",
		addonname = "전투메세지",
		category = BLINK_CATEGORY_COMBAT,
		id = "BCFHEADER",
		paneltype = "HEADER",
		text = "전투메세지 애드온",
	};

	Blink_AddOption{
		addonid = "BLINKCOMBATFEEDBACK",
		id = "BCFDESC",
		paneltype = "TEXT",
		text = "각종 데미지, 힐, 막음, 피함, 흡수, 명예, 평판 등의 메세지를 보여줍니다.",
	};

	Blink_AddOption{
		addonid = "BLINKCOMBATFEEDBACK",
		id = "BCFENABLE",
		paneltype = "CHECKBOX",
		text = "전투메세지 사용하기",
		get = function ()
			if ( BCF_GetOption("ENABLE") == 1 ) then
				return true;
			else
				return nil;
			end
		end,
		set = function (value)
			if ( value == 1 ) then
				BCF_SetOption("ENABLE", 1);
			else
				BCF_SetOption("ENABLE", 0);
			end
		end,
	};

	Blink_AddOption{
		addonid = "BLINKCOMBATFEEDBACK",
		id = "BCFLOCK",
		paneltype = "CHECKBOX",
		text = "메세지의 위치 고정하기",
		get = function ()
			local knob = getglobal("BCF_Message_Knob");
			if ( knob:IsVisible() ) then
				return nil;
			else
				return true;
			end
		end,
		set = function (value)
			local knob = getglobal("BCF_Message_Knob");
			if ( value == 1 ) then
				knob:Hide();
			else
				knob:Show();
			end
		end,
		tooltip = "전투메세지의 위치를 조정할수 있도록 앵커를 보이거나 숨깁니다.",
	};

	Blink_AddOption{
		addonid = "BLINKCOMBATFEEDBACK",
		id = "BCFDIRECTION",
		paneltype = "DROPDOWN",
		text = "메세지 스크롤방향 선택:",
		options = {
			{
				text = "위로",
				value = 0,
				tooltip = "위로 스크롤합니다.",
				tooltipTitle = "스크롤방향",
			},
			{
				text = "아래로",
				value = 1,
				tooltip = "아래로 스크롤합니다.",
				tooltipTitle = "스크롤방향",
			},
		},
		get = function ()
			if ( BCF_GetOption("DIRECTION") == 1 ) then
				return 1;
			else
				return 0;
			end
		end,
		set = function (value)
			if ( value == 1 ) then
				BCF_SetOption("DIRECTION", 1);
			else
				BCF_SetOption("DIRECTION", 0);
			end
		end,
	};
	
	Blink_AddOption{
		addonid = "BLINKCOMBATFEEDBACK",
		id = "BCFHIDEMSG",
		paneltype = "CHECKBOX",
		text = "전투메세지 숨기기",
		tooltip = "전투메세지를 화면에 보이지 않고 내부적으로 사용자정의 이벤트만 실행합니다.",
		get = function ()
			if ( BCF_GetOption("HIDEMSG") == 1 ) then
				return true;
			else
				return nil;
			end
		end,
		set = function (value)
			if ( value == 1 ) then
				BCF_SetOption("HIDEMSG", 1);
			else
				BCF_SetOption("HIDEMSG", 0);
			end
		end,
	};
	Blink_AddOption{
		addonid = "BLINKCOMBATFEEDBACK",
		id = "BCFFONTSIZESLIDER",
		paneltype = "SLIDER",
		set = function (value)
			if ( value >= 5 and value <= 48) then
				BCF_SetOption("FONTSIZE",value);
			else
				BCF_SetOption("FONTSIZE",20);
			end
		end,
		get = function ()
			return BCF_GetOption("FONTSIZE");
		end,
		step = 1,
		min = 5,
		max = 48,
		mintext = "5px",
		maxtext = "48px",
		text = "글자크기 설정",
		tooltip = "메세지 글자크기를 설정합니다.",
	};

	-- 힐 관련 설정
	Blink_AddOption{
		addonid = "BLINKCOMBATFEEDBACK",
		id = "BCFHEALHEADER",
		paneltype = "HEADER",
		text = "회복 설정",
	};

	Blink_AddOption{
		addonid = "BLINKCOMBATFEEDBACK",
		id = "BCFHEAL",
		paneltype = "CHECKBOX",
		text = "회복량 표시하기",
		tooltip = "힐을 하거나 받아서 회복되는 체력량을 표시합니다.",
		get = function ()
			if ( BCF_GetOption("SHOWHEAL") == 1 ) then
				return true;
			else
				return nil;
			end
		end,
		set = function (value)
			if ( value == 1 ) then
				BCF_SetOption("SHOWHEAL", 1);
			else
				BCF_SetOption("SHOWHEAL", 0);
			end
		end,
	};
	Blink_AddOption{
		addonid = "BLINKCOMBATFEEDBACK",
		id = "BCFHEAL",
		paneltype = "COLORSWATCH",
		set = function (color)
			BCF_SetColor("HEAL",color);
		end,
		get = function ()
			return BCF_GetColor("HEAL");
		end,
	};

		Blink_AddOption{
			addonid = "BLINKCOMBATFEEDBACK",
			id = "BCFSHOWOVERHEAL",
			paneltype = "CHECKBOX",
			indentlevel = 1,
			text = "오버힐량 표시하기",
			tooltip = "힐을 받을때 또는 줄때 오버힐량을 표시할지 선택합니다.",
			get = function ()
				if ( BCF_GetOption("SHOWOVERHEAL") == 1 ) then
					return true;
				else
					return nil;
				end
			end,
			set = function (value)
				if ( value == 1 ) then
					BCF_SetOption("SHOWOVERHEAL", 1);
				else
					BCF_SetOption("SHOWOVERHEAL", 0);
				end
			end,
		};

	Blink_AddOption{
		addonid = "BLINKCOMBATFEEDBACK",
		id = "BCFSHOWGAINPOWER",
		paneltype = "CHECKBOX",
		text = "파워회복 메세지 표시하기",
		tooltip = "마나, 기력, 분노 회복 메세지를 표시할지 선택합니다.",
		get = function ()
			if ( BCF_GetOption("SHOWGAINPOWER") == 1 ) then
				return true;
			else
				return nil;
			end
		end,
		set = function (value)
			if ( value == 1 ) then
				BCF_SetOption("SHOWGAINPOWER", 1);
			else
				BCF_SetOption("SHOWGAINPOWER", 0);
			end
		end,
	};	
	Blink_AddOption{
		addonid = "BLINKCOMBATFEEDBACK",
		id = "BCFSHOWGAINPOWER",
		paneltype = "COLORSWATCH",
		set = function (color)
			BCF_SetColor("GAINPOWER",color);
		end,
		get = function ()
			return BCF_GetColor("GAINPOWER");
		end,
		tooltip = "마나, 기력, 분노 회복 메세지의 색상을 설정합니다.",
	};
	Blink_AddOption{
		addonid = "BLINKCOMBATFEEDBACK",
		id = "BCFSHOWDOTHEAL",
		paneltype = "CHECKBOX",
		text = "지속적인 체력 회복 메세지 표시하기",
		tooltip = "지속적인 체력 회복 메세지(ex. 소생)를 표시할지 선택합니다.",
		get = function ()
			if ( BCF_GetOption("SHOWDOTHEAL") == 1 ) then
				return true;
			else
				return nil;
			end
		end,
		set = function (value)
			if ( value == 1 ) then
				BCF_SetOption("SHOWDOTHEAL", 1);
			else
				BCF_SetOption("SHOWDOTHEAL", 0);
			end
		end,
	};


	-- 피해량 관련 설정
	Blink_AddOption{
		addonid = "BLINKCOMBATFEEDBACK",
		id = "BCFDAMAGEHEADER",
		paneltype = "HEADER",
		text = "피해량 설정",
	};

	Blink_AddOption{
		addonid = "BLINKCOMBATFEEDBACK",
		id = "BCFDAMAGE",
		paneltype = "CHECKBOX",
		text = "피해량 표시하기",
		tooltip = "받은 피해량을 표시합니다.",
		get = function ()
			if ( BCF_GetOption("SHOWDAMAGE") == 1 ) then
				return true;
			else
				return nil;
			end
		end,
		set = function (value)
			if ( value == 1 ) then
				BCF_SetOption("SHOWDAMAGE", 1);
			else
				BCF_SetOption("SHOWDAMAGE", 0);
			end
		end,
	};

	Blink_AddOption{
		addonid = "BLINKCOMBATFEEDBACK",
		id = "BCFDAMAGE",
		paneltype = "COLORSWATCH",
		set = function (color)
			BCF_SetColor("NORMALDAMAGE",color);
		end,
		get = function ()
			return BCF_GetColor("NORMALDAMAGE");
		end,
		tooltip = "일반 데미지 색상을 지정합니다.",
	};

	Blink_AddOption{
		addonid = "BLINKCOMBATFEEDBACK",
		id = "BCFDAMAGESPELL",
		paneltype = "COLORSWATCH",
		set = function (color)
			BCF_SetColor("SPELLDAMAGE",color);
		end,
		get = function ()
			return BCF_GetColor("SPELLDAMAGE");
		end,
		tooltip = "스펠, 스킬 데미지 색상을 지정합니다.",
	};

	Blink_AddOption{
		addonid = "BLINKCOMBATFEEDBACK",
		id = "BCFSPELLSCHOOL",
		paneltype = "CHECKBOX",
		indentlevel = 1,
		text = "피해 속성 표시",
		tooltip = "받은 데미지의 속성(물리,신성,화염,자연,냉기,암흑,비전)을 표시합니다.",
		get = function ()
			if ( BCF_GetOption("SHOWSPELLSCHOOL") == 1 ) then
				return true;
			else
				return nil;
			end
		end,
		set = function (value)
			if ( value == 1 ) then
				BCF_SetOption("SHOWSPELLSCHOOL", 1);
			else
				BCF_SetOption("SHOWSPELLSCHOOL", 0);
			end
		end,
	};

	Blink_AddOption{
		addonid = "BLINKCOMBATFEEDBACK",
		id = "BCFSHOWLOWHEALTH",
		paneltype = "CHECKBOX",
		text = "체력경고",
		tooltip = "체력이 일정수치 이하로 떨어지면 경고 메세지를 보여줍니다.",
		get = function ()
			if ( BCF_GetOption("SHOWLOWHEALTH") == 1 ) then
				return true;
			else
				return nil;
			end
		end,
		set = function (value)
			if ( value == 1 ) then
				BCF_SetOption("SHOWLOWHEALTH", 1);
			else
				BCF_SetOption("SHOWLOWHEALTH", 0);
			end
		end,
	};
	Blink_AddOption{
		addonid = "BLINKCOMBATFEEDBACK",
		id = "BCFSHOWLOWHEALTH",
		paneltype = "COLORSWATCH",
		set = function (color)
			BCF_SetColor("LOWHEALTH",color);
		end,
		get = function ()
			return BCF_GetColor("LOWHEALTH");
		end,
		tooltip = "체력이 떨어졌을때 보여주는 메세지의 색상을 설정합니다.",
	};
	Blink_AddOption{
		addonid = "BLINKCOMBATFEEDBACK",
		id = "BCFSHOWLOWHEALTHSLIDER",
		paneltype = "SLIDER",
		set = function (value)
			if ( value >= 5 and value <= 95) then
				local s = math.floor(value / 5);
				value = (s * 5) / 100;
				BCF_SetOption("LOWHEALTHVALUE",value);
			else
				BCF_SetOption("LOWHEALTHVALUE",0.3);
			end
		end,
		get = function ()
			return BCF_GetOption("LOWHEALTHVALUE") * 100;
		end,
		step = 5,
		min = 5,
		max = 95,
		mintext = "5%",
		maxtext = "95%",
		text = "체력경고 수치 설정",
		tooltip = "체력경고 수치 설정합니다.",
	};

	Blink_AddOption{
		addonid = "BLINKCOMBATFEEDBACK",
		id = "BCFSHOWLOWMANA",
		paneltype = "CHECKBOX",
		text = "마나경고",
		tooltip = "마나가 일정수치 이하로 떨어지면 경고 메세지를 보여줍니다.(기력/분노는 표시하지 않습니다.)",
		get = function ()
			if ( BCF_GetOption("SHOWLOWMANA") == 1 ) then
				return true;
			else
				return nil;
			end
		end,
		set = function (value)
			if ( value == 1 ) then
				BCF_SetOption("SHOWLOWMANA", 1);
			else
				BCF_SetOption("SHOWLOWMANA", 0);
			end
		end,
	};
	Blink_AddOption{
		addonid = "BLINKCOMBATFEEDBACK",
		id = "BCFSHOWLOWMANA",
		paneltype = "COLORSWATCH",
		set = function (color)
			BCF_SetColor("LOWMANA",color);
		end,
		get = function ()
			return BCF_GetColor("LOWMANA");
		end,
		tooltip = "마나가 떨어졌을때 보여주는 메세지의 색상을 설정합니다.",
	};
	Blink_AddOption{
		addonid = "BLINKCOMBATFEEDBACK",
		id = "BCFSHOWLOWMANASLIDER",
		paneltype = "SLIDER",
		set = function (value)
			if ( value >= 5 and value <= 95) then
				local s = math.floor(value / 5);
				value = (s * 5) / 100;
				BCF_SetOption("LOWMANAVALUE",value);
			else
				BCF_SetOption("LOWMANAVALUE",0.3);
			end
		end,
		get = function ()
			return BCF_GetOption("LOWMANAVALUE") * 100;
		end,
		step = 5,
		min = 5,
		max = 95,
		mintext = "5%",
		maxtext = "95%",
		text = "마나경고 수치 설정",
		tooltip = "마나경고 수치 설정합니다.",
	};

	-- 방어 설정
	Blink_AddOption{
		addonid = "BLINKCOMBATFEEDBACK",
		id = "BCFDEFENSEHEADER",
		paneltype = "HEADER",
		text = "방어 관련 설정",
	};

	Blink_AddOption{
		addonid = "BLINKCOMBATFEEDBACK",
		id = "SHOWDEFENSE",
		paneltype = "CHECKBOX",
		text = "방어/저항/피함 메세지 표시하기",
		tooltip = "방어, 저항, 피함, 흡수, 막기 등 방어관련 메세지를 표시할지 설정합니다.",
		get = function ()
			if ( BCF_GetOption("SHOWDEFENSE") == 1 ) then
				return true;
			else
				return nil;
			end
		end,
		set = function (value)
			if ( value == 1 ) then
				BCF_SetOption("SHOWDEFENSE", 1);
			else
				BCF_SetOption("SHOWDEFENSE", 0);
			end
		end,
	};

		Blink_AddOption{
			addonid = "BLINKCOMBATFEEDBACK",
			id = "BCFSHOWMISS",
			paneltype = "CHECKBOX",
			indentlevel = 1,
			text = MISS,
			tooltip = MISS.." 메세지를 표시합니다.",
			get = function ()
				if ( BCF_GetOption("SHOWMISS") == 1 ) then 
					return true;
				else
					return nil;
				end
			end,
			set = function (value)
				if ( value == 1 ) then
					BCF_SetOption("SHOWMISS", 1);
				else
					BCF_SetOption("SHOWMISS", 0);
				end
			end,
		};
		Blink_AddOption{
			addonid = "BLINKCOMBATFEEDBACK",
			id = "BCFSHOWMISS",
			paneltype = "COLORSWATCH",
			set = function (color)
				BCF_SetColor("MISS",color);
			end,
			get = function ()
				return BCF_GetColor("MISS");
			end,
			tooltip = MISS.." 메세지의 색상을 설정합니다.",
		};

		Blink_AddOption{
			addonid = "BLINKCOMBATFEEDBACK",
			id = "BCFSHOWDODGE",
			paneltype = "CHECKBOX",
			indentlevel = 1,
			text = DODGE,
			tooltip = DODGE.." 메세지를 표시합니다.",
			get = function ()
				if ( BCF_GetOption("SHOWDODGE") == 1 ) then 
					return true;
				else
					return nil;
				end
			end,
			set = function (value)
				if ( value == 1 ) then
					BCF_SetOption("SHOWDODGE", 1);
				else
					BCF_SetOption("SHOWDODGE", 0);
				end
			end,
		};
		Blink_AddOption{
			addonid = "BLINKCOMBATFEEDBACK",
			id = "BCFSHOWDODGE",
			paneltype = "COLORSWATCH",
			set = function (color)
				BCF_SetColor("DODGE",color);
			end,
			get = function ()
				return BCF_GetColor("DODGE");
			end,
			tooltip = DODGE.." 메세지의 색상을 설정합니다.",
		};

		Blink_AddOption{
			addonid = "BLINKCOMBATFEEDBACK",
			id = "BCFSHOWRESIST",
			paneltype = "CHECKBOX",
			indentlevel = 1,
			text = RESIST,
			tooltip = RESIST.." 메세지를 표시합니다.",
			get = function ()
				if ( BCF_GetOption("SHOWRESIST") == 1 ) then 
					return true;
				else
					return nil;
				end
			end,
			set = function (value)
				if ( value == 1 ) then
					BCF_SetOption("SHOWRESIST", 1);
				else
					BCF_SetOption("SHOWRESIST", 0);
				end
			end,
		};
		Blink_AddOption{
			addonid = "BLINKCOMBATFEEDBACK",
			id = "BCFSHOWRESIST",
			paneltype = "COLORSWATCH",
			set = function (color)
				BCF_SetColor("RESIST",color);
			end,
			get = function ()
				return BCF_GetColor("RESIST");
			end,
			tooltip = RESIST.." 메세지의 색상을 설정합니다.",
		};

		Blink_AddOption{
			addonid = "BLINKCOMBATFEEDBACK",
			id = "BCFSHOWPARRY",
			paneltype = "CHECKBOX",
			indentlevel = 1,
			text = PARRY,
			tooltip = PARRY.." 메세지를 표시합니다.",
			get = function ()
				if ( BCF_GetOption("SHOWPARRY") == 1 ) then 
					return true;
				else
					return nil;
				end
			end,
			set = function (value)
				if ( value == 1 ) then
					BCF_SetOption("SHOWPARRY", 1);
				else
					BCF_SetOption("SHOWPARRY", 0);
				end
			end,
		};
		Blink_AddOption{
			addonid = "BLINKCOMBATFEEDBACK",
			id = "BCFSHOWPARRY",
			paneltype = "COLORSWATCH",
			set = function (color)
				BCF_SetColor("PARRY",color);
			end,
			get = function ()
				return BCF_GetColor("PARRY");
			end,
			tooltip = PARRY.." 메세지의 색상을 설정합니다.",
		};

		Blink_AddOption{
			addonid = "BLINKCOMBATFEEDBACK",
			id = "BCFSHOWBLOCK",
			paneltype = "CHECKBOX",
			indentlevel = 1,
			text = BLOCK,
			tooltip = BLOCK.." 메세지를 표시합니다.",
			get = function ()
				if ( BCF_GetOption("SHOWBLOCK") == 1 ) then 
					return true;
				else
					return nil;
				end
			end,
			set = function (value)
				if ( value == 1 ) then
					BCF_SetOption("SHOWBLOCK", 1);
				else
					BCF_SetOption("SHOWBLOCK", 0);
				end
			end,
		};
		Blink_AddOption{
			addonid = "BLINKCOMBATFEEDBACK",
			id = "BCFSHOWBLOCK",
			paneltype = "COLORSWATCH",
			set = function (color)
				BCF_SetColor("BLOCK",color);
			end,
			get = function ()
				return BCF_GetColor("BLOCK");
			end,
			tooltip = BLOCK.." 메세지의 색상을 설정합니다.",
		};

		Blink_AddOption{
			addonid = "BLINKCOMBATFEEDBACK",
			id = "BCFSHOWEVADE",
			paneltype = "CHECKBOX",
			indentlevel = 1,
			text = EVADE,
			tooltip = EVADE.." 메세지를 표시합니다.",
			get = function ()
				if ( BCF_GetOption("SHOWEVADE") == 1 ) then 
					return true;
				else
					return nil;
				end
			end,
			set = function (value)
				if ( value == 1 ) then
					BCF_SetOption("SHOWEVADE", 1);
				else
					BCF_SetOption("SHOWEVADE", 0);
				end
			end,
		};
		Blink_AddOption{
			addonid = "BLINKCOMBATFEEDBACK",
			id = "BCFSHOWEVADE",
			paneltype = "COLORSWATCH",
			set = function (color)
				BCF_SetColor("EVADE",color);
			end,
			get = function ()
				return BCF_GetColor("EVADE");
			end,
			tooltip = EVADE.." 메세지의 색상을 설정합니다.",
		};

		Blink_AddOption{
			addonid = "BLINKCOMBATFEEDBACK",
			id = "BCFSHOWIMMUNE",
			paneltype = "CHECKBOX",
			indentlevel = 1,
			text = IMMUNE,
			tooltip = IMMUNE.." 메세지를 표시합니다.",
			get = function ()
				if ( BCF_GetOption("SHOWIMMUNE") == 1 ) then 
					return true;
				else
					return nil;
				end
			end,
			set = function (value)
				if ( value == 1 ) then
					BCF_SetOption("SHOWIMMUNE", 1);
				else
					BCF_SetOption("SHOWIMMUNE", 0);
				end
			end,
		};
		Blink_AddOption{
			addonid = "BLINKCOMBATFEEDBACK",
			id = "BCFSHOWIMMUNE",
			paneltype = "COLORSWATCH",
			set = function (color)
				BCF_SetColor("IMMUNE",color);
			end,
			get = function ()
				return BCF_GetColor("IMMUNE");
			end,
			tooltip = IMMUNE.." 메세지의 색상을 설정합니다.",
		};

		Blink_AddOption{
			addonid = "BLINKCOMBATFEEDBACK",
			id = "BCFSHOWDEFLECT",
			paneltype = "CHECKBOX",
			indentlevel = 1,
			text = DEFLECT,
			tooltip = DEFLECT.." 메세지를 표시합니다.",
			get = function ()
				if ( BCF_GetOption("SHOWDEFLECT") == 1 ) then 
					return true;
				else
					return nil;
				end
			end,
			set = function (value)
				if ( value == 1 ) then
					BCF_SetOption("SHOWDEFLECT", 1);
				else
					BCF_SetOption("SHOWDEFLECT", 0);
				end
			end,
		};
		Blink_AddOption{
			addonid = "BLINKCOMBATFEEDBACK",
			id = "BCFSHOWDEFLECT",
			paneltype = "COLORSWATCH",
			set = function (color)
				BCF_SetColor("DEFLECT",color);
			end,
			get = function ()
				return BCF_GetColor("DEFLECT");
			end,
			tooltip = DEFLECT.." 메세지의 색상을 설정합니다.",
		};

		Blink_AddOption{
			addonid = "BLINKCOMBATFEEDBACK",
			id = "BCFSHOWABSORB",
			paneltype = "CHECKBOX",
			indentlevel = 1,
			text = ABSORB,
			tooltip = ABSORB.." 메세지를 표시합니다.",
			get = function ()
				if ( BCF_GetOption("SHOWABSORB") == 1 ) then 
					return true;
				else
					return nil;
				end
			end,
			set = function (value)
				if ( value == 1 ) then
					BCF_SetOption("SHOWABSORB", 1);
				else
					BCF_SetOption("SHOWABSORB", 0);
				end
			end,
		};
		Blink_AddOption{
			addonid = "BLINKCOMBATFEEDBACK",
			id = "BCFSHOWABSORB",
			paneltype = "COLORSWATCH",
			set = function (color)
				BCF_SetColor("ABSORB",color);
			end,
			get = function ()
				return BCF_GetColor("ABSORB");
			end,
			tooltip = ABSORB.." 메세지의 색상을 설정합니다.",
		};

		Blink_AddOption{
			addonid = "BLINKCOMBATFEEDBACK",
			id = "BCFSHOWREFLECT",
			paneltype = "CHECKBOX",
			indentlevel = 1,
			text = REFLECT,
			tooltip = REFLECT.." 메세지를 표시합니다.",
			get = function ()
				if ( BCF_GetOption("SHOWREFLECT") == 1 ) then 
					return true;
				else
					return nil;
				end
			end,
			set = function (value)
				if ( value == 1 ) then
					BCF_SetOption("SHOWREFLECT", 1);
				else
					BCF_SetOption("SHOWREFLECT", 0);
				end
			end,
		};
		Blink_AddOption{
			addonid = "BLINKCOMBATFEEDBACK",
			id = "BCFSHOWREFLECT",
			paneltype = "COLORSWATCH",
			set = function (color)
				BCF_SetColor("REFLECT",color);
			end,
			get = function ()
				return BCF_GetColor("REFLECT");
			end,
			tooltip = REFLECT.." 메세지의 색상을 설정합니다.",
		};


	-- 기타 설정
	Blink_AddOption{
		addonid = "BLINKCOMBATFEEDBACK",
		id = "BCFETCHEADER",
		paneltype = "HEADER",
		text = "기타 설정",
	};

	Blink_AddOption{
		addonid = "BLINKCOMBATFEEDBACK",
		id = "BCFINOUT",
		paneltype = "CHECKBOX",
		text = "전투 시작/종료 알림",
		tooltip = "전투가 시작하거나 종료될때 메세지를 보여줍니다.",
		get = function ()
			if ( BCF_GetOption("SHOWINOUTCOMBAT") == 1 ) then
				return true;
			else
				return nil;
			end
		end,
		set = function (value)
			if ( value == 1 ) then
				BCF_SetOption("SHOWINOUTCOMBAT", 1);
			else
				BCF_SetOption("SHOWINOUTCOMBAT", 0);
			end
		end,
	};
	Blink_AddOption{
		addonid = "BLINKCOMBATFEEDBACK",
		id = "BCFINOUT",
		paneltype = "COLORSWATCH",
		set = function (color)
			BCF_SetColor("INOUTCOMBAT",color);
		end,
		get = function ()
			return BCF_GetColor("INOUTCOMBAT");
		end,
	};

	Blink_AddOption{
		addonid = "BLINKCOMBATFEEDBACK",
		id = "BCFSHOWCOMBO",
		paneltype = "CHECKBOX",
		text = "연계포인트 표시하기",
		tooltip = "도적 혹은 표범드루이드의 연계포인트를 표시합니다.",
		get = function ()
			if ( BCF_GetOption("SHOWCOMBO") == 1 ) then
				return true;
			else
				return nil;
			end
		end,
		set = function (value)
			if ( value == 1 ) then
				BCF_SetOption("SHOWCOMBO", 1);
			else
				BCF_SetOption("SHOWCOMBO", 0);
			end
		end,
	};
	Blink_AddOption{
		addonid = "BLINKCOMBATFEEDBACK",
		id = "BCFSHOWCOMBO",
		paneltype = "COLORSWATCH",
		set = function (color)
			BCF_SetColor("COMBO",color);
		end,
		get = function ()
			return BCF_GetColor("COMBO");
		end,
		tooltip = "연계포인트 메세지의 색상을 설정합니다.",
	};

	Blink_AddOption{
		addonid = "BLINKCOMBATFEEDBACK",
		id = "BCFSHOWHONOR",
		paneltype = "CHECKBOX",
		text = "예상 명예 점수 표시하기",
		tooltip = "적을 죽였을때 예상 명예점수를 보여줍니다.",
		get = function ()
			if ( BCF_GetOption("SHOWHONOR") == 1 ) then
				return true;
			else
				return nil;
			end
		end,
		set = function (value)
			if ( value == 1 ) then
				BCF_SetOption("SHOWHONOR", 1);
			else
				BCF_SetOption("SHOWHONOR", 0);
			end
		end,
	};
	Blink_AddOption{
		addonid = "BLINKCOMBATFEEDBACK",
		id = "BCFSHOWHONOR",
		paneltype = "COLORSWATCH",
		set = function (color)
			BCF_SetColor("GAINHONOR",color);
		end,
		get = function ()
			return BCF_GetColor("GAINHONOR");
		end,
		tooltip = "예상 명예 점수 메세지의 색상을 설정합니다.",
	};

	Blink_AddOption{
		addonid = "BLINKCOMBATFEEDBACK",
		id = "BCFSHOWREPUTATIONUP",
		paneltype = "CHECKBOX",
		text = "평판 상승 메세지 표시하기",
		tooltip = "평판이 상승할 때 메세지를 보여줍니다.",
		get = function ()
			if ( BCF_GetOption("SHOWREPUTATIONUP") == 1 ) then
				return true;
			else
				return nil;
			end
		end,
		set = function (value)
			if ( value == 1 ) then
				BCF_SetOption("SHOWREPUTATIONUP", 1);
			else
				BCF_SetOption("SHOWREPUTATIONUP", 0);
			end
		end,
	};
	Blink_AddOption{
		addonid = "BLINKCOMBATFEEDBACK",
		id = "BCFSHOWREPUTATIONUP",
		paneltype = "COLORSWATCH",
		set = function (color)
			BCF_SetColor("GAINREPUT",color);
		end,
		get = function ()
			return BCF_GetColor("GAINREPUT");
		end,
		tooltip = "평판이 상승할 때 메세지의 색상을 설정합니다.",
	};

	Blink_AddOption{
		addonid = "BLINKCOMBATFEEDBACK",
		id = "BCFSHOWREPUTATIONDOWN",
		paneltype = "CHECKBOX",
		text = "평판 하락 메세지 표시하기",
		tooltip = "평판이 하락할 때 메세지를 보여줍니다.",
		get = function ()
			if ( BCF_GetOption("SHOWREPUTATIONDOWN") == 1 ) then
				return true;
			else
				return nil;
			end
		end,
		set = function (value)
			if ( value == 1 ) then
				BCF_SetOption("SHOWREPUTATIONDOWN", 1);
			else
				BCF_SetOption("SHOWREPUTATIONDOWN", 0);
			end
		end,
	};
	Blink_AddOption{
		addonid = "BLINKCOMBATFEEDBACK",
		id = "BCFSHOWREPUTATIONDOWN",
		paneltype = "COLORSWATCH",
		set = function (color)
			BCF_SetColor("LOSTREPUT",color);
		end,
		get = function ()
			return BCF_GetColor("LOSTREPUT");
		end,
		tooltip = "평판이 하락할 때 메세지의 색상을 설정합니다.",
	};

	Blink_AddOption{
		addonid = "BLINKCOMBATFEEDBACK",
		id = "BCFSHOWAUTOREPUTATION",
		paneltype = "CHECKBOX",
		indentlevel = 1,
		text = "평판 변동시 자동으로 해당 평판그래프 표시하기",
		tooltip = "평판이 오르거나 내려가면 자동으로 해당 평판그래프를 표시합니다.",
		get = function ()
			if ( BCF_GetOption("SHOWAUTOREPUTATION") == 1 ) then
				return true;
			else
				return nil;
			end
		end,
		set = function (value)
			if ( value == 1 ) then
				BCF_SetOption("SHOWAUTOREPUTATION", 1);
			else
				BCF_SetOption("SHOWAUTOREPUTATION", 0);
			end
		end,
	};

	Blink_AddOption{
		addonid = "BLINKCOMBATFEEDBACK",
		id = "BCFSHOWTYPECOLOR",
		paneltype = "CHECKBOX",
		indentlevel = 1,
		text = "속성 색상 표시하기",
		tooltip = "데미지와 파워회복의 속성별 색상을 표시합니다.",
		get = function ()
			if ( BCF_GetOption("SHOWTYPECOLOR") == 1 ) then
				return true;
			else
				return nil;
			end
		end,
		set = function (value)
			if ( value == 1 ) then
				BCF_SetOption("SHOWTYPECOLOR", 1);
			else
				BCF_SetOption("SHOWTYPECOLOR", 0);
			end
		end,
	};

	Blink_AddOption{
		addonid = "BLINKCOMBATFEEDBACK",
		id = "BCFSHOWSPELLACTIVE",
		paneltype = "CHECKBOX",
		text = "주문/기술 활성화 메세지 표시하기",
		tooltip = OPTION_TOOLTIP_COMBAT_TEXT_SHOW_REACTIVES,
		get = function ()
			if ( BCF_GetOption("SHOWSPELLACTIVE") == 1 ) then
				return true;
			else
				return nil;
			end
		end,
		set = function (value)
			if ( value == 1 ) then
				BCF_SetOption("SHOWSPELLACTIVE", 1);
			else
				BCF_SetOption("SHOWSPELLACTIVE", 0);
			end
		end,
	};
	Blink_AddOption{
		addonid = "BLINKCOMBATFEEDBACK",
		id = "BCFSHOWREPUTATIONUP",
		paneltype = "COLORSWATCH",
		set = function (color)
			BCF_SetColor("SPELLACTIVE",color);
		end,
		get = function ()
			return BCF_GetColor("SPELLACTIVE");
		end,
		tooltip = "주문/기술 활성화 메세지의 색상을 설정합니다.",
	};
end
