﻿--Grid Healing Layout
local L = AceLibrary("AceLocale-2.2"):new("GridLayoutForHealers")

L:RegisterTranslations("enUS", function()
	return {
		["By Tanks, healers, dps"] = true,
		["By war/dru, healers"] = true,
		["By war/dru, pre, shm/pal"] = true,
		["Ignore Hunter/Rogue"] = true,
	}
end)

L:RegisterTranslations("koKR", function()
	return {
		["By Tanks, healers, dps"] = "탱커/힐러/뎀딜러",
		["By war/dru, healers"] = "전/드, 힐러",
		["By war/dru, pre, shm/pal"] = "전/드, 기타, 주술/기사",
		["Ignore Hunter/Rogue"] = "무시 (사냥꾼/도적)",
	}
end)

L:RegisterTranslations("zhCN", function()
	return {
		["By Tanks, healers, dps"] = "坦克/治疗/DPS",
		["By war/dru, healers"] = "战/德, 治疗",
		["By war/dru, pre, shm/pal"] = "战/德, 牧, 萨/骑",
		["Ignore Hunter/Rogue"] = "按职业(不包括猎人盗贼)",
	}
end)

GridLayout:AddLayout(L["By Tanks, healers, dps"], {
	[1] = {
		groupFilter = "WARRIOR,DRUID",
	},
	[2] = {
		groupFilter = "PRIEST,SHAMAN,PALADIN",
	},
	[3] = {
		groupFilter = "MAGE,ROGUE,WARLOCK,HUNTER",
	}
})

GridLayout:AddLayout(L["By war/dru, healers"], {
	[1] = {
		groupFilter = "WARRIOR,DRUID",
	},
	[2] = {
		groupFilter = "PRIEST,SHAMAN,PALADIN",
	}
})

GridLayout:AddLayout(L["By war/dru, pre, shm/pal"], {
	[1] = {
		groupFilter = "WARRIOR,DRUID",
	},
	[2] = {
		groupFilter = "PRIEST",
	},
	[3] = {
		groupFilter = "SHAMAN,PALADIN",
	}
})

GridLayout:AddLayout(L["Ignore Hunter/Rogue"], {
	[1] = {
		groupFilter = "WARRIOR,DRUID",
	},
	[2] = {
		groupFilter = "PRIEST",
	},
	[3] = {
		groupFilter = "SHAMAN",
	},
	[4] = {
		groupFilter = "PALADIN",
	},
	[5] = {
		groupFilter = "MAGE",
	},
	[6] = {
		groupFilter = "WARLOCK",
	},
})